/*! For license information please see main.js.LICENSE.txt */
(()=>{var e={1908:(e,a,i)=>{i(1902),e.exports.AVLTree=i(7522)},7522:(e,a,i)=>{const n=i(1902),s=i(5639);class o{constructor(e){this.tree=new t(e)}checkIsAVLT(){this.tree.checkIsAVLT()}insert(e,a){const i=this.tree.insert(e,a);i&&(this.tree=i)}delete(e,a){const i=this.tree.delete(e,a);i&&(this.tree=i)}}class t extends n{constructor(e){super(),e=e||{},this.left=null,this.right=null,this.parent=void 0!==e.parent?e.parent:null,Object.prototype.hasOwnProperty.call(e,"key")&&(this.key=e.key),this.data=Object.prototype.hasOwnProperty.call(e,"value")?[e.value]:[],this.unique=e.unique||!1,this.compareKeys=e.compareKeys||s.defaultCompareKeysFunction,this.checkValueEquality=e.checkValueEquality||s.defaultCheckValueEquality}checkHeightCorrect(){if(!Object.prototype.hasOwnProperty.call(this,"key"))return;if(this.left&&void 0===this.left.height)throw new Error("Undefined height for node "+this.left.key);if(this.right&&void 0===this.right.height)throw new Error("Undefined height for node "+this.right.key);if(void 0===this.height)throw new Error("Undefined height for node "+this.key);const e=this.left?this.left.height:0,a=this.right?this.right.height:0;if(this.height!==1+Math.max(e,a))throw new Error("Height constraint failed for node "+this.key);this.left&&this.left.checkHeightCorrect(),this.right&&this.right.checkHeightCorrect()}balanceFactor(){return(this.left?this.left.height:0)-(this.right?this.right.height:0)}checkBalanceFactors(){if(Math.abs(this.balanceFactor())>1)throw new Error("Tree is unbalanced at node "+this.key);this.left&&this.left.checkBalanceFactors(),this.right&&this.right.checkBalanceFactors()}checkIsAVLT(){super.checkIsBST(),this.checkHeightCorrect(),this.checkBalanceFactors()}rightRotation(){const e=this,a=this.left;if(!a)return e;const i=a.right;e.parent?(a.parent=e.parent,e.parent.left===e?e.parent.left=a:e.parent.right=a):a.parent=null,a.right=e,e.parent=a,e.left=i,i&&(i.parent=e);const n=a.left?a.left.height:0,s=i?i.height:0,o=e.right?e.right.height:0;return e.height=Math.max(s,o)+1,a.height=Math.max(n,e.height)+1,a}leftRotation(){const e=this,a=this.right;if(!a)return this;const i=a.left;e.parent?(a.parent=e.parent,e.parent.left===e?e.parent.left=a:e.parent.right=a):a.parent=null,a.left=e,e.parent=a,e.right=i,i&&(i.parent=e);const n=e.left?e.left.height:0,s=i?i.height:0,o=a.right?a.right.height:0;return e.height=Math.max(n,s)+1,a.height=Math.max(o,e.height)+1,a}rightTooSmall(){return this.balanceFactor()<=1?this:(this.left.balanceFactor()<0&&this.left.leftRotation(),this.rightRotation())}leftTooSmall(){return this.balanceFactor()>=-1?this:(this.right.balanceFactor()>0&&this.right.rightRotation(),this.leftRotation())}rebalanceAlongPath(e){let a,i,n=this;if(!Object.prototype.hasOwnProperty.call(this,"key"))return delete this.height,this;for(i=e.length-1;i>=0;i-=1)e[i].height=1+Math.max(e[i].left?e[i].left.height:0,e[i].right?e[i].right.height:0),e[i].balanceFactor()>1&&(a=e[i].rightTooSmall(),0===i&&(n=a)),e[i].balanceFactor()<-1&&(a=e[i].leftTooSmall(),0===i&&(n=a));return n}insert(e,a){const i=[];let n=this;if(!Object.prototype.hasOwnProperty.call(this,"key"))return this.key=e,this.data.push(a),this.height=1,this;for(;;){if(0===n.compareKeys(n.key,e)){if(n.unique){const a=new Error(`Can't insert key ${e}, it violates the unique constraint`);throw a.key=e,a.errorType="uniqueViolated",a}return n.data.push(a),this}if(i.push(n),n.compareKeys(e,n.key)<0){if(!n.left){i.push(n.createLeftChild({key:e,value:a}));break}n=n.left}else{if(!n.right){i.push(n.createRightChild({key:e,value:a}));break}n=n.right}}return this.rebalanceAlongPath(i)}delete(e,a){const i=[];let n,s=this;const o=[];if(!Object.prototype.hasOwnProperty.call(this,"key"))return this;for(;0!==s.compareKeys(e,s.key);)if(o.push(s),s.compareKeys(e,s.key)<0){if(!s.left)return this;s=s.left}else{if(!s.right)return this;s=s.right}if(s.data.length>1&&void 0!==a)return s.data.forEach((function(e){s.checkValueEquality(e,a)||i.push(e)})),s.data=i,this;if(!s.left&&!s.right)return s===this?(delete s.key,s.data=[],delete s.height,this):(s.parent.left===s?s.parent.left=null:s.parent.right=null,this.rebalanceAlongPath(o));if(!s.left||!s.right)return n=s.left?s.left:s.right,s===this?(n.parent=null,n):(s.parent.left===s?(s.parent.left=n,n.parent=s.parent):(s.parent.right=n,n.parent=s.parent),this.rebalanceAlongPath(o));if(o.push(s),n=s.left,!n.right)return s.key=n.key,s.data=n.data,s.left=n.left,n.left&&(n.left.parent=s),this.rebalanceAlongPath(o);for(;n.right;)o.push(n),n=n.right;return s.key=n.key,s.data=n.data,n.parent.right=n.left,n.left&&(n.left.parent=n.parent),this.rebalanceAlongPath(o)}}o._AVLTree=t,["getNumberOfKeys","search","betweenBounds","prettyPrint","executeOnEveryNode"].forEach((function(e){o.prototype[e]=function(){return this.tree[e].apply(this.tree,arguments)}})),e.exports=o},1902:(e,a,i)=>{const n=i(5639);function s(e,a){for(let i=0;i<a.length;i+=1)e.push(a[i])}e.exports=class{constructor(e){e=e||{},this.left=null,this.right=null,this.parent=void 0!==e.parent?e.parent:null,Object.prototype.hasOwnProperty.call(e,"key")&&(this.key=e.key),this.data=Object.prototype.hasOwnProperty.call(e,"value")?[e.value]:[],this.unique=e.unique||!1,this.compareKeys=e.compareKeys||n.defaultCompareKeysFunction,this.checkValueEquality=e.checkValueEquality||n.defaultCheckValueEquality}getMaxKeyDescendant(){return this.right?this.right.getMaxKeyDescendant():this}getMaxKey(){return this.getMaxKeyDescendant().key}getMinKeyDescendant(){return this.left?this.left.getMinKeyDescendant():this}getMinKey(){return this.getMinKeyDescendant().key}checkAllNodesFullfillCondition(e){Object.prototype.hasOwnProperty.call(this,"key")&&(e(this.key,this.data),this.left&&this.left.checkAllNodesFullfillCondition(e),this.right&&this.right.checkAllNodesFullfillCondition(e))}checkNodeOrdering(){Object.prototype.hasOwnProperty.call(this,"key")&&(this.left&&(this.left.checkAllNodesFullfillCondition((e=>{if(this.compareKeys(e,this.key)>=0)throw new Error(`Tree with root ${this.key} is not a binary search tree`)})),this.left.checkNodeOrdering()),this.right&&(this.right.checkAllNodesFullfillCondition((e=>{if(this.compareKeys(e,this.key)<=0)throw new Error(`Tree with root ${this.key} is not a binary search tree`)})),this.right.checkNodeOrdering()))}checkInternalPointers(){if(this.left){if(this.left.parent!==this)throw new Error(`Parent pointer broken for key ${this.key}`);this.left.checkInternalPointers()}if(this.right){if(this.right.parent!==this)throw new Error(`Parent pointer broken for key ${this.key}`);this.right.checkInternalPointers()}}checkIsBST(){if(this.checkNodeOrdering(),this.checkInternalPointers(),this.parent)throw new Error("The root shouldn't have a parent")}getNumberOfKeys(){let e;return Object.prototype.hasOwnProperty.call(this,"key")?(e=1,this.left&&(e+=this.left.getNumberOfKeys()),this.right&&(e+=this.right.getNumberOfKeys()),e):0}createSimilar(e){return(e=e||{}).unique=this.unique,e.compareKeys=this.compareKeys,e.checkValueEquality=this.checkValueEquality,new this.constructor(e)}createLeftChild(e){const a=this.createSimilar(e);return a.parent=this,this.left=a,a}createRightChild(e){const a=this.createSimilar(e);return a.parent=this,this.right=a,a}insert(e,a){if(!Object.prototype.hasOwnProperty.call(this,"key"))return this.key=e,void this.data.push(a);if(0!==this.compareKeys(this.key,e))this.compareKeys(e,this.key)<0?this.left?this.left.insert(e,a):this.createLeftChild({key:e,value:a}):this.right?this.right.insert(e,a):this.createRightChild({key:e,value:a});else{if(this.unique){const a=new Error(`Can't insert key ${e}, it violates the unique constraint`);throw a.key=e,a.errorType="uniqueViolated",a}this.data.push(a)}}search(e){return Object.prototype.hasOwnProperty.call(this,"key")?0===this.compareKeys(this.key,e)?this.data:this.compareKeys(e,this.key)<0?this.left?this.left.search(e):[]:this.right?this.right.search(e):[]:[]}getLowerBoundMatcher(e){return Object.prototype.hasOwnProperty.call(e,"$gt")||Object.prototype.hasOwnProperty.call(e,"$gte")?Object.prototype.hasOwnProperty.call(e,"$gt")&&Object.prototype.hasOwnProperty.call(e,"$gte")?0===this.compareKeys(e.$gte,e.$gt)?a=>this.compareKeys(a,e.$gt)>0:this.compareKeys(e.$gte,e.$gt)>0?a=>this.compareKeys(a,e.$gte)>=0:a=>this.compareKeys(a,e.$gt)>0:Object.prototype.hasOwnProperty.call(e,"$gt")?a=>this.compareKeys(a,e.$gt)>0:a=>this.compareKeys(a,e.$gte)>=0:()=>!0}getUpperBoundMatcher(e){return Object.prototype.hasOwnProperty.call(e,"$lt")||Object.prototype.hasOwnProperty.call(e,"$lte")?Object.prototype.hasOwnProperty.call(e,"$lt")&&Object.prototype.hasOwnProperty.call(e,"$lte")?0===this.compareKeys(e.$lte,e.$lt)?a=>this.compareKeys(a,e.$lt)<0:this.compareKeys(e.$lte,e.$lt)<0?a=>this.compareKeys(a,e.$lte)<=0:a=>this.compareKeys(a,e.$lt)<0:Object.prototype.hasOwnProperty.call(e,"$lt")?a=>this.compareKeys(a,e.$lt)<0:a=>this.compareKeys(a,e.$lte)<=0:()=>!0}betweenBounds(e,a,i){const n=[];return Object.prototype.hasOwnProperty.call(this,"key")?(a=a||this.getLowerBoundMatcher(e),i=i||this.getUpperBoundMatcher(e),a(this.key)&&this.left&&s(n,this.left.betweenBounds(e,a,i)),a(this.key)&&i(this.key)&&s(n,this.data),i(this.key)&&this.right&&s(n,this.right.betweenBounds(e,a,i)),n):[]}deleteIfLeaf(){return!(this.left||this.right||(this.parent?(this.parent.left===this?this.parent.left=null:this.parent.right=null,0):(delete this.key,this.data=[],0)))}deleteIfOnlyOneChild(){let e;return this.left&&!this.right&&(e=this.left),!this.left&&this.right&&(e=this.right),!!e&&(this.parent?(this.parent.left===this?(this.parent.left=e,e.parent=this.parent):(this.parent.right=e,e.parent=this.parent),!0):(this.key=e.key,this.data=e.data,this.left=null,e.left&&(this.left=e.left,e.left.parent=this),this.right=null,e.right&&(this.right=e.right,e.right.parent=this),!0))}delete(e,a){const i=[];let n;if(Object.prototype.hasOwnProperty.call(this,"key"))if(this.compareKeys(e,this.key)<0)this.left&&this.left.delete(e,a);else if(this.compareKeys(e,this.key)>0)this.right&&this.right.delete(e,a);else if(0!==!this.compareKeys(e,this.key))return this.data.length>1&&void 0!==a?(this.data.forEach((e=>{this.checkValueEquality(e,a)||i.push(e)})),void(this.data=i)):void(this.deleteIfLeaf()||this.deleteIfOnlyOneChild()||(Math.random()>=.5?(n=this.left.getMaxKeyDescendant(),this.key=n.key,this.data=n.data,this===n.parent?(this.left=n.left,n.left&&(n.left.parent=n.parent)):(n.parent.right=n.left,n.left&&(n.left.parent=n.parent))):(n=this.right.getMinKeyDescendant(),this.key=n.key,this.data=n.data,this===n.parent?(this.right=n.right,n.right&&(n.right.parent=n.parent)):(n.parent.left=n.right,n.right&&(n.right.parent=n.parent)))))}executeOnEveryNode(e){this.left&&this.left.executeOnEveryNode(e),e(this),this.right&&this.right.executeOnEveryNode(e)}prettyPrint(e,a){a=a||"",console.log(`${a}* ${this.key}`),e&&console.log(`${a}* ${this.data}`),(this.left||this.right)&&(this.left?this.left.prettyPrint(e,`${a}  `):console.log(`${a}  *`),this.right?this.right.prettyPrint(e,`${a}  `):console.log(`${a}  *`))}}},5639:e=>{const a=e=>{if(0===e)return[];if(1===e)return[0];const i=a(e-1),n=Math.floor(Math.random()*e);return i.splice(n,0,e-1),i};e.exports.getRandomArray=a,e.exports.defaultCompareKeysFunction=(e,a)=>{if(e<a)return-1;if(e>a)return 1;if(e===a)return 0;const i=new Error("Couldn't compare elements");throw i.a=e,i.b=a,i},e.exports.defaultCheckValueEquality=(e,a)=>e===a},2795:(e,a,i)=>{const n=i(138);e.exports=n},2587:(e,a,i)=>{const n=i(2781),s=i(9512);class o extends n.Transform{constructor(e){super(e),e=e||{},this._readableState.objectMode=!0,this._lineBuffer=[],this._keepEmptyLines=e.keepEmptyLines||!1,this._lastChunkEndedWithCR=!1,this.once("pipe",(e=>{!this.encoding&&e instanceof n.Readable&&(this.encoding=e._readableState.encoding)}))}_transform(e,a,i){a=a||"utf8",Buffer.isBuffer(e)&&("buffer"===a?(e=e.toString(),a="utf8"):e=e.toString(a)),this._chunkEncoding=a;const n=e.split(/\r\n|[\n\v\f\r\x85\u2028\u2029]/g);this._lastChunkEndedWithCR&&"\n"===e[0]&&n.shift(),this._lineBuffer.length>0&&(this._lineBuffer[this._lineBuffer.length-1]+=n[0],n.shift()),this._lastChunkEndedWithCR="\r"===e[e.length-1],this._lineBuffer=this._lineBuffer.concat(n),this._pushBuffer(a,1,i)}_pushBuffer(e,a,i){for(;this._lineBuffer.length>a;){const n=this._lineBuffer.shift();if((this._keepEmptyLines||n.length>0)&&!this.push(this._reencode(n,e)))return void s.setImmediate((()=>{this._pushBuffer(e,a,i)}))}i()}_flush(e){this._pushBuffer(this._chunkEncoding,0,e)}_reencode(e,a){return this.encoding&&this.encoding!==a?Buffer.from(e,a).toString(this.encoding):this.encoding?e:Buffer.from(e,a)}}e.exports=(e,a)=>{if(!e)throw new Error("expected readStream");if(!e.readable)throw new Error("readStream must be readable");const i=new o(a);return e.pipe(i),i}},2018:(e,a,i)=>{const n=i(4442),{callbackify:s}=i(3837);e.exports=class{constructor(e,a,i){this.db=e,this.query=a||{},i&&(this.mapFn=i),this._limit=void 0,this._skip=void 0,this._sort=void 0,this._projection=void 0}limit(e){return this._limit=e,this}skip(e){return this._skip=e,this}sort(e){return this._sort=e,this}projection(e){return this._projection=e,this}_project(e){const a=[];let i;if(void 0===this._projection||0===Object.keys(this._projection).length)return e;const s=0!==this._projection._id,{_id:o,...t}=this._projection;this._projection=t;const r=Object.keys(this._projection);return r.forEach((e=>{if(void 0!==i&&this._projection[e]!==i)throw new Error("Can't both keep and omit fields except for _id");i=this._projection[e]})),e.forEach((e=>{let o;1===i?(o={$set:{}},r.forEach((a=>{o.$set[a]=n.getDotValue(e,a),void 0===o.$set[a]&&delete o.$set[a]})),o=n.modify({},o)):(o={$unset:{}},r.forEach((e=>{o.$unset[e]=!0})),o=n.modify(e,o)),s?o._id=e._id:delete o._id,a.push(o)})),a}async _execAsync(){let e=[],a=0,i=0;const s=await this.db._getCandidatesAsync(this.query);for(const o of s)if(n.match(o,this.query))if(this._sort)e.push(o);else if(this._skip&&this._skip>i)i+=1;else if(e.push(o),a+=1,this._limit&&this._limit<=a)break;if(this._sort){const a=Object.entries(this._sort).map((([e,a])=>({key:e,direction:a})));e.sort(((e,i)=>{for(const s of a){const a=s.direction*n.compareThings(n.getDotValue(e,s.key),n.getDotValue(i,s.key),this.db.compareStrings);if(0!==a)return a}return 0}));const i=this._limit||e.length,s=this._skip||0;e=e.slice(s,s+i)}return e=this._project(e),this.mapFn?this.mapFn(e):e}exec(e){s((()=>this.execAsync()))(e)}execAsync(){return this.db.executor.pushAsync((()=>this._execAsync()))}then(e,a){return this.execAsync().then(e,a)}catch(e){return this.execAsync().catch(e)}finally(e){return this.execAsync().finally(e)}}},6266:(e,a,i)=>{const n=i(6113);e.exports.uid=e=>n.randomBytes(Math.ceil(Math.max(8,2*e))).toString("base64").replace(/[+/]/g,"").slice(0,e)},138:(e,a,i)=>{const{EventEmitter:n}=i(2361),{callbackify:s,deprecate:o}=i(3837),t=i(2018),r=i(6266),c=i(6454),p=i(7863),l=i(4442),u=i(3717),{isDate:d}=i(7105);e.exports=class extends n{constructor(e){let a;super(),"string"==typeof e?o((()=>{a=e,this.inMemoryOnly=!1}),"@seald-io/nedb: Giving a string to the Datastore constructor is deprecated and will be removed in the next major version. Please use an options object with an argument 'filename'.")():(a=(e=e||{}).filename,this.inMemoryOnly=e.inMemoryOnly||!1,this.autoload=e.autoload||!1,this.timestampData=e.timestampData||!1),a&&"string"==typeof a&&0!==a.length?this.filename=a:(this.filename=null,this.inMemoryOnly=!0),this.compareStrings=e.compareStrings,this.persistence=new u({db:this,afterSerialization:e.afterSerialization,beforeDeserialization:e.beforeDeserialization,corruptAlertThreshold:e.corruptAlertThreshold,modes:e.modes,testSerializationHooks:e.testSerializationHooks}),this.executor=new c,this.inMemoryOnly&&(this.executor.ready=!0),this.indexes={},this.indexes._id=new p({fieldName:"_id",unique:!0}),this.ttlIndexes={},this.autoload?(this.autoloadPromise=this.loadDatabaseAsync(),this.autoloadPromise.then((()=>{e.onload&&e.onload()}),(a=>{if(!e.onload)throw a;e.onload(a)}))):this.autoloadPromise=null,this._autocompactionIntervalId=null}compactDatafileAsync(){return this.executor.pushAsync((()=>this.persistence.persistCachedDatabaseAsync()))}compactDatafile(e){const a=this.compactDatafileAsync();"function"==typeof e&&s((()=>a))(e)}setAutocompactionInterval(e){if(Number.isNaN(Number(e)))throw new Error("Interval must be a non-NaN number");const a=Math.max(Number(e),5e3);this.stopAutocompaction(),this._autocompactionIntervalId=setInterval((()=>{this.compactDatafile()}),a)}stopAutocompaction(){this._autocompactionIntervalId&&(clearInterval(this._autocompactionIntervalId),this._autocompactionIntervalId=null)}loadDatabase(e){const a=this.loadDatabaseAsync();"function"==typeof e&&s((()=>a))(e)}dropDatabaseAsync(){return this.persistence.dropDatabaseAsync()}dropDatabase(e){const a=this.dropDatabaseAsync();"function"==typeof e&&s((()=>a))(e)}loadDatabaseAsync(){return this.executor.pushAsync((()=>this.persistence.loadDatabaseAsync()),!0)}getAllData(){return this.indexes._id.getAll()}_resetIndexes(e){for(const a of Object.values(this.indexes))a.reset(e)}ensureIndex(e={},a){const i=this.ensureIndexAsync(e);"function"==typeof a&&s((()=>i))(a)}async ensureIndexAsync(e={}){if(!e.fieldName){const e=new Error("Cannot create an index without a fieldName");throw e.missingFieldName=!0,e}if(!this.indexes[e.fieldName]){this.indexes[e.fieldName]=new p(e),void 0!==e.expireAfterSeconds&&(this.ttlIndexes[e.fieldName]=e.expireAfterSeconds);try{this.indexes[e.fieldName].insert(this.getAllData())}catch(a){throw delete this.indexes[e.fieldName],a}await this.executor.pushAsync((()=>this.persistence.persistNewStateAsync([{$$indexCreated:e}])),!0)}}removeIndex(e,a=(()=>{})){const i=this.removeIndexAsync(e);s((()=>i))(a)}async removeIndexAsync(e){delete this.indexes[e],await this.executor.pushAsync((()=>this.persistence.persistNewStateAsync([{$$indexRemoved:e}])),!0)}_addToIndexes(e){let a,i;const n=Object.keys(this.indexes);for(let s=0;s<n.length;s+=1)try{this.indexes[n[s]].insert(e)}catch(e){a=s,i=e;break}if(i){for(let i=0;i<a;i+=1)this.indexes[n[i]].remove(e);throw i}}_removeFromIndexes(e){for(const a of Object.values(this.indexes))a.remove(e)}_updateIndexes(e,a){let i,n;const s=Object.keys(this.indexes);for(let o=0;o<s.length;o+=1)try{this.indexes[s[o]].update(e,a)}catch(e){i=o,n=e;break}if(n){for(let n=0;n<i;n+=1)this.indexes[s[n]].revertUpdate(e,a);throw n}}_getRawCandidates(e){const a=Object.keys(this.indexes);let i;return i=Object.entries(e).filter((([e,i])=>!("string"!=typeof i&&"number"!=typeof i&&"boolean"!=typeof i&&!d(i)&&null!==i)&&a.includes(e))).pop(),i?this.indexes[i[0]].getMatching(i[1]):(i=Object.entries(e).filter((([i,n])=>!(!e[i]||!Object.prototype.hasOwnProperty.call(e[i],"$in"))&&a.includes(i))).pop(),i?this.indexes[i[0]].getMatching(i[1].$in):(i=Object.entries(e).filter((([i,n])=>!(!e[i]||!(Object.prototype.hasOwnProperty.call(e[i],"$lt")||Object.prototype.hasOwnProperty.call(e[i],"$lte")||Object.prototype.hasOwnProperty.call(e[i],"$gt")||Object.prototype.hasOwnProperty.call(e[i],"$gte")))&&a.includes(i))).pop(),i?this.indexes[i[0]].getBetweenBounds(i[1]):this.getAllData()))}async _getCandidatesAsync(e,a=!1){const i=[],n=this._getRawCandidates(e);if(a)i.push(...n);else{const e=[],a=Object.keys(this.ttlIndexes);n.forEach((n=>{a.every((e=>!(void 0!==n[e]&&d(n[e])&&Date.now()>n[e].getTime()+1e3*this.ttlIndexes[e])))?i.push(n):e.push(n._id)}));for(const a of e)await this._removeAsync({_id:a},{})}return i}async _insertAsync(e){const a=this._prepareDocumentForInsertion(e);return this._insertInCache(a),await this.persistence.persistNewStateAsync(Array.isArray(a)?a:[a]),l.deepCopy(a)}_createNewId(){let e=r.uid(16);return this.indexes._id.getMatching(e).length>0&&(e=this._createNewId()),e}_prepareDocumentForInsertion(e){let a;if(Array.isArray(e))a=[],e.forEach((e=>{a.push(this._prepareDocumentForInsertion(e))}));else{a=l.deepCopy(e),void 0===a._id&&(a._id=this._createNewId());const i=new Date;this.timestampData&&void 0===a.createdAt&&(a.createdAt=i),this.timestampData&&void 0===a.updatedAt&&(a.updatedAt=i),l.checkObject(a)}return a}_insertInCache(e){Array.isArray(e)?this._insertMultipleDocsInCache(e):this._addToIndexes(e)}_insertMultipleDocsInCache(e){let a,i;for(let n=0;n<e.length;n+=1)try{this._addToIndexes(e[n])}catch(e){i=e,a=n;break}if(i){for(let i=0;i<a;i+=1)this._removeFromIndexes(e[i]);throw i}}insert(e,a){const i=this.insertAsync(e);"function"==typeof a&&s((()=>i))(a)}insertAsync(e){return this.executor.pushAsync((()=>this._insertAsync(e)))}count(e,a){const i=this.countAsync(e);if("function"!=typeof a)return i;s(i.execAsync.bind(i))(a)}countAsync(e){return new t(this,e,(e=>e.length))}find(e,a,i){1===arguments.length?a={}:2===arguments.length&&"function"==typeof a&&(i=a,a={});const n=this.findAsync(e,a);if("function"!=typeof i)return n;s(n.execAsync.bind(n))(i)}findAsync(e,a={}){const i=new t(this,e,(e=>e.map((e=>l.deepCopy(e)))));return i.projection(a),i}findOne(e,a,i){1===arguments.length?a={}:2===arguments.length&&"function"==typeof a&&(i=a,a={});const n=this.findOneAsync(e,a);if("function"!=typeof i)return n;s(n.execAsync.bind(n))(i)}findOneAsync(e,a={}){const i=new t(this,e,(e=>1===e.length?l.deepCopy(e[0]):null));return i.projection(a).limit(1),i}async _updateAsync(e,a,i){const n=void 0!==i.multi&&i.multi;if(void 0!==i.upsert&&i.upsert){const i=new t(this,e);if(1!==(await i.limit(1)._execAsync()).length){let i;try{l.checkObject(a),i=a}catch(n){i=l.modify(l.deepCopy(e,!0),a)}return{numAffected:1,affectedDocuments:await this._insertAsync(i),upsert:!0}}}let s,o=0;const r=[];let c;const p=await this._getCandidatesAsync(e);for(const i of p)l.match(i,e)&&(n||0===o)&&(o+=1,this.timestampData&&(c=i.createdAt),s=l.modify(i,a),this.timestampData&&(s.createdAt=c,s.updatedAt=new Date),r.push({oldDoc:i,newDoc:s}));this._updateIndexes(r);const u=r.map((e=>e.newDoc));if(await this.persistence.persistNewStateAsync(u),i.returnUpdatedDocs){let e=[];return u.forEach((a=>{e.push(l.deepCopy(a))})),n||(e=e[0]),{numAffected:o,affectedDocuments:e,upsert:!1}}return{numAffected:o,upsert:!1,affectedDocuments:null}}update(e,a,i,n){"function"==typeof i&&(n=i,i={}),s(((e,a,i)=>this.updateAsync(e,a,i)))(e,a,i,((e,a={})=>{n&&n(e,a.numAffected,a.affectedDocuments,a.upsert)}))}updateAsync(e,a,i={}){return this.executor.pushAsync((()=>this._updateAsync(e,a,i)))}async _removeAsync(e,a={}){const i=void 0!==a.multi&&a.multi,n=await this._getCandidatesAsync(e,!0),s=[];let o=0;return n.forEach((a=>{l.match(a,e)&&(i||0===o)&&(o+=1,s.push({$$deleted:!0,_id:a._id}),this._removeFromIndexes(a))})),await this.persistence.persistNewStateAsync(s),o}remove(e,a,i){"function"==typeof a&&(i=a,a={});const n=i||(()=>{});s(((e,a)=>this.removeAsync(e,a)))(e,a,n)}removeAsync(e,a={}){return this.executor.pushAsync((()=>this._removeAsync(e,a)))}}},6454:(e,a,i)=>{const n=i(2009);e.exports=class{constructor(){this.ready=!1,this.queue=new n,this.buffer=null,this._triggerBuffer=null,this.resetBuffer()}pushAsync(e,a=!1){return this.ready||a?this.queue.waterfall(e)():this.buffer.waterfall(e)()}processBuffer(){this.ready=!0,this._triggerBuffer(),this.queue.waterfall((()=>this.buffer.guardian))}resetBuffer(){this.buffer=new n,this.buffer.chain(new Promise((e=>{this._triggerBuffer=e}))),this.ready&&this._triggerBuffer()}}},7863:(e,a,i)=>{const n=i(1908).AVLTree,s=i(4442),{uniq:o,isDate:t}=i(7105),r=(e,a)=>e===a,c=e=>null===e?"$null":"string"==typeof e?"$string"+e:"boolean"==typeof e?"$boolean"+e:"number"==typeof e?"$number"+e:t(e)?"$date"+e.getTime():e;e.exports=class{constructor(e){this.fieldName=e.fieldName,this.unique=e.unique||!1,this.sparse=e.sparse||!1,this.treeOptions={unique:this.unique,compareKeys:s.compareThings,checkValueEquality:r},this.tree=new n(this.treeOptions)}reset(e){this.tree=new n(this.treeOptions),e&&this.insert(e)}insert(e){let a,i,n;if(Array.isArray(e))return void this.insertMultipleDocs(e);const t=s.getDotValue(e,this.fieldName);if(void 0!==t||!this.sparse)if(Array.isArray(t)){a=o(t,c);for(let s=0;s<a.length;s+=1)try{this.tree.insert(a[s],e)}catch(e){n=e,i=s;break}if(n){for(let n=0;n<i;n+=1)this.tree.delete(a[n],e);throw n}}else this.tree.insert(t,e)}insertMultipleDocs(e){let a,i;for(let n=0;n<e.length;n+=1)try{this.insert(e[n])}catch(e){a=e,i=n;break}if(a){for(let a=0;a<i;a+=1)this.remove(e[a]);throw a}}remove(e){if(Array.isArray(e))return void e.forEach((e=>{this.remove(e)}));const a=s.getDotValue(e,this.fieldName);void 0===a&&this.sparse||(Array.isArray(a)?o(a,c).forEach((a=>{this.tree.delete(a,e)})):this.tree.delete(a,e))}update(e,a){if(Array.isArray(e))this.updateMultipleDocs(e);else{this.remove(e);try{this.insert(a)}catch(a){throw this.insert(e),a}}}updateMultipleDocs(e){let a,i;for(let a=0;a<e.length;a+=1)this.remove(e[a].oldDoc);for(let n=0;n<e.length;n+=1)try{this.insert(e[n].newDoc)}catch(e){i=e,a=n;break}if(i){for(let i=0;i<a;i+=1)this.remove(e[i].newDoc);for(let a=0;a<e.length;a+=1)this.insert(e[a].oldDoc);throw i}}revertUpdate(e,a){const i=[];Array.isArray(e)?(e.forEach((e=>{i.push({oldDoc:e.newDoc,newDoc:e.oldDoc})})),this.update(i)):this.update(a,e)}getMatching(e){if(Array.isArray(e)){const a={},i=[];return e.forEach((e=>{this.getMatching(e).forEach((e=>{a[e._id]=e}))})),Object.keys(a).forEach((e=>{i.push(a[e])})),i}return this.tree.search(e)}getBetweenBounds(e){return this.tree.betweenBounds(e)}getAll(){const e=[];return this.tree.executeOnEveryNode((a=>{e.push(...a.data)})),e}}},4442:(e,a,i)=>{const{uniq:n,isDate:s,isRegExp:o}=i(7105),t=(e,a)=>{if("number"==typeof e&&(e=e.toString()),!("$"!==e[0]||"$$date"===e&&"number"==typeof a||"$$deleted"===e&&!0===a||"$$indexCreated"===e||"$$indexRemoved"===e))throw new Error("Field names cannot begin with the $ character");if(-1!==e.indexOf("."))throw new Error("Field names cannot contain a .")},r=e=>{if(Array.isArray(e)&&e.forEach((e=>{r(e)})),"object"==typeof e&&null!==e)for(const a in e)Object.prototype.hasOwnProperty.call(e,a)&&(t(a,e[a]),r(e[a]))};function c(e,a){if("boolean"==typeof e||"number"==typeof e||"string"==typeof e||null===e||s(e))return e;if(Array.isArray(e))return e.map((e=>c(e,a)));if("object"==typeof e){const i={};for(const n in e)Object.prototype.hasOwnProperty.call(e,n)&&(!a||"$"!==n[0]&&-1===n.indexOf("."))&&(i[n]=c(e[n],a));return i}}const p=e=>"boolean"==typeof e||"number"==typeof e||"string"==typeof e||null===e||s(e)||Array.isArray(e),l=(e,a)=>e<a?-1:e>a?1:0,u=(e,a)=>{const i=Math.min(e.length,a.length);for(let n=0;n<i;n+=1){const i=d(e[n],a[n]);if(0!==i)return i}return l(e.length,a.length)},d=(e,a,i)=>{const n=i||l;if(void 0===e)return void 0===a?0:-1;if(void 0===a)return 1;if(null===e)return null===a?0:-1;if(null===a)return 1;if("number"==typeof e)return"number"==typeof a?l(e,a):-1;if("number"==typeof a)return"number"==typeof e?l(e,a):1;if("string"==typeof e)return"string"==typeof a?n(e,a):-1;if("string"==typeof a)return"string"==typeof e?n(e,a):1;if("boolean"==typeof e)return"boolean"==typeof a?l(e,a):-1;if("boolean"==typeof a)return"boolean"==typeof e?l(e,a):1;if(s(e))return s(a)?l(e.getTime(),a.getTime()):-1;if(s(a))return s(e)?l(e.getTime(),a.getTime()):1;if(Array.isArray(e))return Array.isArray(a)?u(e,a):-1;if(Array.isArray(a))return Array.isArray(e)?u(e,a):1;const o=Object.keys(e).sort(),t=Object.keys(a).sort();for(let i=0;i<Math.min(o.length,t.length);i+=1){const n=d(e[o[i]],a[t[i]]);if(0!==n)return n}return l(o.length,t.length)},m=(e,a=!1)=>(i,n,s)=>{const o=(i,n,s)=>{const t="string"==typeof n?n.split("."):n;if(1===t.length)e(i,n,s);else{if(void 0===i[t[0]]){if(a)return;i[t[0]]={}}o(i[t[0]],t.slice(1),s)}};return o(i,n,s)},x=(e,a,i)=>{if(Object.prototype.hasOwnProperty.call(e,a)||(e[a]=[]),!Array.isArray(e[a]))throw new Error("Can't $addToSet an element on non-array values");if(null!==i&&"object"==typeof i&&i.$each){if(Object.keys(i).length>1)throw new Error("Can't use another field in conjunction with $each");if(!Array.isArray(i.$each))throw new Error("$each requires an array value");i.$each.forEach((i=>{x(e,a,i)}))}else{let n=!0;e[a].forEach((e=>{0===d(e,i)&&(n=!1)})),n&&e[a].push(i)}},h={$set:m(((e,a,i)=>{e[a]=i})),$unset:m(((e,a,i)=>{delete e[a]}),!0),$min:m(((e,a,i)=>{(void 0===e[a]||i<e[a])&&(e[a]=i)})),$max:m(((e,a,i)=>{(void 0===e[a]||i>e[a])&&(e[a]=i)})),$inc:m(((e,a,i)=>{if("number"!=typeof i)throw new Error(`${i} must be a number`);if("number"!=typeof e[a]){if(Object.prototype.hasOwnProperty.call(e,a))throw new Error("Don't use the $inc modifier on non-number fields");e[a]=i}else e[a]+=i})),$pull:m(((e,a,i)=>{if(!Array.isArray(e[a]))throw new Error("Can't $pull an element from non-array values");const n=e[a];for(let e=n.length-1;e>=0;e-=1)w(n[e],i)&&n.splice(e,1)})),$pop:m(((e,a,i)=>{if(!Array.isArray(e[a]))throw new Error("Can't $pop an element from non-array values");if("number"!=typeof i)throw new Error(`${i} isn't an integer, can't use it with $pop`);0!==i&&(e[a]=i>0?e[a].slice(0,e[a].length-1):e[a].slice(1))})),$addToSet:m(x),$push:m(((e,a,i)=>{if(Object.prototype.hasOwnProperty.call(e,a)||(e[a]=[]),!Array.isArray(e[a]))throw new Error("Can't $push an element on non-array values");if(null!==i&&"object"==typeof i&&i.$slice&&void 0===i.$each&&(i.$each=[]),null!==i&&"object"==typeof i&&i.$each){if(Object.keys(i).length>=3||2===Object.keys(i).length&&void 0===i.$slice)throw new Error("Can only use $slice in cunjunction with $each when $push to array");if(!Array.isArray(i.$each))throw new Error("$each requires an array value");if(i.$each.forEach((i=>{e[a].push(i)})),void 0===i.$slice||"number"!=typeof i.$slice)return;if(0===i.$slice)e[a]=[];else{let n,s;const o=e[a].length;i.$slice<0?(n=Math.max(0,o+i.$slice),s=o):i.$slice>0&&(n=0,s=Math.min(o,i.$slice)),e[a]=e[a].slice(n,s)}}else e[a].push(i)}))},f=(e,a)=>{const i="string"==typeof a?a.split("."):a;if(e){if(0===i.length)return e;if(1===i.length)return e[i[0]];if(Array.isArray(e[i[0]])){const a=parseInt(i[1],10);return"number"!=typeof a||isNaN(a)?e[i[0]].map((e=>f(e,i.slice(1)))):f(e[i[0]][a],i.slice(2))}return f(e[i[0]],i.slice(1))}},v=(e,a)=>{if(null===e||"string"==typeof e||"boolean"==typeof e||"number"==typeof e||null===a||"string"==typeof a||"boolean"==typeof a||"number"==typeof a)return e===a;if(s(e)||s(a))return s(e)&&s(a)&&e.getTime()===a.getTime();if((!Array.isArray(e)||!Array.isArray(a))&&(Array.isArray(e)||Array.isArray(a))||void 0===e||void 0===a)return!1;let i,n;try{i=Object.keys(e),n=Object.keys(a)}catch(e){return!1}if(i.length!==n.length)return!1;for(const s of i){if(-1===n.indexOf(s))return!1;if(!v(e[s],a[s]))return!1}return!0},D=(e,a)=>!("string"!=typeof e&&"number"!=typeof e&&!s(e)&&"string"!=typeof a&&"number"!=typeof a&&!s(a))&&typeof e==typeof a,b={$lt:(e,a)=>D(e,a)&&e<a,$lte:(e,a)=>D(e,a)&&e<=a,$gt:(e,a)=>D(e,a)&&e>a,$gte:(e,a)=>D(e,a)&&e>=a,$ne:(e,a)=>void 0===e||!v(e,a),$in:(e,a)=>{if(!Array.isArray(a))throw new Error("$in operator called with a non-array");for(const i of a)if(v(e,i))return!0;return!1},$nin:(e,a)=>{if(!Array.isArray(a))throw new Error("$nin operator called with a non-array");return!b.$in(e,a)},$regex:(e,a)=>{if(!o(a))throw new Error("$regex operator called with non regular expression");return"string"==typeof e&&a.test(e)},$exists:(e,a)=>(a=!(!a&&""!==a),void 0===e?!a:a),$size:(e,a)=>{if(!Array.isArray(e))return!1;if(a%1!=0)throw new Error("$size operator called without an integer");return e.length===a},$elemMatch:(e,a)=>!!Array.isArray(e)&&e.some((e=>w(e,a)))},g={$size:!0,$elemMatch:!0},y={$or:(e,a)=>{if(!Array.isArray(a))throw new Error("$or operator used without an array");for(let i=0;i<a.length;i+=1)if(w(e,a[i]))return!0;return!1},$and:(e,a)=>{if(!Array.isArray(a))throw new Error("$and operator used without an array");for(let i=0;i<a.length;i+=1)if(!w(e,a[i]))return!1;return!0},$not:(e,a)=>!w(e,a),$where:(e,a)=>{if("function"!=typeof a)throw new Error("$where operator used without a function");const i=a.call(e);if("boolean"!=typeof i)throw new Error("$where function must return boolean");return i}},w=(e,a)=>{if(p(e)||p(a))return k({needAKey:e},"needAKey",a);for(const i in a)if(Object.prototype.hasOwnProperty.call(a,i)){const n=a[i];if("$"===i[0]){if(!y[i])throw new Error(`Unknown logical operator ${i}`);if(!y[i](e,n))return!1}else if(!k(e,i,n))return!1}return!0};function k(e,a,i,n){const s=f(e,a);if(Array.isArray(s)&&!n){if(Array.isArray(i))return k(e,a,i,!0);if(null!==i&&"object"==typeof i&&!o(i))for(const n in i)if(Object.prototype.hasOwnProperty.call(i,n)&&g[n])return k(e,a,i,!0);for(const e of s)if(k({k:e},"k",i))return!0;return!1}if(null!==i&&"object"==typeof i&&!o(i)&&!Array.isArray(i)){const e=Object.keys(i),a=e.map((e=>e[0])),n=a.filter((e=>"$"===e));if(0!==n.length&&n.length!==a.length)throw new Error("You cannot mix operators and normal fields");if(n.length>0){for(const a of e){if(!b[a])throw new Error(`Unknown comparison function ${a}`);if(!b[a](s,i[a]))return!1}return!0}}return o(i)?b.$regex(s,i):v(s,i)}e.exports.serialize=e=>JSON.stringify(e,(function(e,a){if(t(e,a),void 0!==a)return null===a?null:"function"==typeof this[e].getTime?{$$date:this[e].getTime()}:a})),e.exports.deserialize=e=>JSON.parse(e,(function(e,a){return"$$date"===e?new Date(a):"string"==typeof a||"number"==typeof a||"boolean"==typeof a||null===a?a:a&&a.$$date?a.$$date:a})),e.exports.deepCopy=c,e.exports.checkObject=r,e.exports.isPrimitiveType=p,e.exports.modify=(e,a)=>{const i=Object.keys(a),s=i.map((e=>e[0])),o=s.filter((e=>"$"===e));let t,p;if(-1!==i.indexOf("_id")&&a._id!==e._id)throw new Error("You cannot change a document's _id");if(0!==o.length&&o.length!==s.length)throw new Error("You cannot mix modifiers and normal fields");if(0===o.length?(t=c(a),t._id=e._id):(p=n(i),t=c(e),p.forEach((e=>{if(!h[e])throw new Error(`Unknown modifier ${e}`);if("object"!=typeof a[e])throw new Error(`Modifier ${e}'s argument must be an object`);Object.keys(a[e]).forEach((i=>{h[e](t,i,a[e][i])}))}))),r(t),e._id!==t._id)throw new Error("You can't change a document's _id");return t},e.exports.getDotValue=f,e.exports.match=w,e.exports.areThingsEqual=v,e.exports.compareThings=d},3717:(e,a,i)=>{const n=i(1017),{deprecate:s}=i(3837),o=i(2587),t=i(6266),r=i(7863),c=i(4442),p=i(3014);class l{constructor(e){if(this.db=e.db,this.inMemoryOnly=this.db.inMemoryOnly,this.filename=this.db.filename,this.corruptAlertThreshold=void 0!==e.corruptAlertThreshold?e.corruptAlertThreshold:.1,this.modes=void 0!==e.modes?e.modes:{fileMode:420,dirMode:493},void 0===this.modes.fileMode&&(this.modes.fileMode=420),void 0===this.modes.dirMode&&(this.modes.dirMode=493),!this.inMemoryOnly&&this.filename&&"~"===this.filename.charAt(this.filename.length-1))throw new Error("The datafile name can't end with a ~, which is reserved for crash safe backup files");if(e.afterSerialization&&!e.beforeDeserialization)throw new Error("Serialization hook defined but deserialization hook undefined, cautiously refusing to start NeDB to prevent dataloss");if(!e.afterSerialization&&e.beforeDeserialization)throw new Error("Serialization hook undefined but deserialization hook defined, cautiously refusing to start NeDB to prevent dataloss");if(this.afterSerialization=e.afterSerialization||(e=>e),this.beforeDeserialization=e.beforeDeserialization||(e=>e),void 0===e.testSerializationHooks||e.testSerializationHooks)for(let e=1;e<30;e+=1)for(let a=0;a<10;a+=1){const a=t.uid(e);if(this.beforeDeserialization(this.afterSerialization(a))!==a)throw new Error("beforeDeserialization is not the reverse of afterSerialization, cautiously refusing to start NeDB to prevent dataloss")}}async persistCachedDatabaseAsync(){const e=[];this.inMemoryOnly||(this.db.getAllData().forEach((a=>{e.push(this.afterSerialization(c.serialize(a)))})),Object.keys(this.db.indexes).forEach((a=>{"_id"!==a&&e.push(this.afterSerialization(c.serialize({$$indexCreated:{fieldName:a,unique:this.db.indexes[a].unique,sparse:this.db.indexes[a].sparse}})))})),await p.crashSafeWriteFileLinesAsync(this.filename,e,this.modes),this.db.emit("compaction.done"))}compactDatafile(e){s((e=>this.db.compactDatafile(e)),"@seald-io/nedb: calling Datastore#persistence#compactDatafile is deprecated, please use Datastore#compactDatafile, it will be removed in the next major version.")(e)}setAutocompactionInterval(e){s((e=>this.db.setAutocompactionInterval(e)),"@seald-io/nedb: calling Datastore#persistence#setAutocompactionInterval is deprecated, please use Datastore#setAutocompactionInterval, it will be removed in the next major version.")(e)}stopAutocompaction(){s((()=>this.db.stopAutocompaction()),"@seald-io/nedb: calling Datastore#persistence#stopAutocompaction is deprecated, please use Datastore#stopAutocompaction, it will be removed in the next major version.")()}async persistNewStateAsync(e){let a="";this.inMemoryOnly||(e.forEach((e=>{a+=this.afterSerialization(c.serialize(e))+"\n"})),0!==a.length&&await p.appendFileAsync(this.filename,a,{encoding:"utf8",mode:this.modes.fileMode}))}treatRawData(e){const a=e.split("\n"),i={},n={};let s=a.length,o=0;for(const e of a)if(""!==e)try{const a=c.deserialize(this.beforeDeserialization(e));a._id?!0===a.$$deleted?delete i[a._id]:i[a._id]=a:a.$$indexCreated&&null!=a.$$indexCreated.fieldName?n[a.$$indexCreated.fieldName]=a.$$indexCreated:"string"==typeof a.$$indexRemoved&&delete n[a.$$indexRemoved]}catch(e){o+=1}else s--;if(s>0){const e=o/s;if(e>this.corruptAlertThreshold){const a=new Error(`${Math.floor(100*e)}% of the data file is corrupt, more than given corruptAlertThreshold (${Math.floor(100*this.corruptAlertThreshold)}%). Cautiously refusing to start NeDB to prevent dataloss.`);throw a.corruptionRate=e,a.corruptItems=o,a.dataLength=s,a}}return{data:Object.values(i),indexes:n}}treatRawStreamAsync(e){return new Promise(((a,i)=>{const n={},s={};let t=0;const r=o(e);let p=0;r.on("data",(e=>{if(""!==e){try{const a=c.deserialize(this.beforeDeserialization(e));a._id?!0===a.$$deleted?delete n[a._id]:n[a._id]=a:a.$$indexCreated&&null!=a.$$indexCreated.fieldName?s[a.$$indexCreated.fieldName]=a.$$indexCreated:"string"==typeof a.$$indexRemoved&&delete s[a.$$indexRemoved]}catch(e){t+=1}p++}})),r.on("end",(()=>{if(p>0){const e=t/p;if(e>this.corruptAlertThreshold){const a=new Error(`${Math.floor(100*e)}% of the data file is corrupt, more than given corruptAlertThreshold (${Math.floor(100*this.corruptAlertThreshold)}%). Cautiously refusing to start NeDB to prevent dataloss.`);return a.corruptionRate=e,a.corruptItems=t,a.dataLength=p,void i(a,null)}}const e=Object.values(n);a({data:e,indexes:s})})),r.on("error",(function(e){i(e,null)}))}))}async loadDatabaseAsync(){if(this.db._resetIndexes(),this.inMemoryOnly)return;let e;if(await l.ensureDirectoryExistsAsync(n.dirname(this.filename),this.modes.dirMode),await p.ensureDatafileIntegrityAsync(this.filename,this.modes.fileMode),p.readFileStream){const a=p.readFileStream(this.filename,{encoding:"utf8",mode:this.modes.fileMode});e=await this.treatRawStreamAsync(a)}else{const a=await p.readFileAsync(this.filename,{encoding:"utf8",mode:this.modes.fileMode});e=this.treatRawData(a)}Object.keys(e.indexes).forEach((a=>{this.db.indexes[a]=new r(e.indexes[a])}));try{this.db._resetIndexes(e.data)}catch(e){throw this.db._resetIndexes(),e}await this.db.persistence.persistCachedDatabaseAsync(),this.db.executor.processBuffer()}async dropDatabaseAsync(){this.db.stopAutocompaction(),this.db.executor.ready=!1,this.db.executor.resetBuffer(),await this.db.executor.queue.guardian,this.db.indexes={},this.db.indexes._id=new r({fieldName:"_id",unique:!0}),this.db.ttlIndexes={},this.db.inMemoryOnly||await this.db.executor.pushAsync((async()=>{await p.existsAsync(this.filename)&&await p.unlinkAsync(this.filename)}),!0)}static async ensureDirectoryExistsAsync(e,a=493){await p.mkdirAsync(e,{recursive:!0,mode:a})}}e.exports=l},3014:(e,a,i)=>{const n=i(7147),s=n.promises,o=i(1017),{Readable:t}=i(2781),r=e=>s.access(e,n.constants.F_OK).then((()=>!0),(()=>!1)),c=s.rename,p=s.writeFile,l=n.createWriteStream,u=s.unlink,d=s.appendFile,m=s.readFile,x=n.createReadStream,h=s.mkdir,f=async e=>{let a,i,n,o,t,r;"string"==typeof e?(a=e,i="r+",n=420):(a=e.filename,i=e.isDir?"r":"r+",n=void 0!==e.mode?e.mode:420);try{o=await s.open(a,i,n);try{await o.sync()}catch(e){t=e}}catch(a){if("EISDIR"!==a.code||!e.isDir)throw a}finally{try{await o.close()}catch(e){r=e}}if((t||r)&&("EPERM"!==t.code&&"EISDIR"!==r.code||!e.isDir)){const e=new Error("Failed to flush to storage");throw e.errorOnFsync=t,e.errorOnClose=r,e}},v=(e,a,i=420)=>new Promise(((n,s)=>{try{const o=l(e,{mode:i}),r=t.from(a);r.on("data",(e=>{try{o.write(e+"\n")}catch(e){s(e)}})),r.on("end",(()=>{o.close((e=>{e?s(e):n()}))})),r.on("error",(e=>{s(e)})),o.on("error",(e=>{s(e)}))}catch(e){s(e)}}));e.exports.existsAsync=r,e.exports.renameAsync=c,e.exports.writeFileAsync=p,e.exports.writeFileLinesAsync=v,e.exports.crashSafeWriteFileLinesAsync=async(e,a,i={fileMode:420,dirMode:493})=>{const n=e+"~";await f({filename:o.dirname(e),isDir:!0,mode:i.dirMode}),await r(e)&&await f({filename:e,mode:i.fileMode}),await v(n,a,i.fileMode),await f({filename:n,mode:i.fileMode}),await c(n,e),await f({filename:o.dirname(e),isDir:!0,mode:i.dirMode})},e.exports.appendFileAsync=d,e.exports.readFileAsync=m,e.exports.unlinkAsync=u,e.exports.mkdirAsync=h,e.exports.readFileStream=x,e.exports.flushToStorageAsync=f,e.exports.ensureDatafileIntegrityAsync=async(e,a=420)=>{const i=e+"~";await r(e)||(await r(i)?await c(i,e):await p(e,"",{encoding:"utf8",mode:a}))},e.exports.ensureFileDoesntExistAsync=async e=>{await r(e)&&await u(e)}},7105:e=>{const a=e=>"object"==typeof e&&null!==e;e.exports.uniq=(e,a)=>a?[...new Map(e.map((e=>[a(e),e]))).values()]:[...new Set(e)],e.exports.isDate=e=>a(e)&&"[object Date]"===Object.prototype.toString.call(e),e.exports.isRegExp=e=>a(e)&&"[object RegExp]"===Object.prototype.toString.call(e)},2009:e=>{e.exports=class{constructor(){this.guardian=Promise.resolve()}waterfall(e){return(...a)=>(this.guardian=this.guardian.then((()=>e(...a).then((e=>({error:!1,result:e})),(e=>({error:!0,result:e}))))),this.guardian.then((({error:e,result:a})=>e?Promise.reject(a):Promise.resolve(a))))}chain(e){return this.waterfall((()=>e))()}}},4277:e=>{"use strict";e.exports=({onlyFirst:e=!1}={})=>{const a=["[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]+)*|[a-zA-Z\\d]+(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?\\u0007)","(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PR-TZcf-ntqry=><~]))"].join("|");return new RegExp(a,e?void 0:"g")}},6434:(e,a,i)=>{"use strict";e=i.nmd(e);const n=(e,a)=>(...i)=>`[${e(...i)+a}m`,s=(e,a)=>(...i)=>{const n=e(...i);return`[${38+a};5;${n}m`},o=(e,a)=>(...i)=>{const n=e(...i);return`[${38+a};2;${n[0]};${n[1]};${n[2]}m`},t=e=>e,r=(e,a,i)=>[e,a,i],c=(e,a,i)=>{Object.defineProperty(e,a,{get:()=>{const n=i();return Object.defineProperty(e,a,{value:n,enumerable:!0,configurable:!0}),n},enumerable:!0,configurable:!0})};let p;const l=(e,a,n,s)=>{void 0===p&&(p=i(2085));const o=s?10:0,t={};for(const[i,s]of Object.entries(p)){const r="ansi16"===i?"ansi":i;i===a?t[r]=e(n,o):"object"==typeof s&&(t[r]=e(s[a],o))}return t};Object.defineProperty(e,"exports",{enumerable:!0,get:function(){const e=new Map,a={modifier:{reset:[0,0],bold:[1,22],dim:[2,22],italic:[3,23],underline:[4,24],inverse:[7,27],hidden:[8,28],strikethrough:[9,29]},color:{black:[30,39],red:[31,39],green:[32,39],yellow:[33,39],blue:[34,39],magenta:[35,39],cyan:[36,39],white:[37,39],blackBright:[90,39],redBright:[91,39],greenBright:[92,39],yellowBright:[93,39],blueBright:[94,39],magentaBright:[95,39],cyanBright:[96,39],whiteBright:[97,39]},bgColor:{bgBlack:[40,49],bgRed:[41,49],bgGreen:[42,49],bgYellow:[43,49],bgBlue:[44,49],bgMagenta:[45,49],bgCyan:[46,49],bgWhite:[47,49],bgBlackBright:[100,49],bgRedBright:[101,49],bgGreenBright:[102,49],bgYellowBright:[103,49],bgBlueBright:[104,49],bgMagentaBright:[105,49],bgCyanBright:[106,49],bgWhiteBright:[107,49]}};a.color.gray=a.color.blackBright,a.bgColor.bgGray=a.bgColor.bgBlackBright,a.color.grey=a.color.blackBright,a.bgColor.bgGrey=a.bgColor.bgBlackBright;for(const[i,n]of Object.entries(a)){for(const[i,s]of Object.entries(n))a[i]={open:`[${s[0]}m`,close:`[${s[1]}m`},n[i]=a[i],e.set(s[0],s[1]);Object.defineProperty(a,i,{value:n,enumerable:!1})}return Object.defineProperty(a,"codes",{value:e,enumerable:!1}),a.color.close="[39m",a.bgColor.close="[49m",c(a.color,"ansi",(()=>l(n,"ansi16",t,!1))),c(a.color,"ansi256",(()=>l(s,"ansi256",t,!1))),c(a.color,"ansi16m",(()=>l(o,"rgb",r,!1))),c(a.bgColor,"ansi",(()=>l(n,"ansi16",t,!0))),c(a.bgColor,"ansi256",(()=>l(s,"ansi256",t,!0))),c(a.bgColor,"ansi16m",(()=>l(o,"rgb",r,!0))),a}})},4658:e=>{"use strict";const a="[\ud800-\udbff][\udc00-\udfff]";e.exports=e=>e&&e.exact?new RegExp(`^${a}$`):new RegExp(a,"g")},7392:(e,a,i)=>{"use strict";const n=i(5119),s=i(4223);function o(e,a,i){if(" "===e.charAt(a))return a;for(let n=1;n<=3;n++)if(i){if(" "===e.charAt(a+n))return a+n}else if(" "===e.charAt(a-n))return a-n;return a}e.exports=(e,a,i)=>{i={position:"end",preferTruncationOnSpace:!1,...i};const{position:t,space:r,preferTruncationOnSpace:c}=i;let p="…",l=1;if("string"!=typeof e)throw new TypeError("Expected `input` to be a string, got "+typeof e);if("number"!=typeof a)throw new TypeError("Expected `columns` to be a number, got "+typeof a);if(a<1)return"";if(1===a)return p;const u=s(e);if(u<=a)return e;if("start"===t){if(c){const i=o(e,u-a+1,!0);return p+n(e,i,u).trim()}return!0===r&&(p+=" ",l=2),p+n(e,u-a+l,u)}if("middle"===t){!0===r&&(p=" "+p+" ",l=3);const i=Math.floor(a/2);if(c){const s=o(e,i),t=o(e,u-(a-i)+1,!0);return n(e,0,s)+p+n(e,t,u).trim()}return n(e,0,i)+p+n(e,u-(a-i)+l,u)}if("end"===t){if(c){const i=o(e,a-1);return n(e,0,i)+p}return!0===r&&(p=" "+p,l=2),n(e,0,a-l)+p}throw new Error(`Expected \`options.position\` to be either \`start\`, \`middle\` or \`end\`, got ${t}`)}},8168:(e,a,i)=>{const n=i(8874),s={};for(const e of Object.keys(n))s[n[e]]=e;const o={rgb:{channels:3,labels:"rgb"},hsl:{channels:3,labels:"hsl"},hsv:{channels:3,labels:"hsv"},hwb:{channels:3,labels:"hwb"},cmyk:{channels:4,labels:"cmyk"},xyz:{channels:3,labels:"xyz"},lab:{channels:3,labels:"lab"},lch:{channels:3,labels:"lch"},hex:{channels:1,labels:["hex"]},keyword:{channels:1,labels:["keyword"]},ansi16:{channels:1,labels:["ansi16"]},ansi256:{channels:1,labels:["ansi256"]},hcg:{channels:3,labels:["h","c","g"]},apple:{channels:3,labels:["r16","g16","b16"]},gray:{channels:1,labels:["gray"]}};e.exports=o;for(const e of Object.keys(o)){if(!("channels"in o[e]))throw new Error("missing channels property: "+e);if(!("labels"in o[e]))throw new Error("missing channel labels property: "+e);if(o[e].labels.length!==o[e].channels)throw new Error("channel and label counts mismatch: "+e);const{channels:a,labels:i}=o[e];delete o[e].channels,delete o[e].labels,Object.defineProperty(o[e],"channels",{value:a}),Object.defineProperty(o[e],"labels",{value:i})}o.rgb.hsl=function(e){const a=e[0]/255,i=e[1]/255,n=e[2]/255,s=Math.min(a,i,n),o=Math.max(a,i,n),t=o-s;let r,c;o===s?r=0:a===o?r=(i-n)/t:i===o?r=2+(n-a)/t:n===o&&(r=4+(a-i)/t),r=Math.min(60*r,360),r<0&&(r+=360);const p=(s+o)/2;return c=o===s?0:p<=.5?t/(o+s):t/(2-o-s),[r,100*c,100*p]},o.rgb.hsv=function(e){let a,i,n,s,o;const t=e[0]/255,r=e[1]/255,c=e[2]/255,p=Math.max(t,r,c),l=p-Math.min(t,r,c),u=function(e){return(p-e)/6/l+.5};return 0===l?(s=0,o=0):(o=l/p,a=u(t),i=u(r),n=u(c),t===p?s=n-i:r===p?s=1/3+a-n:c===p&&(s=2/3+i-a),s<0?s+=1:s>1&&(s-=1)),[360*s,100*o,100*p]},o.rgb.hwb=function(e){const a=e[0],i=e[1];let n=e[2];const s=o.rgb.hsl(e)[0],t=1/255*Math.min(a,Math.min(i,n));return n=1-1/255*Math.max(a,Math.max(i,n)),[s,100*t,100*n]},o.rgb.cmyk=function(e){const a=e[0]/255,i=e[1]/255,n=e[2]/255,s=Math.min(1-a,1-i,1-n);return[100*((1-a-s)/(1-s)||0),100*((1-i-s)/(1-s)||0),100*((1-n-s)/(1-s)||0),100*s]},o.rgb.keyword=function(e){const a=s[e];if(a)return a;let i,o=1/0;for(const a of Object.keys(n)){const s=(r=n[a],((t=e)[0]-r[0])**2+(t[1]-r[1])**2+(t[2]-r[2])**2);s<o&&(o=s,i=a)}var t,r;return i},o.keyword.rgb=function(e){return n[e]},o.rgb.xyz=function(e){let a=e[0]/255,i=e[1]/255,n=e[2]/255;return a=a>.04045?((a+.055)/1.055)**2.4:a/12.92,i=i>.04045?((i+.055)/1.055)**2.4:i/12.92,n=n>.04045?((n+.055)/1.055)**2.4:n/12.92,[100*(.4124*a+.3576*i+.1805*n),100*(.2126*a+.7152*i+.0722*n),100*(.0193*a+.1192*i+.9505*n)]},o.rgb.lab=function(e){const a=o.rgb.xyz(e);let i=a[0],n=a[1],s=a[2];return i/=95.047,n/=100,s/=108.883,i=i>.008856?i**(1/3):7.787*i+16/116,n=n>.008856?n**(1/3):7.787*n+16/116,s=s>.008856?s**(1/3):7.787*s+16/116,[116*n-16,500*(i-n),200*(n-s)]},o.hsl.rgb=function(e){const a=e[0]/360,i=e[1]/100,n=e[2]/100;let s,o,t;if(0===i)return t=255*n,[t,t,t];s=n<.5?n*(1+i):n+i-n*i;const r=2*n-s,c=[0,0,0];for(let e=0;e<3;e++)o=a+1/3*-(e-1),o<0&&o++,o>1&&o--,t=6*o<1?r+6*(s-r)*o:2*o<1?s:3*o<2?r+(s-r)*(2/3-o)*6:r,c[e]=255*t;return c},o.hsl.hsv=function(e){const a=e[0];let i=e[1]/100,n=e[2]/100,s=i;const o=Math.max(n,.01);return n*=2,i*=n<=1?n:2-n,s*=o<=1?o:2-o,[a,100*(0===n?2*s/(o+s):2*i/(n+i)),(n+i)/2*100]},o.hsv.rgb=function(e){const a=e[0]/60,i=e[1]/100;let n=e[2]/100;const s=Math.floor(a)%6,o=a-Math.floor(a),t=255*n*(1-i),r=255*n*(1-i*o),c=255*n*(1-i*(1-o));switch(n*=255,s){case 0:return[n,c,t];case 1:return[r,n,t];case 2:return[t,n,c];case 3:return[t,r,n];case 4:return[c,t,n];case 5:return[n,t,r]}},o.hsv.hsl=function(e){const a=e[0],i=e[1]/100,n=e[2]/100,s=Math.max(n,.01);let o,t;t=(2-i)*n;const r=(2-i)*s;return o=i*s,o/=r<=1?r:2-r,o=o||0,t/=2,[a,100*o,100*t]},o.hwb.rgb=function(e){const a=e[0]/360;let i=e[1]/100,n=e[2]/100;const s=i+n;let o;s>1&&(i/=s,n/=s);const t=Math.floor(6*a),r=1-n;o=6*a-t,0!=(1&t)&&(o=1-o);const c=i+o*(r-i);let p,l,u;switch(t){default:case 6:case 0:p=r,l=c,u=i;break;case 1:p=c,l=r,u=i;break;case 2:p=i,l=r,u=c;break;case 3:p=i,l=c,u=r;break;case 4:p=c,l=i,u=r;break;case 5:p=r,l=i,u=c}return[255*p,255*l,255*u]},o.cmyk.rgb=function(e){const a=e[0]/100,i=e[1]/100,n=e[2]/100,s=e[3]/100;return[255*(1-Math.min(1,a*(1-s)+s)),255*(1-Math.min(1,i*(1-s)+s)),255*(1-Math.min(1,n*(1-s)+s))]},o.xyz.rgb=function(e){const a=e[0]/100,i=e[1]/100,n=e[2]/100;let s,o,t;return s=3.2406*a+-1.5372*i+-.4986*n,o=-.9689*a+1.8758*i+.0415*n,t=.0557*a+-.204*i+1.057*n,s=s>.0031308?1.055*s**(1/2.4)-.055:12.92*s,o=o>.0031308?1.055*o**(1/2.4)-.055:12.92*o,t=t>.0031308?1.055*t**(1/2.4)-.055:12.92*t,s=Math.min(Math.max(0,s),1),o=Math.min(Math.max(0,o),1),t=Math.min(Math.max(0,t),1),[255*s,255*o,255*t]},o.xyz.lab=function(e){let a=e[0],i=e[1],n=e[2];return a/=95.047,i/=100,n/=108.883,a=a>.008856?a**(1/3):7.787*a+16/116,i=i>.008856?i**(1/3):7.787*i+16/116,n=n>.008856?n**(1/3):7.787*n+16/116,[116*i-16,500*(a-i),200*(i-n)]},o.lab.xyz=function(e){let a,i,n;i=(e[0]+16)/116,a=e[1]/500+i,n=i-e[2]/200;const s=i**3,o=a**3,t=n**3;return i=s>.008856?s:(i-16/116)/7.787,a=o>.008856?o:(a-16/116)/7.787,n=t>.008856?t:(n-16/116)/7.787,a*=95.047,i*=100,n*=108.883,[a,i,n]},o.lab.lch=function(e){const a=e[0],i=e[1],n=e[2];let s;return s=360*Math.atan2(n,i)/2/Math.PI,s<0&&(s+=360),[a,Math.sqrt(i*i+n*n),s]},o.lch.lab=function(e){const a=e[0],i=e[1],n=e[2]/360*2*Math.PI;return[a,i*Math.cos(n),i*Math.sin(n)]},o.rgb.ansi16=function(e,a=null){const[i,n,s]=e;let t=null===a?o.rgb.hsv(e)[2]:a;if(t=Math.round(t/50),0===t)return 30;let r=30+(Math.round(s/255)<<2|Math.round(n/255)<<1|Math.round(i/255));return 2===t&&(r+=60),r},o.hsv.ansi16=function(e){return o.rgb.ansi16(o.hsv.rgb(e),e[2])},o.rgb.ansi256=function(e){const a=e[0],i=e[1],n=e[2];return a===i&&i===n?a<8?16:a>248?231:Math.round((a-8)/247*24)+232:16+36*Math.round(a/255*5)+6*Math.round(i/255*5)+Math.round(n/255*5)},o.ansi16.rgb=function(e){let a=e%10;if(0===a||7===a)return e>50&&(a+=3.5),a=a/10.5*255,[a,a,a];const i=.5*(1+~~(e>50));return[(1&a)*i*255,(a>>1&1)*i*255,(a>>2&1)*i*255]},o.ansi256.rgb=function(e){if(e>=232){const a=10*(e-232)+8;return[a,a,a]}let a;return e-=16,[Math.floor(e/36)/5*255,Math.floor((a=e%36)/6)/5*255,a%6/5*255]},o.rgb.hex=function(e){const a=(((255&Math.round(e[0]))<<16)+((255&Math.round(e[1]))<<8)+(255&Math.round(e[2]))).toString(16).toUpperCase();return"000000".substring(a.length)+a},o.hex.rgb=function(e){const a=e.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);if(!a)return[0,0,0];let i=a[0];3===a[0].length&&(i=i.split("").map((e=>e+e)).join(""));const n=parseInt(i,16);return[n>>16&255,n>>8&255,255&n]},o.rgb.hcg=function(e){const a=e[0]/255,i=e[1]/255,n=e[2]/255,s=Math.max(Math.max(a,i),n),o=Math.min(Math.min(a,i),n),t=s-o;let r,c;return r=t<1?o/(1-t):0,c=t<=0?0:s===a?(i-n)/t%6:s===i?2+(n-a)/t:4+(a-i)/t,c/=6,c%=1,[360*c,100*t,100*r]},o.hsl.hcg=function(e){const a=e[1]/100,i=e[2]/100,n=i<.5?2*a*i:2*a*(1-i);let s=0;return n<1&&(s=(i-.5*n)/(1-n)),[e[0],100*n,100*s]},o.hsv.hcg=function(e){const a=e[1]/100,i=e[2]/100,n=a*i;let s=0;return n<1&&(s=(i-n)/(1-n)),[e[0],100*n,100*s]},o.hcg.rgb=function(e){const a=e[0]/360,i=e[1]/100,n=e[2]/100;if(0===i)return[255*n,255*n,255*n];const s=[0,0,0],o=a%1*6,t=o%1,r=1-t;let c=0;switch(Math.floor(o)){case 0:s[0]=1,s[1]=t,s[2]=0;break;case 1:s[0]=r,s[1]=1,s[2]=0;break;case 2:s[0]=0,s[1]=1,s[2]=t;break;case 3:s[0]=0,s[1]=r,s[2]=1;break;case 4:s[0]=t,s[1]=0,s[2]=1;break;default:s[0]=1,s[1]=0,s[2]=r}return c=(1-i)*n,[255*(i*s[0]+c),255*(i*s[1]+c),255*(i*s[2]+c)]},o.hcg.hsv=function(e){const a=e[1]/100,i=a+e[2]/100*(1-a);let n=0;return i>0&&(n=a/i),[e[0],100*n,100*i]},o.hcg.hsl=function(e){const a=e[1]/100,i=e[2]/100*(1-a)+.5*a;let n=0;return i>0&&i<.5?n=a/(2*i):i>=.5&&i<1&&(n=a/(2*(1-i))),[e[0],100*n,100*i]},o.hcg.hwb=function(e){const a=e[1]/100,i=a+e[2]/100*(1-a);return[e[0],100*(i-a),100*(1-i)]},o.hwb.hcg=function(e){const a=e[1]/100,i=1-e[2]/100,n=i-a;let s=0;return n<1&&(s=(i-n)/(1-n)),[e[0],100*n,100*s]},o.apple.rgb=function(e){return[e[0]/65535*255,e[1]/65535*255,e[2]/65535*255]},o.rgb.apple=function(e){return[e[0]/255*65535,e[1]/255*65535,e[2]/255*65535]},o.gray.rgb=function(e){return[e[0]/100*255,e[0]/100*255,e[0]/100*255]},o.gray.hsl=function(e){return[0,0,e[0]]},o.gray.hsv=o.gray.hsl,o.gray.hwb=function(e){return[0,100,e[0]]},o.gray.cmyk=function(e){return[0,0,0,e[0]]},o.gray.lab=function(e){return[e[0],0,0]},o.gray.hex=function(e){const a=255&Math.round(e[0]/100*255),i=((a<<16)+(a<<8)+a).toString(16).toUpperCase();return"000000".substring(i.length)+i},o.rgb.gray=function(e){return[(e[0]+e[1]+e[2])/3/255*100]}},2085:(e,a,i)=>{const n=i(8168),s=i(4111),o={};Object.keys(n).forEach((e=>{o[e]={},Object.defineProperty(o[e],"channels",{value:n[e].channels}),Object.defineProperty(o[e],"labels",{value:n[e].labels});const a=s(e);Object.keys(a).forEach((i=>{const n=a[i];o[e][i]=function(e){const a=function(...a){const i=a[0];if(null==i)return i;i.length>1&&(a=i);const n=e(a);if("object"==typeof n)for(let e=n.length,a=0;a<e;a++)n[a]=Math.round(n[a]);return n};return"conversion"in e&&(a.conversion=e.conversion),a}(n),o[e][i].raw=function(e){const a=function(...a){const i=a[0];return null==i?i:(i.length>1&&(a=i),e(a))};return"conversion"in e&&(a.conversion=e.conversion),a}(n)}))})),e.exports=o},4111:(e,a,i)=>{const n=i(8168);function s(e,a){return function(i){return a(e(i))}}function o(e,a){const i=[a[e].parent,e];let o=n[a[e].parent][e],t=a[e].parent;for(;a[t].parent;)i.unshift(a[t].parent),o=s(n[a[t].parent][t],o),t=a[t].parent;return o.conversion=i,o}e.exports=function(e){const a=function(e){const a=function(){const e={},a=Object.keys(n);for(let i=a.length,n=0;n<i;n++)e[a[n]]={distance:-1,parent:null};return e}(),i=[e];for(a[e].distance=0;i.length;){const e=i.pop(),s=Object.keys(n[e]);for(let n=s.length,o=0;o<n;o++){const n=s[o],t=a[n];-1===t.distance&&(t.distance=a[e].distance+1,t.parent=e,i.unshift(n))}}return a}(e),i={},s=Object.keys(a);for(let e=s.length,n=0;n<e;n++){const e=s[n];null!==a[e].parent&&(i[e]=o(e,a))}return i}},8874:e=>{"use strict";e.exports={aliceblue:[240,248,255],antiquewhite:[250,235,215],aqua:[0,255,255],aquamarine:[127,255,212],azure:[240,255,255],beige:[245,245,220],bisque:[255,228,196],black:[0,0,0],blanchedalmond:[255,235,205],blue:[0,0,255],blueviolet:[138,43,226],brown:[165,42,42],burlywood:[222,184,135],cadetblue:[95,158,160],chartreuse:[127,255,0],chocolate:[210,105,30],coral:[255,127,80],cornflowerblue:[100,149,237],cornsilk:[255,248,220],crimson:[220,20,60],cyan:[0,255,255],darkblue:[0,0,139],darkcyan:[0,139,139],darkgoldenrod:[184,134,11],darkgray:[169,169,169],darkgreen:[0,100,0],darkgrey:[169,169,169],darkkhaki:[189,183,107],darkmagenta:[139,0,139],darkolivegreen:[85,107,47],darkorange:[255,140,0],darkorchid:[153,50,204],darkred:[139,0,0],darksalmon:[233,150,122],darkseagreen:[143,188,143],darkslateblue:[72,61,139],darkslategray:[47,79,79],darkslategrey:[47,79,79],darkturquoise:[0,206,209],darkviolet:[148,0,211],deeppink:[255,20,147],deepskyblue:[0,191,255],dimgray:[105,105,105],dimgrey:[105,105,105],dodgerblue:[30,144,255],firebrick:[178,34,34],floralwhite:[255,250,240],forestgreen:[34,139,34],fuchsia:[255,0,255],gainsboro:[220,220,220],ghostwhite:[248,248,255],gold:[255,215,0],goldenrod:[218,165,32],gray:[128,128,128],green:[0,128,0],greenyellow:[173,255,47],grey:[128,128,128],honeydew:[240,255,240],hotpink:[255,105,180],indianred:[205,92,92],indigo:[75,0,130],ivory:[255,255,240],khaki:[240,230,140],lavender:[230,230,250],lavenderblush:[255,240,245],lawngreen:[124,252,0],lemonchiffon:[255,250,205],lightblue:[173,216,230],lightcoral:[240,128,128],lightcyan:[224,255,255],lightgoldenrodyellow:[250,250,210],lightgray:[211,211,211],lightgreen:[144,238,144],lightgrey:[211,211,211],lightpink:[255,182,193],lightsalmon:[255,160,122],lightseagreen:[32,178,170],lightskyblue:[135,206,250],lightslategray:[119,136,153],lightslategrey:[119,136,153],lightsteelblue:[176,196,222],lightyellow:[255,255,224],lime:[0,255,0],limegreen:[50,205,50],linen:[250,240,230],magenta:[255,0,255],maroon:[128,0,0],mediumaquamarine:[102,205,170],mediumblue:[0,0,205],mediumorchid:[186,85,211],mediumpurple:[147,112,219],mediumseagreen:[60,179,113],mediumslateblue:[123,104,238],mediumspringgreen:[0,250,154],mediumturquoise:[72,209,204],mediumvioletred:[199,21,133],midnightblue:[25,25,112],mintcream:[245,255,250],mistyrose:[255,228,225],moccasin:[255,228,181],navajowhite:[255,222,173],navy:[0,0,128],oldlace:[253,245,230],olive:[128,128,0],olivedrab:[107,142,35],orange:[255,165,0],orangered:[255,69,0],orchid:[218,112,214],palegoldenrod:[238,232,170],palegreen:[152,251,152],paleturquoise:[175,238,238],palevioletred:[219,112,147],papayawhip:[255,239,213],peachpuff:[255,218,185],peru:[205,133,63],pink:[255,192,203],plum:[221,160,221],powderblue:[176,224,230],purple:[128,0,128],rebeccapurple:[102,51,153],red:[255,0,0],rosybrown:[188,143,143],royalblue:[65,105,225],saddlebrown:[139,69,19],salmon:[250,128,114],sandybrown:[244,164,96],seagreen:[46,139,87],seashell:[255,245,238],sienna:[160,82,45],silver:[192,192,192],skyblue:[135,206,235],slateblue:[106,90,205],slategray:[112,128,144],slategrey:[112,128,144],snow:[255,250,250],springgreen:[0,255,127],steelblue:[70,130,180],tan:[210,180,140],teal:[0,128,128],thistle:[216,191,216],tomato:[255,99,71],turquoise:[64,224,208],violet:[238,130,238],wheat:[245,222,179],white:[255,255,255],whitesmoke:[245,245,245],yellow:[255,255,0],yellowgreen:[154,205,50]}},5710:(e,a,i)=>{"use strict";const n=i(2298),s=i(7392),{download:o}=i(8659),t=i(3172),r=e=>e.webContents||e.id&&e,c=e=>(a={})=>(a.transform&&!a.click&&(e.transform=a.transform),e);e.exports=(e={})=>{if("renderer"===process.type)throw new Error("Cannot use electron-context-menu in the renderer process!");let a=!1;const i=[],p=p=>{if(a)return;const l=((e,a)=>{const i=(i,p)=>{if("function"==typeof a.shouldShowMenu&&!1===a.shouldShowMenu(i,p))return;const{editFlags:l}=p,u=p.selectionText.trim().length>0,d=Boolean(p.linkURL),m=e=>l[`can${e}`]&&u,x={separator:()=>({type:"separator"}),learnSpelling:c({id:"learnSpelling",label:"&Learn Spelling",visible:Boolean(p.isEditable&&u&&p.misspelledWord),click(){r(e).session.addWordToSpellCheckerDictionary(p.misspelledWord)}}),lookUpSelection:c({id:"lookUpSelection",label:"Look Up “{selection}”",visible:"darwin"===process.platform&&u&&!d,click(){"darwin"===process.platform&&r(e).showDefinitionForSelection()}}),searchWithGoogle:c({id:"searchWithGoogle",label:"&Search with Google",visible:u,click(){const e=new URL("https://www.google.com/search");e.searchParams.set("q",p.selectionText),n.shell.openExternal(e.toString())}}),cut:c({id:"cut",label:"Cu&t",enabled:m("Cut"),visible:p.isEditable,click(a){const i=r(e);!a.transform&&i?i.cut():(p.selectionText=a.transform?a.transform(p.selectionText):p.selectionText,n.clipboard.writeText(p.selectionText))}}),copy:c({id:"copy",label:"&Copy",enabled:m("Copy"),visible:p.isEditable||u,click(a){const i=r(e);!a.transform&&i?i.copy():(p.selectionText=a.transform?a.transform(p.selectionText):p.selectionText,n.clipboard.writeText(p.selectionText))}}),paste:c({id:"paste",label:"&Paste",enabled:l.canPaste,visible:p.isEditable,click(a){const i=r(e);if(a.transform){let e=n.clipboard.readText(p.selectionText);e=a.transform?a.transform(e):e,i.insertText(e)}else i.paste()}}),selectAll:c({id:"selectAll",label:"Select &All",click(){r(e).selectAll()}}),saveImage:c({id:"saveImage",label:"Save I&mage",visible:"image"===p.mediaType,click(a){p.srcURL=a.transform?a.transform(p.srcURL):p.srcURL,o(e,p.srcURL)}}),saveImageAs:c({id:"saveImageAs",label:"Sa&ve Image As…",visible:"image"===p.mediaType,click(a){p.srcURL=a.transform?a.transform(p.srcURL):p.srcURL,o(e,p.srcURL,{saveAs:!0})}}),saveVideo:c({id:"saveVideo",label:"Save Vide&o",visible:"video"===p.mediaType,click(a){p.srcURL=a.transform?a.transform(p.srcURL):p.srcURL,o(e,p.srcURL)}}),saveVideoAs:c({id:"saveVideoAs",label:"Save Video& As…",visible:"video"===p.mediaType,click(a){p.srcURL=a.transform?a.transform(p.srcURL):p.srcURL,o(e,p.srcURL,{saveAs:!0})}}),copyLink:c({id:"copyLink",label:"Copy Lin&k",visible:p.linkURL.length>0&&"none"===p.mediaType,click(e){p.linkURL=e.transform?e.transform(p.linkURL):p.linkURL,n.clipboard.write({bookmark:p.linkText,text:p.linkURL})}}),saveLinkAs:c({id:"saveLinkAs",label:"Save Link As…",visible:p.linkURL.length>0&&"none"===p.mediaType,click(a){p.linkURL=a.transform?a.transform(p.linkURL):p.linkURL,o(e,p.linkURL,{saveAs:!0})}}),copyImage:c({id:"copyImage",label:"Cop&y Image",visible:"image"===p.mediaType,click(){r(e).copyImageAt(p.x,p.y)}}),copyImageAddress:c({id:"copyImageAddress",label:"C&opy Image Address",visible:"image"===p.mediaType,click(e){p.srcURL=e.transform?e.transform(p.srcURL):p.srcURL,n.clipboard.write({bookmark:p.srcURL,text:p.srcURL})}}),copyVideoAddress:c({id:"copyVideoAddress",label:"Copy Video Ad&dress",visible:"video"===p.mediaType,click(e){p.srcURL=e.transform?e.transform(p.srcURL):p.srcURL,n.clipboard.write({bookmark:p.srcURL,text:p.srcURL})}}),inspect:()=>({id:"inspect",label:"I&nspect Element",click(){e.inspectElement(p.x,p.y),r(e).isDevToolsOpened()&&r(e).devToolsWebContents.focus()}}),services:()=>({id:"services",label:"Services",role:"services",visible:"darwin"===process.platform&&(p.isEditable||u)})},h="boolean"==typeof a.showInspectElement?a.showInspectElement:t,f=a.showSelectAll||!1!==a.showSelectAll&&"darwin"!==process.platform;let v=[];u&&p.misspelledWord&&p.dictionarySuggestions.length>0?v=p.dictionarySuggestions.map((a=>function(a){return{id:"dictionarySuggestions",label:a,visible:Boolean(p.isEditable&&u&&p.misspelledWord),click(a){r(e).replaceMisspelling(a.label)}}}(a))):v.push({id:"dictionarySuggestions",label:"No Guesses Found",visible:Boolean(u&&p.misspelledWord),enabled:!1});let D=[v.length>0&&x.separator(),...v,x.separator(),!1!==a.showLearnSpelling&&x.learnSpelling(),x.separator(),!1!==a.showLookUpSelection&&x.lookUpSelection(),x.separator(),!1!==a.showSearchWithGoogle&&x.searchWithGoogle(),x.separator(),x.cut(),x.copy(),x.paste(),f&&x.selectAll(),x.separator(),a.showSaveImage&&x.saveImage(),a.showSaveImageAs&&x.saveImageAs(),!1!==a.showCopyImage&&x.copyImage(),a.showCopyImageAddress&&x.copyImageAddress(),a.showSaveVideo&&x.saveVideo(),a.showSaveVideoAs&&x.saveVideoAs(),a.showCopyVideoAddress&&x.copyVideoAddress(),x.separator(),x.copyLink(),a.showSaveLinkAs&&x.saveLinkAs(),x.separator(),h&&x.inspect(),a.showServices&&x.services(),x.separator()];if(a.menu&&(D=a.menu(x,p,e,v,i)),a.prepend){const n=a.prepend(x,p,e,i);Array.isArray(n)&&D.unshift(...n)}if(a.append){const n=a.append(x,p,e,i);Array.isArray(n)&&D.push(...n)}D=(e=>{let a;return e.filter((e=>void 0!==e&&!1!==e&&!1!==e.visible&&""!==e.visible)).filter(((e,i,n)=>{const s="separator"===e.type&&(!a||i===n.length-1||"separator"===n[i+1].type);return a=s?a:e,!s}))})(D);for(const e of D)if(a.labels&&a.labels[e.id]&&(e.label=a.labels[e.id]),"string"==typeof e.label&&e.label.includes("{selection}")){const a="string"==typeof p.selectionText?p.selectionText.trim():"";e.label=e.label.replace("{selection}",s(a,25).replace(/&/g,"&&"))}if(D.length>0){const i=n.Menu.buildFromTemplate(D);"function"==typeof a.onShow&&i.on("menu-will-show",a.onShow),"function"==typeof a.onClose&&i.on("menu-will-close",a.onClose),i.popup(e)}};return r(e).on("context-menu",i),()=>{e.isDestroyed()||r(e).removeListener("context-menu",i)}})(p,e);i.push(l);const u=()=>{const e=i.indexOf(l);-1!==e&&i.splice(e,1)};void 0!==p.once&&p.once("closed",u),i.push((()=>{p.off("closed",u)}))},l=()=>{for(const e of i)e();i.length=0,a=!0};if(e.window){const a=e.window;if(void 0===r(a)){const e=()=>{p(a)};return(a.addEventListener||a.addListener)("dom-ready",e,{once:!0}),i.push((()=>{a.removeEventListener("dom-ready",e,{once:!0})})),l}return p(a),l}for(const e of n.BrowserWindow.getAllWindows())p(e);const u=(e,a)=>{p(a)};return n.app.on("browser-window-created",u),i.push((()=>{n.app.removeListener("browser-window-created",u)})),l}},8659:(e,a,i)=>{"use strict";const n=i(1017),{app:s,BrowserWindow:o,shell:t,dialog:r}=i(2298),c=i(9163),p=i(4456),l=i(7063);function u(e,a,i=(()=>{})){const r=new Set;let u=0,d=0,m=0;const x=()=>r.size,h=()=>u/m;a={showBadge:!0,...a};const f=(v,D,b)=>{r.add(D),m+=D.getTotalBytes();const g=(()=>{const e=process.versions.electron.split(".");return Number.parseInt(e[0],10)})()>=12?o.fromWebContents(b):(e=>{let a;switch(e.getType()){case"webview":a=o.fromWebContents(e.hostWebContents);break;case"browserView":a=(e=>{for(const a of o.getAllWindows())for(const i of a.getBrowserViews())if(i.webContents.id===e.id)return a})(e);break;default:a=o.fromWebContents(e)}return a})(b);if(a.directory&&!n.isAbsolute(a.directory))throw new Error("The `directory` option must be an absolute path");const y=a.directory||s.getPath("downloads");let w;if(a.filename)w=n.join(y,a.filename);else{const e=D.getFilename(),i=n.extname(e)?e:((e,a)=>{const i=l.mime(a);return 1!==i.length?e:`${e}.${i[0].ext}`})(e,D.getMimeType());w=a.overwrite?n.join(y,i):c.sync(n.join(y,i))}const k=a.errorMessage||"The download of {filename} was interrupted";a.saveAs?D.setSaveDialogOptions({defaultPath:w}):D.setSavePath(w),"function"==typeof a.onStarted&&a.onStarted(D),D.on("updated",(()=>{u=d;for(const e of r)u+=e.getReceivedBytes();if(a.showBadge&&["darwin","linux"].includes(process.platform)&&(s.badgeCount=x()),g.isDestroyed()||g.setProgressBar(h()),"function"==typeof a.onProgress){const e=D.getReceivedBytes(),i=D.getTotalBytes();a.onProgress({percent:i?e/i:0,transferredBytes:e,totalBytes:i})}"function"==typeof a.onTotalProgress&&a.onTotalProgress({percent:h(),transferredBytes:u,totalBytes:m})})),D.on("done",((o,c)=>{if(d+=D.getTotalBytes(),r.delete(D),a.showBadge&&["darwin","linux"].includes(process.platform)&&(s.badgeCount=x()),g.isDestroyed()||x()||(g.setProgressBar(-1),u=0,d=0,m=0),a.unregisterWhenDone&&e.removeListener("will-download",f),"cancelled"===c)"function"==typeof a.onCancel&&a.onCancel(D);else if("interrupted"===c){const e=p(k,{filename:n.basename(w)});i(new Error(e))}else if("completed"===c){const e=D.getSavePath();"darwin"===process.platform&&s.dock.downloadFinished(e),a.openFolderWhenDone&&t.showItemInFolder(e),"function"==typeof a.onCompleted&&a.onCompleted({fileName:D.getFilename(),path:e,fileSize:D.getReceivedBytes(),mimeType:D.getMimeType(),url:D.getURL()}),i(null,D)}}))};e.on("will-download",f)}e.exports=(e={})=>{s.on("session-created",(a=>{u(a,e,((a,i)=>{if(a){const i=e.errorTitle||"Download Error";r.showErrorBox(i,a.message)}}))}))},e.exports.download=(e,a,i)=>new Promise(((n,s)=>{i={...i,unregisterWhenDone:!0},u(e.webContents.session,i,((e,a)=>{e?s(e):n(a)})),e.webContents.downloadURL(a)}))},3172:(e,a,i)=>{"use strict";const n=i(2298);if("string"==typeof n)throw new TypeError("Not running in an Electron environment!");const s="ELECTRON_IS_DEV"in process.env,o=1===Number.parseInt(process.env.ELECTRON_IS_DEV,10);e.exports=s?o:!n.app.isPackaged},809:e=>{"use strict";e.exports=function(){return/\uD83C\uDFF4\uDB40\uDC67\uDB40\uDC62(?:\uDB40\uDC65\uDB40\uDC6E\uDB40\uDC67|\uDB40\uDC73\uDB40\uDC63\uDB40\uDC74|\uDB40\uDC77\uDB40\uDC6C\uDB40\uDC73)\uDB40\uDC7F|\uD83D\uDC68(?:\uD83C\uDFFC\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68\uD83C\uDFFB|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFF\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFE])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFE\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFD])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFD\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFC])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\u200D(?:\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D)?\uD83D\uDC68|(?:\uD83D[\uDC68\uDC69])\u200D(?:\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67]))|\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67])|(?:\uD83D[\uDC68\uDC69])\u200D(?:\uD83D[\uDC66\uDC67])|[\u2695\u2696\u2708]\uFE0F|\uD83D[\uDC66\uDC67]|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|(?:\uD83C\uDFFB\u200D[\u2695\u2696\u2708]|\uD83C\uDFFF\u200D[\u2695\u2696\u2708]|\uD83C\uDFFE\u200D[\u2695\u2696\u2708]|\uD83C\uDFFD\u200D[\u2695\u2696\u2708]|\uD83C\uDFFC\u200D[\u2695\u2696\u2708])\uFE0F|\uD83C\uDFFB\u200D(?:\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C[\uDFFB-\uDFFF])|(?:\uD83E\uDDD1\uD83C\uDFFB\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFC\u200D\uD83E\uDD1D\u200D\uD83D\uDC69)\uD83C\uDFFB|\uD83E\uDDD1(?:\uD83C\uDFFF\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1(?:\uD83C[\uDFFB-\uDFFF])|\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1)|(?:\uD83E\uDDD1\uD83C\uDFFE\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFF\u200D\uD83E\uDD1D\u200D(?:\uD83D[\uDC68\uDC69]))(?:\uD83C[\uDFFB-\uDFFE])|(?:\uD83E\uDDD1\uD83C\uDFFC\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFD\u200D\uD83E\uDD1D\u200D\uD83D\uDC69)(?:\uD83C[\uDFFB\uDFFC])|\uD83D\uDC69(?:\uD83C\uDFFE\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFD\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFC\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFD-\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFB\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFC-\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFD\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFC\uDFFE\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\u200D(?:\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D(?:\uD83D[\uDC68\uDC69])|\uD83D[\uDC68\uDC69])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFF\u200D(?:\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD]))|\uD83D\uDC69\u200D\uD83D\uDC69\u200D(?:\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67]))|(?:\uD83E\uDDD1\uD83C\uDFFD\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFE\u200D\uD83E\uDD1D\u200D\uD83D\uDC69)(?:\uD83C[\uDFFB-\uDFFD])|\uD83D\uDC69\u200D\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC69\u200D\uD83D\uDC69\u200D(?:\uD83D[\uDC66\uDC67])|(?:\uD83D\uDC41\uFE0F\u200D\uD83D\uDDE8|\uD83D\uDC69(?:\uD83C\uDFFF\u200D[\u2695\u2696\u2708]|\uD83C\uDFFE\u200D[\u2695\u2696\u2708]|\uD83C\uDFFC\u200D[\u2695\u2696\u2708]|\uD83C\uDFFB\u200D[\u2695\u2696\u2708]|\uD83C\uDFFD\u200D[\u2695\u2696\u2708]|\u200D[\u2695\u2696\u2708])|(?:(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)\uFE0F|\uD83D\uDC6F|\uD83E[\uDD3C\uDDDE\uDDDF])\u200D[\u2640\u2642]|(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)(?:\uD83C[\uDFFB-\uDFFF])\u200D[\u2640\u2642]|(?:\uD83C[\uDFC3\uDFC4\uDFCA]|\uD83D[\uDC6E\uDC71\uDC73\uDC77\uDC81\uDC82\uDC86\uDC87\uDE45-\uDE47\uDE4B\uDE4D\uDE4E\uDEA3\uDEB4-\uDEB6]|\uD83E[\uDD26\uDD37-\uDD39\uDD3D\uDD3E\uDDB8\uDDB9\uDDCD-\uDDCF\uDDD6-\uDDDD])(?:(?:\uD83C[\uDFFB-\uDFFF])\u200D[\u2640\u2642]|\u200D[\u2640\u2642])|\uD83C\uDFF4\u200D\u2620)\uFE0F|\uD83D\uDC69\u200D\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67])|\uD83C\uDFF3\uFE0F\u200D\uD83C\uDF08|\uD83D\uDC15\u200D\uD83E\uDDBA|\uD83D\uDC69\u200D\uD83D\uDC66|\uD83D\uDC69\u200D\uD83D\uDC67|\uD83C\uDDFD\uD83C\uDDF0|\uD83C\uDDF4\uD83C\uDDF2|\uD83C\uDDF6\uD83C\uDDE6|[#\*0-9]\uFE0F\u20E3|\uD83C\uDDE7(?:\uD83C[\uDDE6\uDDE7\uDDE9-\uDDEF\uDDF1-\uDDF4\uDDF6-\uDDF9\uDDFB\uDDFC\uDDFE\uDDFF])|\uD83C\uDDF9(?:\uD83C[\uDDE6\uDDE8\uDDE9\uDDEB-\uDDED\uDDEF-\uDDF4\uDDF7\uDDF9\uDDFB\uDDFC\uDDFF])|\uD83C\uDDEA(?:\uD83C[\uDDE6\uDDE8\uDDEA\uDDEC\uDDED\uDDF7-\uDDFA])|\uD83E\uDDD1(?:\uD83C[\uDFFB-\uDFFF])|\uD83C\uDDF7(?:\uD83C[\uDDEA\uDDF4\uDDF8\uDDFA\uDDFC])|\uD83D\uDC69(?:\uD83C[\uDFFB-\uDFFF])|\uD83C\uDDF2(?:\uD83C[\uDDE6\uDDE8-\uDDED\uDDF0-\uDDFF])|\uD83C\uDDE6(?:\uD83C[\uDDE8-\uDDEC\uDDEE\uDDF1\uDDF2\uDDF4\uDDF6-\uDDFA\uDDFC\uDDFD\uDDFF])|\uD83C\uDDF0(?:\uD83C[\uDDEA\uDDEC-\uDDEE\uDDF2\uDDF3\uDDF5\uDDF7\uDDFC\uDDFE\uDDFF])|\uD83C\uDDED(?:\uD83C[\uDDF0\uDDF2\uDDF3\uDDF7\uDDF9\uDDFA])|\uD83C\uDDE9(?:\uD83C[\uDDEA\uDDEC\uDDEF\uDDF0\uDDF2\uDDF4\uDDFF])|\uD83C\uDDFE(?:\uD83C[\uDDEA\uDDF9])|\uD83C\uDDEC(?:\uD83C[\uDDE6\uDDE7\uDDE9-\uDDEE\uDDF1-\uDDF3\uDDF5-\uDDFA\uDDFC\uDDFE])|\uD83C\uDDF8(?:\uD83C[\uDDE6-\uDDEA\uDDEC-\uDDF4\uDDF7-\uDDF9\uDDFB\uDDFD-\uDDFF])|\uD83C\uDDEB(?:\uD83C[\uDDEE-\uDDF0\uDDF2\uDDF4\uDDF7])|\uD83C\uDDF5(?:\uD83C[\uDDE6\uDDEA-\uDDED\uDDF0-\uDDF3\uDDF7-\uDDF9\uDDFC\uDDFE])|\uD83C\uDDFB(?:\uD83C[\uDDE6\uDDE8\uDDEA\uDDEC\uDDEE\uDDF3\uDDFA])|\uD83C\uDDF3(?:\uD83C[\uDDE6\uDDE8\uDDEA-\uDDEC\uDDEE\uDDF1\uDDF4\uDDF5\uDDF7\uDDFA\uDDFF])|\uD83C\uDDE8(?:\uD83C[\uDDE6\uDDE8\uDDE9\uDDEB-\uDDEE\uDDF0-\uDDF5\uDDF7\uDDFA-\uDDFF])|\uD83C\uDDF1(?:\uD83C[\uDDE6-\uDDE8\uDDEE\uDDF0\uDDF7-\uDDFB\uDDFE])|\uD83C\uDDFF(?:\uD83C[\uDDE6\uDDF2\uDDFC])|\uD83C\uDDFC(?:\uD83C[\uDDEB\uDDF8])|\uD83C\uDDFA(?:\uD83C[\uDDE6\uDDEC\uDDF2\uDDF3\uDDF8\uDDFE\uDDFF])|\uD83C\uDDEE(?:\uD83C[\uDDE8-\uDDEA\uDDF1-\uDDF4\uDDF6-\uDDF9])|\uD83C\uDDEF(?:\uD83C[\uDDEA\uDDF2\uDDF4\uDDF5])|(?:\uD83C[\uDFC3\uDFC4\uDFCA]|\uD83D[\uDC6E\uDC71\uDC73\uDC77\uDC81\uDC82\uDC86\uDC87\uDE45-\uDE47\uDE4B\uDE4D\uDE4E\uDEA3\uDEB4-\uDEB6]|\uD83E[\uDD26\uDD37-\uDD39\uDD3D\uDD3E\uDDB8\uDDB9\uDDCD-\uDDCF\uDDD6-\uDDDD])(?:\uD83C[\uDFFB-\uDFFF])|(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)(?:\uD83C[\uDFFB-\uDFFF])|(?:[\u261D\u270A-\u270D]|\uD83C[\uDF85\uDFC2\uDFC7]|\uD83D[\uDC42\uDC43\uDC46-\uDC50\uDC66\uDC67\uDC6B-\uDC6D\uDC70\uDC72\uDC74-\uDC76\uDC78\uDC7C\uDC83\uDC85\uDCAA\uDD74\uDD7A\uDD90\uDD95\uDD96\uDE4C\uDE4F\uDEC0\uDECC]|\uD83E[\uDD0F\uDD18-\uDD1C\uDD1E\uDD1F\uDD30-\uDD36\uDDB5\uDDB6\uDDBB\uDDD2-\uDDD5])(?:\uD83C[\uDFFB-\uDFFF])|(?:[\u231A\u231B\u23E9-\u23EC\u23F0\u23F3\u25FD\u25FE\u2614\u2615\u2648-\u2653\u267F\u2693\u26A1\u26AA\u26AB\u26BD\u26BE\u26C4\u26C5\u26CE\u26D4\u26EA\u26F2\u26F3\u26F5\u26FA\u26FD\u2705\u270A\u270B\u2728\u274C\u274E\u2753-\u2755\u2757\u2795-\u2797\u27B0\u27BF\u2B1B\u2B1C\u2B50\u2B55]|\uD83C[\uDC04\uDCCF\uDD8E\uDD91-\uDD9A\uDDE6-\uDDFF\uDE01\uDE1A\uDE2F\uDE32-\uDE36\uDE38-\uDE3A\uDE50\uDE51\uDF00-\uDF20\uDF2D-\uDF35\uDF37-\uDF7C\uDF7E-\uDF93\uDFA0-\uDFCA\uDFCF-\uDFD3\uDFE0-\uDFF0\uDFF4\uDFF8-\uDFFF]|\uD83D[\uDC00-\uDC3E\uDC40\uDC42-\uDCFC\uDCFF-\uDD3D\uDD4B-\uDD4E\uDD50-\uDD67\uDD7A\uDD95\uDD96\uDDA4\uDDFB-\uDE4F\uDE80-\uDEC5\uDECC\uDED0-\uDED2\uDED5\uDEEB\uDEEC\uDEF4-\uDEFA\uDFE0-\uDFEB]|\uD83E[\uDD0D-\uDD3A\uDD3C-\uDD45\uDD47-\uDD71\uDD73-\uDD76\uDD7A-\uDDA2\uDDA5-\uDDAA\uDDAE-\uDDCA\uDDCD-\uDDFF\uDE70-\uDE73\uDE78-\uDE7A\uDE80-\uDE82\uDE90-\uDE95])|(?:[#\*0-9\xA9\xAE\u203C\u2049\u2122\u2139\u2194-\u2199\u21A9\u21AA\u231A\u231B\u2328\u23CF\u23E9-\u23F3\u23F8-\u23FA\u24C2\u25AA\u25AB\u25B6\u25C0\u25FB-\u25FE\u2600-\u2604\u260E\u2611\u2614\u2615\u2618\u261D\u2620\u2622\u2623\u2626\u262A\u262E\u262F\u2638-\u263A\u2640\u2642\u2648-\u2653\u265F\u2660\u2663\u2665\u2666\u2668\u267B\u267E\u267F\u2692-\u2697\u2699\u269B\u269C\u26A0\u26A1\u26AA\u26AB\u26B0\u26B1\u26BD\u26BE\u26C4\u26C5\u26C8\u26CE\u26CF\u26D1\u26D3\u26D4\u26E9\u26EA\u26F0-\u26F5\u26F7-\u26FA\u26FD\u2702\u2705\u2708-\u270D\u270F\u2712\u2714\u2716\u271D\u2721\u2728\u2733\u2734\u2744\u2747\u274C\u274E\u2753-\u2755\u2757\u2763\u2764\u2795-\u2797\u27A1\u27B0\u27BF\u2934\u2935\u2B05-\u2B07\u2B1B\u2B1C\u2B50\u2B55\u3030\u303D\u3297\u3299]|\uD83C[\uDC04\uDCCF\uDD70\uDD71\uDD7E\uDD7F\uDD8E\uDD91-\uDD9A\uDDE6-\uDDFF\uDE01\uDE02\uDE1A\uDE2F\uDE32-\uDE3A\uDE50\uDE51\uDF00-\uDF21\uDF24-\uDF93\uDF96\uDF97\uDF99-\uDF9B\uDF9E-\uDFF0\uDFF3-\uDFF5\uDFF7-\uDFFF]|\uD83D[\uDC00-\uDCFD\uDCFF-\uDD3D\uDD49-\uDD4E\uDD50-\uDD67\uDD6F\uDD70\uDD73-\uDD7A\uDD87\uDD8A-\uDD8D\uDD90\uDD95\uDD96\uDDA4\uDDA5\uDDA8\uDDB1\uDDB2\uDDBC\uDDC2-\uDDC4\uDDD1-\uDDD3\uDDDC-\uDDDE\uDDE1\uDDE3\uDDE8\uDDEF\uDDF3\uDDFA-\uDE4F\uDE80-\uDEC5\uDECB-\uDED2\uDED5\uDEE0-\uDEE5\uDEE9\uDEEB\uDEEC\uDEF0\uDEF3-\uDEFA\uDFE0-\uDFEB]|\uD83E[\uDD0D-\uDD3A\uDD3C-\uDD45\uDD47-\uDD71\uDD73-\uDD76\uDD7A-\uDDA2\uDDA5-\uDDAA\uDDAE-\uDDCA\uDDCD-\uDDFF\uDE70-\uDE73\uDE78-\uDE7A\uDE80-\uDE82\uDE90-\uDE95])\uFE0F|(?:[\u261D\u26F9\u270A-\u270D]|\uD83C[\uDF85\uDFC2-\uDFC4\uDFC7\uDFCA-\uDFCC]|\uD83D[\uDC42\uDC43\uDC46-\uDC50\uDC66-\uDC78\uDC7C\uDC81-\uDC83\uDC85-\uDC87\uDC8F\uDC91\uDCAA\uDD74\uDD75\uDD7A\uDD90\uDD95\uDD96\uDE45-\uDE47\uDE4B-\uDE4F\uDEA3\uDEB4-\uDEB6\uDEC0\uDECC]|\uD83E[\uDD0F\uDD18-\uDD1F\uDD26\uDD30-\uDD39\uDD3C-\uDD3E\uDDB5\uDDB6\uDDB8\uDDB9\uDDBB\uDDCD-\uDDCF\uDDD1-\uDDDD])/g}},2263:(e,a)=>{"use strict";a.htmlEscape=e=>e.replace(/&/g,"&amp;").replace(/"/g,"&quot;").replace(/'/g,"&#39;").replace(/</g,"&lt;").replace(/>/g,"&gt;"),a.htmlUnescape=e=>e.replace(/&gt;/g,">").replace(/&lt;/g,"<").replace(/&#0?39;/g,"'").replace(/&quot;/g,'"').replace(/&amp;/g,"&"),a.htmlEscapeTag=(e,...i)=>{let n=e[0];for(let s=0;s<i.length;s++)n=n+a.htmlEscape(String(i[s]))+e[s+1];return n},a.htmlUnescapeTag=(e,...i)=>{let n=e[0];for(let s=0;s<i.length;s++)n=n+a.htmlUnescape(String(i[s]))+e[s+1];return n}},1879:(e,a,i)=>{"use strict";var n=i(5234);e.exports=function(){var e={};return Object.keys(n).forEach((function(a){var i=n[a];i.extensions&&i.extensions.length>0&&i.extensions.forEach((function(i){e[i]=a}))})),e}},7063:(e,a,i)=>{"use strict";const n=i(1879),s=i(2407);e.exports=e=>{const a=s.desc(n()),i=Object.keys(a).filter((a=>e.endsWith(a)));return 0===i.length?[]:i.map((e=>({ext:e,mime:a[e]})))},e.exports.mime=e=>{const a=s.desc(n()),i=Object.keys(a).filter((i=>a[i]===e));return 0===i.length?[]:i.map((e=>({ext:e,mime:a[e]})))}},1903:e=>{"use strict";const a=e=>!Number.isNaN(e)&&e>=4352&&(e<=4447||9001===e||9002===e||11904<=e&&e<=12871&&12351!==e||12880<=e&&e<=19903||19968<=e&&e<=42182||43360<=e&&e<=43388||44032<=e&&e<=55203||63744<=e&&e<=64255||65040<=e&&e<=65049||65072<=e&&e<=65131||65281<=e&&e<=65376||65504<=e&&e<=65510||110592<=e&&e<=110593||127488<=e&&e<=127569||131072<=e&&e<=262141);e.exports=a,e.exports.default=a},5234:(e,a,i)=>{e.exports=i(3765)},607:(e,a,i)=>{"use strict";var n=i(1017);e.exports=function e(a,i){if(2!==arguments.length)throw new Error("`path` and `modifier` required");if(Array.isArray(a))return a.map((function(a){return e(a,i)}));var s=n.extname(a);return n.join(n.dirname(a),i(n.basename(a,s),s))}},3938:(e,a,i)=>{e.exports=i(212)},6203:(e,a,i)=>{const n=i(2018);e.exports=class{constructor(e,a,...i){const s=e.__original[a](...i);if(!(s instanceof n))throw new TypeError(`Unexpected ${typeof original}, expected: Cursor (nedb/lib/cursor)`);Object.defineProperties(this,{__original:{configurable:!1,enumerable:!1,writable:!1,value:s},__datastore:{configurable:!1,enumerable:!1,writable:!1,value:e},__op:{configurable:!1,enumerable:!1,writable:!1,value:a},__args:{configurable:!1,enumerable:!1,writable:!1,value:i}})}sort(...e){return this.__original.sort(...e),this}skip(...e){return this.__original.skip(...e),this}limit(...e){return this.__original.limit(...e),this}project(...e){return this.__original.projection(...e),this}async exec(){await this.__datastore.load();try{const e=await this.__original.execAsync();return this.__datastore.broadcastSuccess(this.__op,e,...this.__args),e}catch(e){throw this.__datastore.broadcastError(this.__op,e,...this.__args),e}}then(e,a){return this.exec().then(e,a)}catch(e){return this.exec().catch(e)}}},212:(e,a,i)=>{const n=i(2361),s=i(2795),o=i(6203);e.exports=class extends n{static create(e){return new Proxy(new this(e),{get:(e,a)=>e[a]?e[a]:e.__original[a],set:(e,a,i)=>Object.prototype.hasOwnProperty.call(e.__original,a)?e.__original[a]=i:e[a]=i})}constructor(e){super();const a=new s("string"==typeof e?{filename:e}:e);Object.defineProperties(this,{__loaded:{enumerable:!1,writable:!0,value:null},__original:{configurable:!0,enumerable:!1,writable:!1,value:a}}),this.__original.on("compaction.done",(()=>{this.emit("compactionDone",this)}))}load(){return this.__loaded instanceof Promise||(this.__loaded=this.__original.loadDatabaseAsync().then((()=>this.broadcastSuccess("load"))).catch((e=>{throw this.broadcastError("load",e),e}))),this.__loaded}find(e={},a){return"function"==typeof a&&(a={}),new o(this,"find",e,a)}findOne(e={},a){return"function"==typeof a&&(a={}),new o(this,"findOne",e,a)}async insert(e){await this.load();try{const a=await this.__original.insertAsync(e);return this.broadcastSuccess("insert",e),a}catch(a){throw this.broadcastError("insert",a,e),a}}insertOne({...e}){return this.insert(e)}insertMany([...e]){return this.insert(e)}async update(e,a,i={}){await this.load();try{const{numAffected:n,affectedDocuments:s}=await this.__original.updateAsync(e,a,i),o=i.returnUpdatedDocs?s:n;return this.broadcastSuccess("update",o,e,a,i),o}catch(n){throw this.broadcastError("update",n,e,a,i),n}}updateOne(e,a,i={}){return this.update(e,a,{...i,multi:!1})}updateMany(e,a,i={}){return this.update(e,a,{...i,multi:!0})}async remove(e={},a={}){await this.load();try{const i=await this.__original.removeAsync(e,a);return this.broadcastSuccess("remove",i,e,a),i}catch(i){throw this.broadcastError("remove",i,e,a),i}}removeOne(e,a={}){return this.remove(e,{...a,multi:!1})}removeMany(e,a={}){return this.remove(e,{...a,multi:!0})}deleteOne(e,a){return this.removeOne(e,a)}deleteMany(e,a){return this.removeMany(e,a)}count(e={}){return new o(this,"count",e)}async ensureIndex(e){try{const a=await this.__original.ensureIndexAsync(e);return this.broadcastSuccess("ensureIndex",a,e),a}catch(a){throw this.broadcastError("ensureIndex",a,e),a}}async removeIndex(e){try{const a=await this.__original.removeIndexAsync(e);return this.broadcastSuccess("removeIndex",a,e),a}catch(a){throw this.broadcastError("removeIndex",a,e),a}}broadcastSuccess(e,a,...i){return this.emit(e,this,a,...i),this}broadcastError(e,a,...i){return this.emit(`${e}Error`,this,a,...i),this.emit("__error__",this,e,a,...i),this}}},7835:(e,a,i)=>{"use strict";const n=i(7147),{promisify:s}=i(3837),o=s(n.access);e.exports=async e=>{try{return await o(e),!0}catch(e){return!1}},e.exports.sync=e=>{try{return n.accessSync(e),!0}catch(e){return!1}}},4456:(e,a,i)=>{"use strict";const{htmlEscape:n}=i(2263);e.exports=(e,a)=>{if("string"!=typeof e)throw new TypeError(`Expected a \`string\` in the first argument, got \`${typeof e}\``);if("object"!=typeof a)throw new TypeError(`Expected an \`object\` or \`Array\` in the second argument, got \`${typeof a}\``);const i=/{{(\d+|[a-z$_][a-z\d$_]*?(?:\.[a-z\d$_]*?)*?)}}/gi;return i.test(e)&&(e=e.replace(i,((e,i)=>{let s=a;for(const e of i.split("."))s=s?s[e]:"";return n(String(s))}))),e.replace(/{(\d+|[a-z$_][a-z\d$_]*?(?:\.[a-z\d$_]*?)*?)}/gi,((e,i)=>{let n=a;for(const e of i.split("."))n=n?n[e]:"";return String(n)}))}},5119:(e,a,i)=>{"use strict";const n=i(1903),s=i(4658),o=i(6434),t=["",""],r=e=>`${t[0]}[${e}m`,c=(e,a,i)=>{let n=[];e=[...e];for(let i of e){const s=i;i.match(";")&&(i=i.split(";")[0][0]+"0");const t=o.codes.get(parseInt(i,10));if(t){const i=e.indexOf(t.toString());i>=0?e.splice(i,1):n.push(r(a?t:s))}else{if(a){n.push(r(0));break}n.push(r(s))}}if(a&&(n=n.filter(((e,a)=>n.indexOf(e)===a)),void 0!==i)){const e=r(o.codes.get(parseInt(i,10)));n=n.reduce(((a,i)=>i===e?[i,...a]:[...a,i]),[])}return n.join("")};e.exports=(e,a,i)=>{const o=[...e.normalize()],r=[];i="number"==typeof i?i:o.length;let p,l=!1,u=0,d="";for(const[m,x]of o.entries()){let o=!1;if(t.includes(x)){const a=/\d[^m]*/.exec(e.slice(m,m+18));p=a&&a.length>0?a[0]:void 0,u<i&&(l=!0,void 0!==p&&r.push(p))}else l&&"m"===x&&(l=!1,o=!0);if(l||o||++u,!s({exact:!0}).test(x)&&n(x.codePointAt())&&++u,u>a&&u<=i)d+=x;else if(u!==a||l||void 0===p){if(u>=i){d+=c(r,!0,p);break}}else d=c(r)}return d}},2407:(e,a,i)=>{"use strict";var n=i(3694);e.exports.desc=function(e){return n(e,(function(e,a){return a.length-e.length}))},e.exports.asc=function(e){return n(e,(function(e,a){return e.length-a.length}))}},3694:(e,a,i)=>{"use strict";var n=i(7345);e.exports=function(e,a){if(!n(e))throw new TypeError("Expected a plain object");"function"==typeof(a=a||{})&&(a={compare:a});var i=a.deep,s=[],o=[],t=function(e){var r=s.indexOf(e);if(-1!==r)return o[r];var c={},p=Object.keys(e).sort(a.compare);s.push(e),o.push(c);for(var l=0;l<p.length;l++){var u=p[l],d=e[u];c[u]=i&&n(d)?t(d):d}return c};return t(e)}},7345:e=>{"use strict";var a=Object.prototype.toString;e.exports=function(e){var i;return"[object Object]"===a.call(e)&&(null===(i=Object.getPrototypeOf(e))||i===Object.getPrototypeOf({}))}},4223:(e,a,i)=>{"use strict";const n=i(6003),s=i(1903),o=i(809),t=e=>{if("string"!=typeof e||0===e.length)return 0;if(0===(e=n(e)).length)return 0;e=e.replace(o(),"  ");let a=0;for(let i=0;i<e.length;i++){const n=e.codePointAt(i);n<=31||n>=127&&n<=159||n>=768&&n<=879||(n>65535&&i++,a+=s(n)?2:1)}return a};e.exports=t,e.exports.default=t},6003:(e,a,i)=>{"use strict";const n=i(4277);e.exports=e=>"string"==typeof e?e.replace(n(),""):e},9163:(e,a,i)=>{"use strict";const n=i(7835),s=i(607),o=e=>{let a=0;return()=>s(e,((e,i)=>`${e} (${++a})${i}`))},t=e=>{const a=o(e),i=async e=>await n(e)?i(a()):e;return i(e)};e.exports=t,e.exports.default=t,e.exports.sync=e=>{const a=o(e),i=e=>n.sync(e)?i(a()):e;return i(e)}},3304:(e,a,i)=>{const n=i(1017),s=i(2298),o="Vue.js devtools",t=n.join(__dirname,"..","vender");a.install=()=>{if("renderer"!==process.type&&"browser"!==process.type)throw new Error(`${o} can only be installed from an Electron process.`);return console.log(`Installing ${o} from ${t}`),s.session.defaultSession.getAllExtensions?!!s.session.defaultSession.getAllExtensions()[o]||s.session.defaultSession.loadExtension(t):"renderer"===process.type?!(!s.remote.BrowserWindow.getDevToolsExtensions||!s.remote.BrowserWindow.getDevToolsExtensions()[o])||s.remote.BrowserWindow.addDevToolsExtension(t):"browser"===process.type?!(!s.BrowserWindow.getDevToolsExtensions||!s.BrowserWindow.getDevToolsExtensions()[o])||s.BrowserWindow.addDevToolsExtension(t):void 0},a.uninstall=()=>{if("renderer"!==process.type&&"browser"!==process.type)throw new Error(`${o} can only be uninstalled from an Electron process.`);return console.log(`Uninstalling ${o} from ${t}`),s.session.defaultSession.removeExtension?s.session.defaultSession.removeExtension(o):"renderer"===process.type?s.remote.BrowserWindow.removeDevToolsExtension(o):"browser"===process.type?s.BrowserWindow.removeDevToolsExtension(o):void 0},a.path=t},6113:e=>{"use strict";e.exports=require("crypto")},2298:e=>{"use strict";e.exports=require("electron")},2361:e=>{"use strict";e.exports=require("events")},7147:e=>{"use strict";e.exports=require("fs")},1017:e=>{"use strict";e.exports=require("path")},2781:e=>{"use strict";e.exports=require("stream")},9512:e=>{"use strict";e.exports=require("timers")},3837:e=>{"use strict";e.exports=require("util")},3765:e=>{"use strict";e.exports=JSON.parse('{"application/1d-interleaved-parityfec":{"source":"iana"},"application/3gpdash-qoe-report+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/3gpp-ims+xml":{"source":"iana","compressible":true},"application/3gpphal+json":{"source":"iana","compressible":true},"application/3gpphalforms+json":{"source":"iana","compressible":true},"application/a2l":{"source":"iana"},"application/ace+cbor":{"source":"iana"},"application/activemessage":{"source":"iana"},"application/activity+json":{"source":"iana","compressible":true},"application/alto-costmap+json":{"source":"iana","compressible":true},"application/alto-costmapfilter+json":{"source":"iana","compressible":true},"application/alto-directory+json":{"source":"iana","compressible":true},"application/alto-endpointcost+json":{"source":"iana","compressible":true},"application/alto-endpointcostparams+json":{"source":"iana","compressible":true},"application/alto-endpointprop+json":{"source":"iana","compressible":true},"application/alto-endpointpropparams+json":{"source":"iana","compressible":true},"application/alto-error+json":{"source":"iana","compressible":true},"application/alto-networkmap+json":{"source":"iana","compressible":true},"application/alto-networkmapfilter+json":{"source":"iana","compressible":true},"application/alto-updatestreamcontrol+json":{"source":"iana","compressible":true},"application/alto-updatestreamparams+json":{"source":"iana","compressible":true},"application/aml":{"source":"iana"},"application/andrew-inset":{"source":"iana","extensions":["ez"]},"application/applefile":{"source":"iana"},"application/applixware":{"source":"apache","extensions":["aw"]},"application/at+jwt":{"source":"iana"},"application/atf":{"source":"iana"},"application/atfx":{"source":"iana"},"application/atom+xml":{"source":"iana","compressible":true,"extensions":["atom"]},"application/atomcat+xml":{"source":"iana","compressible":true,"extensions":["atomcat"]},"application/atomdeleted+xml":{"source":"iana","compressible":true,"extensions":["atomdeleted"]},"application/atomicmail":{"source":"iana"},"application/atomsvc+xml":{"source":"iana","compressible":true,"extensions":["atomsvc"]},"application/atsc-dwd+xml":{"source":"iana","compressible":true,"extensions":["dwd"]},"application/atsc-dynamic-event-message":{"source":"iana"},"application/atsc-held+xml":{"source":"iana","compressible":true,"extensions":["held"]},"application/atsc-rdt+json":{"source":"iana","compressible":true},"application/atsc-rsat+xml":{"source":"iana","compressible":true,"extensions":["rsat"]},"application/atxml":{"source":"iana"},"application/auth-policy+xml":{"source":"iana","compressible":true},"application/bacnet-xdd+zip":{"source":"iana","compressible":false},"application/batch-smtp":{"source":"iana"},"application/bdoc":{"compressible":false,"extensions":["bdoc"]},"application/beep+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/calendar+json":{"source":"iana","compressible":true},"application/calendar+xml":{"source":"iana","compressible":true,"extensions":["xcs"]},"application/call-completion":{"source":"iana"},"application/cals-1840":{"source":"iana"},"application/captive+json":{"source":"iana","compressible":true},"application/cbor":{"source":"iana"},"application/cbor-seq":{"source":"iana"},"application/cccex":{"source":"iana"},"application/ccmp+xml":{"source":"iana","compressible":true},"application/ccxml+xml":{"source":"iana","compressible":true,"extensions":["ccxml"]},"application/cdfx+xml":{"source":"iana","compressible":true,"extensions":["cdfx"]},"application/cdmi-capability":{"source":"iana","extensions":["cdmia"]},"application/cdmi-container":{"source":"iana","extensions":["cdmic"]},"application/cdmi-domain":{"source":"iana","extensions":["cdmid"]},"application/cdmi-object":{"source":"iana","extensions":["cdmio"]},"application/cdmi-queue":{"source":"iana","extensions":["cdmiq"]},"application/cdni":{"source":"iana"},"application/cea":{"source":"iana"},"application/cea-2018+xml":{"source":"iana","compressible":true},"application/cellml+xml":{"source":"iana","compressible":true},"application/cfw":{"source":"iana"},"application/city+json":{"source":"iana","compressible":true},"application/clr":{"source":"iana"},"application/clue+xml":{"source":"iana","compressible":true},"application/clue_info+xml":{"source":"iana","compressible":true},"application/cms":{"source":"iana"},"application/cnrp+xml":{"source":"iana","compressible":true},"application/coap-group+json":{"source":"iana","compressible":true},"application/coap-payload":{"source":"iana"},"application/commonground":{"source":"iana"},"application/conference-info+xml":{"source":"iana","compressible":true},"application/cose":{"source":"iana"},"application/cose-key":{"source":"iana"},"application/cose-key-set":{"source":"iana"},"application/cpl+xml":{"source":"iana","compressible":true,"extensions":["cpl"]},"application/csrattrs":{"source":"iana"},"application/csta+xml":{"source":"iana","compressible":true},"application/cstadata+xml":{"source":"iana","compressible":true},"application/csvm+json":{"source":"iana","compressible":true},"application/cu-seeme":{"source":"apache","extensions":["cu"]},"application/cwt":{"source":"iana"},"application/cybercash":{"source":"iana"},"application/dart":{"compressible":true},"application/dash+xml":{"source":"iana","compressible":true,"extensions":["mpd"]},"application/dash-patch+xml":{"source":"iana","compressible":true,"extensions":["mpp"]},"application/dashdelta":{"source":"iana"},"application/davmount+xml":{"source":"iana","compressible":true,"extensions":["davmount"]},"application/dca-rft":{"source":"iana"},"application/dcd":{"source":"iana"},"application/dec-dx":{"source":"iana"},"application/dialog-info+xml":{"source":"iana","compressible":true},"application/dicom":{"source":"iana"},"application/dicom+json":{"source":"iana","compressible":true},"application/dicom+xml":{"source":"iana","compressible":true},"application/dii":{"source":"iana"},"application/dit":{"source":"iana"},"application/dns":{"source":"iana"},"application/dns+json":{"source":"iana","compressible":true},"application/dns-message":{"source":"iana"},"application/docbook+xml":{"source":"apache","compressible":true,"extensions":["dbk"]},"application/dots+cbor":{"source":"iana"},"application/dskpp+xml":{"source":"iana","compressible":true},"application/dssc+der":{"source":"iana","extensions":["dssc"]},"application/dssc+xml":{"source":"iana","compressible":true,"extensions":["xdssc"]},"application/dvcs":{"source":"iana"},"application/ecmascript":{"source":"iana","compressible":true,"extensions":["es","ecma"]},"application/edi-consent":{"source":"iana"},"application/edi-x12":{"source":"iana","compressible":false},"application/edifact":{"source":"iana","compressible":false},"application/efi":{"source":"iana"},"application/elm+json":{"source":"iana","charset":"UTF-8","compressible":true},"application/elm+xml":{"source":"iana","compressible":true},"application/emergencycalldata.cap+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/emergencycalldata.comment+xml":{"source":"iana","compressible":true},"application/emergencycalldata.control+xml":{"source":"iana","compressible":true},"application/emergencycalldata.deviceinfo+xml":{"source":"iana","compressible":true},"application/emergencycalldata.ecall.msd":{"source":"iana"},"application/emergencycalldata.providerinfo+xml":{"source":"iana","compressible":true},"application/emergencycalldata.serviceinfo+xml":{"source":"iana","compressible":true},"application/emergencycalldata.subscriberinfo+xml":{"source":"iana","compressible":true},"application/emergencycalldata.veds+xml":{"source":"iana","compressible":true},"application/emma+xml":{"source":"iana","compressible":true,"extensions":["emma"]},"application/emotionml+xml":{"source":"iana","compressible":true,"extensions":["emotionml"]},"application/encaprtp":{"source":"iana"},"application/epp+xml":{"source":"iana","compressible":true},"application/epub+zip":{"source":"iana","compressible":false,"extensions":["epub"]},"application/eshop":{"source":"iana"},"application/exi":{"source":"iana","extensions":["exi"]},"application/expect-ct-report+json":{"source":"iana","compressible":true},"application/express":{"source":"iana","extensions":["exp"]},"application/fastinfoset":{"source":"iana"},"application/fastsoap":{"source":"iana"},"application/fdt+xml":{"source":"iana","compressible":true,"extensions":["fdt"]},"application/fhir+json":{"source":"iana","charset":"UTF-8","compressible":true},"application/fhir+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/fido.trusted-apps+json":{"compressible":true},"application/fits":{"source":"iana"},"application/flexfec":{"source":"iana"},"application/font-sfnt":{"source":"iana"},"application/font-tdpfr":{"source":"iana","extensions":["pfr"]},"application/font-woff":{"source":"iana","compressible":false},"application/framework-attributes+xml":{"source":"iana","compressible":true},"application/geo+json":{"source":"iana","compressible":true,"extensions":["geojson"]},"application/geo+json-seq":{"source":"iana"},"application/geopackage+sqlite3":{"source":"iana"},"application/geoxacml+xml":{"source":"iana","compressible":true},"application/gltf-buffer":{"source":"iana"},"application/gml+xml":{"source":"iana","compressible":true,"extensions":["gml"]},"application/gpx+xml":{"source":"apache","compressible":true,"extensions":["gpx"]},"application/gxf":{"source":"apache","extensions":["gxf"]},"application/gzip":{"source":"iana","compressible":false,"extensions":["gz"]},"application/h224":{"source":"iana"},"application/held+xml":{"source":"iana","compressible":true},"application/hjson":{"extensions":["hjson"]},"application/http":{"source":"iana"},"application/hyperstudio":{"source":"iana","extensions":["stk"]},"application/ibe-key-request+xml":{"source":"iana","compressible":true},"application/ibe-pkg-reply+xml":{"source":"iana","compressible":true},"application/ibe-pp-data":{"source":"iana"},"application/iges":{"source":"iana"},"application/im-iscomposing+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/index":{"source":"iana"},"application/index.cmd":{"source":"iana"},"application/index.obj":{"source":"iana"},"application/index.response":{"source":"iana"},"application/index.vnd":{"source":"iana"},"application/inkml+xml":{"source":"iana","compressible":true,"extensions":["ink","inkml"]},"application/iotp":{"source":"iana"},"application/ipfix":{"source":"iana","extensions":["ipfix"]},"application/ipp":{"source":"iana"},"application/isup":{"source":"iana"},"application/its+xml":{"source":"iana","compressible":true,"extensions":["its"]},"application/java-archive":{"source":"apache","compressible":false,"extensions":["jar","war","ear"]},"application/java-serialized-object":{"source":"apache","compressible":false,"extensions":["ser"]},"application/java-vm":{"source":"apache","compressible":false,"extensions":["class"]},"application/javascript":{"source":"iana","charset":"UTF-8","compressible":true,"extensions":["js","mjs"]},"application/jf2feed+json":{"source":"iana","compressible":true},"application/jose":{"source":"iana"},"application/jose+json":{"source":"iana","compressible":true},"application/jrd+json":{"source":"iana","compressible":true},"application/jscalendar+json":{"source":"iana","compressible":true},"application/json":{"source":"iana","charset":"UTF-8","compressible":true,"extensions":["json","map"]},"application/json-patch+json":{"source":"iana","compressible":true},"application/json-seq":{"source":"iana"},"application/json5":{"extensions":["json5"]},"application/jsonml+json":{"source":"apache","compressible":true,"extensions":["jsonml"]},"application/jwk+json":{"source":"iana","compressible":true},"application/jwk-set+json":{"source":"iana","compressible":true},"application/jwt":{"source":"iana"},"application/kpml-request+xml":{"source":"iana","compressible":true},"application/kpml-response+xml":{"source":"iana","compressible":true},"application/ld+json":{"source":"iana","compressible":true,"extensions":["jsonld"]},"application/lgr+xml":{"source":"iana","compressible":true,"extensions":["lgr"]},"application/link-format":{"source":"iana"},"application/load-control+xml":{"source":"iana","compressible":true},"application/lost+xml":{"source":"iana","compressible":true,"extensions":["lostxml"]},"application/lostsync+xml":{"source":"iana","compressible":true},"application/lpf+zip":{"source":"iana","compressible":false},"application/lxf":{"source":"iana"},"application/mac-binhex40":{"source":"iana","extensions":["hqx"]},"application/mac-compactpro":{"source":"apache","extensions":["cpt"]},"application/macwriteii":{"source":"iana"},"application/mads+xml":{"source":"iana","compressible":true,"extensions":["mads"]},"application/manifest+json":{"source":"iana","charset":"UTF-8","compressible":true,"extensions":["webmanifest"]},"application/marc":{"source":"iana","extensions":["mrc"]},"application/marcxml+xml":{"source":"iana","compressible":true,"extensions":["mrcx"]},"application/mathematica":{"source":"iana","extensions":["ma","nb","mb"]},"application/mathml+xml":{"source":"iana","compressible":true,"extensions":["mathml"]},"application/mathml-content+xml":{"source":"iana","compressible":true},"application/mathml-presentation+xml":{"source":"iana","compressible":true},"application/mbms-associated-procedure-description+xml":{"source":"iana","compressible":true},"application/mbms-deregister+xml":{"source":"iana","compressible":true},"application/mbms-envelope+xml":{"source":"iana","compressible":true},"application/mbms-msk+xml":{"source":"iana","compressible":true},"application/mbms-msk-response+xml":{"source":"iana","compressible":true},"application/mbms-protection-description+xml":{"source":"iana","compressible":true},"application/mbms-reception-report+xml":{"source":"iana","compressible":true},"application/mbms-register+xml":{"source":"iana","compressible":true},"application/mbms-register-response+xml":{"source":"iana","compressible":true},"application/mbms-schedule+xml":{"source":"iana","compressible":true},"application/mbms-user-service-description+xml":{"source":"iana","compressible":true},"application/mbox":{"source":"iana","extensions":["mbox"]},"application/media-policy-dataset+xml":{"source":"iana","compressible":true,"extensions":["mpf"]},"application/media_control+xml":{"source":"iana","compressible":true},"application/mediaservercontrol+xml":{"source":"iana","compressible":true,"extensions":["mscml"]},"application/merge-patch+json":{"source":"iana","compressible":true},"application/metalink+xml":{"source":"apache","compressible":true,"extensions":["metalink"]},"application/metalink4+xml":{"source":"iana","compressible":true,"extensions":["meta4"]},"application/mets+xml":{"source":"iana","compressible":true,"extensions":["mets"]},"application/mf4":{"source":"iana"},"application/mikey":{"source":"iana"},"application/mipc":{"source":"iana"},"application/missing-blocks+cbor-seq":{"source":"iana"},"application/mmt-aei+xml":{"source":"iana","compressible":true,"extensions":["maei"]},"application/mmt-usd+xml":{"source":"iana","compressible":true,"extensions":["musd"]},"application/mods+xml":{"source":"iana","compressible":true,"extensions":["mods"]},"application/moss-keys":{"source":"iana"},"application/moss-signature":{"source":"iana"},"application/mosskey-data":{"source":"iana"},"application/mosskey-request":{"source":"iana"},"application/mp21":{"source":"iana","extensions":["m21","mp21"]},"application/mp4":{"source":"iana","extensions":["mp4s","m4p"]},"application/mpeg4-generic":{"source":"iana"},"application/mpeg4-iod":{"source":"iana"},"application/mpeg4-iod-xmt":{"source":"iana"},"application/mrb-consumer+xml":{"source":"iana","compressible":true},"application/mrb-publish+xml":{"source":"iana","compressible":true},"application/msc-ivr+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/msc-mixer+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/msword":{"source":"iana","compressible":false,"extensions":["doc","dot"]},"application/mud+json":{"source":"iana","compressible":true},"application/multipart-core":{"source":"iana"},"application/mxf":{"source":"iana","extensions":["mxf"]},"application/n-quads":{"source":"iana","extensions":["nq"]},"application/n-triples":{"source":"iana","extensions":["nt"]},"application/nasdata":{"source":"iana"},"application/news-checkgroups":{"source":"iana","charset":"US-ASCII"},"application/news-groupinfo":{"source":"iana","charset":"US-ASCII"},"application/news-transmission":{"source":"iana"},"application/nlsml+xml":{"source":"iana","compressible":true},"application/node":{"source":"iana","extensions":["cjs"]},"application/nss":{"source":"iana"},"application/oauth-authz-req+jwt":{"source":"iana"},"application/oblivious-dns-message":{"source":"iana"},"application/ocsp-request":{"source":"iana"},"application/ocsp-response":{"source":"iana"},"application/octet-stream":{"source":"iana","compressible":false,"extensions":["bin","dms","lrf","mar","so","dist","distz","pkg","bpk","dump","elc","deploy","exe","dll","deb","dmg","iso","img","msi","msp","msm","buffer"]},"application/oda":{"source":"iana","extensions":["oda"]},"application/odm+xml":{"source":"iana","compressible":true},"application/odx":{"source":"iana"},"application/oebps-package+xml":{"source":"iana","compressible":true,"extensions":["opf"]},"application/ogg":{"source":"iana","compressible":false,"extensions":["ogx"]},"application/omdoc+xml":{"source":"apache","compressible":true,"extensions":["omdoc"]},"application/onenote":{"source":"apache","extensions":["onetoc","onetoc2","onetmp","onepkg"]},"application/opc-nodeset+xml":{"source":"iana","compressible":true},"application/oscore":{"source":"iana"},"application/oxps":{"source":"iana","extensions":["oxps"]},"application/p21":{"source":"iana"},"application/p21+zip":{"source":"iana","compressible":false},"application/p2p-overlay+xml":{"source":"iana","compressible":true,"extensions":["relo"]},"application/parityfec":{"source":"iana"},"application/passport":{"source":"iana"},"application/patch-ops-error+xml":{"source":"iana","compressible":true,"extensions":["xer"]},"application/pdf":{"source":"iana","compressible":false,"extensions":["pdf"]},"application/pdx":{"source":"iana"},"application/pem-certificate-chain":{"source":"iana"},"application/pgp-encrypted":{"source":"iana","compressible":false,"extensions":["pgp"]},"application/pgp-keys":{"source":"iana","extensions":["asc"]},"application/pgp-signature":{"source":"iana","extensions":["asc","sig"]},"application/pics-rules":{"source":"apache","extensions":["prf"]},"application/pidf+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/pidf-diff+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/pkcs10":{"source":"iana","extensions":["p10"]},"application/pkcs12":{"source":"iana"},"application/pkcs7-mime":{"source":"iana","extensions":["p7m","p7c"]},"application/pkcs7-signature":{"source":"iana","extensions":["p7s"]},"application/pkcs8":{"source":"iana","extensions":["p8"]},"application/pkcs8-encrypted":{"source":"iana"},"application/pkix-attr-cert":{"source":"iana","extensions":["ac"]},"application/pkix-cert":{"source":"iana","extensions":["cer"]},"application/pkix-crl":{"source":"iana","extensions":["crl"]},"application/pkix-pkipath":{"source":"iana","extensions":["pkipath"]},"application/pkixcmp":{"source":"iana","extensions":["pki"]},"application/pls+xml":{"source":"iana","compressible":true,"extensions":["pls"]},"application/poc-settings+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/postscript":{"source":"iana","compressible":true,"extensions":["ai","eps","ps"]},"application/ppsp-tracker+json":{"source":"iana","compressible":true},"application/problem+json":{"source":"iana","compressible":true},"application/problem+xml":{"source":"iana","compressible":true},"application/provenance+xml":{"source":"iana","compressible":true,"extensions":["provx"]},"application/prs.alvestrand.titrax-sheet":{"source":"iana"},"application/prs.cww":{"source":"iana","extensions":["cww"]},"application/prs.cyn":{"source":"iana","charset":"7-BIT"},"application/prs.hpub+zip":{"source":"iana","compressible":false},"application/prs.nprend":{"source":"iana"},"application/prs.plucker":{"source":"iana"},"application/prs.rdf-xml-crypt":{"source":"iana"},"application/prs.xsf+xml":{"source":"iana","compressible":true},"application/pskc+xml":{"source":"iana","compressible":true,"extensions":["pskcxml"]},"application/pvd+json":{"source":"iana","compressible":true},"application/qsig":{"source":"iana"},"application/raml+yaml":{"compressible":true,"extensions":["raml"]},"application/raptorfec":{"source":"iana"},"application/rdap+json":{"source":"iana","compressible":true},"application/rdf+xml":{"source":"iana","compressible":true,"extensions":["rdf","owl"]},"application/reginfo+xml":{"source":"iana","compressible":true,"extensions":["rif"]},"application/relax-ng-compact-syntax":{"source":"iana","extensions":["rnc"]},"application/remote-printing":{"source":"iana"},"application/reputon+json":{"source":"iana","compressible":true},"application/resource-lists+xml":{"source":"iana","compressible":true,"extensions":["rl"]},"application/resource-lists-diff+xml":{"source":"iana","compressible":true,"extensions":["rld"]},"application/rfc+xml":{"source":"iana","compressible":true},"application/riscos":{"source":"iana"},"application/rlmi+xml":{"source":"iana","compressible":true},"application/rls-services+xml":{"source":"iana","compressible":true,"extensions":["rs"]},"application/route-apd+xml":{"source":"iana","compressible":true,"extensions":["rapd"]},"application/route-s-tsid+xml":{"source":"iana","compressible":true,"extensions":["sls"]},"application/route-usd+xml":{"source":"iana","compressible":true,"extensions":["rusd"]},"application/rpki-ghostbusters":{"source":"iana","extensions":["gbr"]},"application/rpki-manifest":{"source":"iana","extensions":["mft"]},"application/rpki-publication":{"source":"iana"},"application/rpki-roa":{"source":"iana","extensions":["roa"]},"application/rpki-updown":{"source":"iana"},"application/rsd+xml":{"source":"apache","compressible":true,"extensions":["rsd"]},"application/rss+xml":{"source":"apache","compressible":true,"extensions":["rss"]},"application/rtf":{"source":"iana","compressible":true,"extensions":["rtf"]},"application/rtploopback":{"source":"iana"},"application/rtx":{"source":"iana"},"application/samlassertion+xml":{"source":"iana","compressible":true},"application/samlmetadata+xml":{"source":"iana","compressible":true},"application/sarif+json":{"source":"iana","compressible":true},"application/sarif-external-properties+json":{"source":"iana","compressible":true},"application/sbe":{"source":"iana"},"application/sbml+xml":{"source":"iana","compressible":true,"extensions":["sbml"]},"application/scaip+xml":{"source":"iana","compressible":true},"application/scim+json":{"source":"iana","compressible":true},"application/scvp-cv-request":{"source":"iana","extensions":["scq"]},"application/scvp-cv-response":{"source":"iana","extensions":["scs"]},"application/scvp-vp-request":{"source":"iana","extensions":["spq"]},"application/scvp-vp-response":{"source":"iana","extensions":["spp"]},"application/sdp":{"source":"iana","extensions":["sdp"]},"application/secevent+jwt":{"source":"iana"},"application/senml+cbor":{"source":"iana"},"application/senml+json":{"source":"iana","compressible":true},"application/senml+xml":{"source":"iana","compressible":true,"extensions":["senmlx"]},"application/senml-etch+cbor":{"source":"iana"},"application/senml-etch+json":{"source":"iana","compressible":true},"application/senml-exi":{"source":"iana"},"application/sensml+cbor":{"source":"iana"},"application/sensml+json":{"source":"iana","compressible":true},"application/sensml+xml":{"source":"iana","compressible":true,"extensions":["sensmlx"]},"application/sensml-exi":{"source":"iana"},"application/sep+xml":{"source":"iana","compressible":true},"application/sep-exi":{"source":"iana"},"application/session-info":{"source":"iana"},"application/set-payment":{"source":"iana"},"application/set-payment-initiation":{"source":"iana","extensions":["setpay"]},"application/set-registration":{"source":"iana"},"application/set-registration-initiation":{"source":"iana","extensions":["setreg"]},"application/sgml":{"source":"iana"},"application/sgml-open-catalog":{"source":"iana"},"application/shf+xml":{"source":"iana","compressible":true,"extensions":["shf"]},"application/sieve":{"source":"iana","extensions":["siv","sieve"]},"application/simple-filter+xml":{"source":"iana","compressible":true},"application/simple-message-summary":{"source":"iana"},"application/simplesymbolcontainer":{"source":"iana"},"application/sipc":{"source":"iana"},"application/slate":{"source":"iana"},"application/smil":{"source":"iana"},"application/smil+xml":{"source":"iana","compressible":true,"extensions":["smi","smil"]},"application/smpte336m":{"source":"iana"},"application/soap+fastinfoset":{"source":"iana"},"application/soap+xml":{"source":"iana","compressible":true},"application/sparql-query":{"source":"iana","extensions":["rq"]},"application/sparql-results+xml":{"source":"iana","compressible":true,"extensions":["srx"]},"application/spdx+json":{"source":"iana","compressible":true},"application/spirits-event+xml":{"source":"iana","compressible":true},"application/sql":{"source":"iana"},"application/srgs":{"source":"iana","extensions":["gram"]},"application/srgs+xml":{"source":"iana","compressible":true,"extensions":["grxml"]},"application/sru+xml":{"source":"iana","compressible":true,"extensions":["sru"]},"application/ssdl+xml":{"source":"apache","compressible":true,"extensions":["ssdl"]},"application/ssml+xml":{"source":"iana","compressible":true,"extensions":["ssml"]},"application/stix+json":{"source":"iana","compressible":true},"application/swid+xml":{"source":"iana","compressible":true,"extensions":["swidtag"]},"application/tamp-apex-update":{"source":"iana"},"application/tamp-apex-update-confirm":{"source":"iana"},"application/tamp-community-update":{"source":"iana"},"application/tamp-community-update-confirm":{"source":"iana"},"application/tamp-error":{"source":"iana"},"application/tamp-sequence-adjust":{"source":"iana"},"application/tamp-sequence-adjust-confirm":{"source":"iana"},"application/tamp-status-query":{"source":"iana"},"application/tamp-status-response":{"source":"iana"},"application/tamp-update":{"source":"iana"},"application/tamp-update-confirm":{"source":"iana"},"application/tar":{"compressible":true},"application/taxii+json":{"source":"iana","compressible":true},"application/td+json":{"source":"iana","compressible":true},"application/tei+xml":{"source":"iana","compressible":true,"extensions":["tei","teicorpus"]},"application/tetra_isi":{"source":"iana"},"application/thraud+xml":{"source":"iana","compressible":true,"extensions":["tfi"]},"application/timestamp-query":{"source":"iana"},"application/timestamp-reply":{"source":"iana"},"application/timestamped-data":{"source":"iana","extensions":["tsd"]},"application/tlsrpt+gzip":{"source":"iana"},"application/tlsrpt+json":{"source":"iana","compressible":true},"application/tnauthlist":{"source":"iana"},"application/token-introspection+jwt":{"source":"iana"},"application/toml":{"compressible":true,"extensions":["toml"]},"application/trickle-ice-sdpfrag":{"source":"iana"},"application/trig":{"source":"iana","extensions":["trig"]},"application/ttml+xml":{"source":"iana","compressible":true,"extensions":["ttml"]},"application/tve-trigger":{"source":"iana"},"application/tzif":{"source":"iana"},"application/tzif-leap":{"source":"iana"},"application/ubjson":{"compressible":false,"extensions":["ubj"]},"application/ulpfec":{"source":"iana"},"application/urc-grpsheet+xml":{"source":"iana","compressible":true},"application/urc-ressheet+xml":{"source":"iana","compressible":true,"extensions":["rsheet"]},"application/urc-targetdesc+xml":{"source":"iana","compressible":true,"extensions":["td"]},"application/urc-uisocketdesc+xml":{"source":"iana","compressible":true},"application/vcard+json":{"source":"iana","compressible":true},"application/vcard+xml":{"source":"iana","compressible":true},"application/vemmi":{"source":"iana"},"application/vividence.scriptfile":{"source":"apache"},"application/vnd.1000minds.decision-model+xml":{"source":"iana","compressible":true,"extensions":["1km"]},"application/vnd.3gpp-prose+xml":{"source":"iana","compressible":true},"application/vnd.3gpp-prose-pc3ch+xml":{"source":"iana","compressible":true},"application/vnd.3gpp-v2x-local-service-information":{"source":"iana"},"application/vnd.3gpp.5gnas":{"source":"iana"},"application/vnd.3gpp.access-transfer-events+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.bsf+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.gmop+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.gtpc":{"source":"iana"},"application/vnd.3gpp.interworking-data":{"source":"iana"},"application/vnd.3gpp.lpp":{"source":"iana"},"application/vnd.3gpp.mc-signalling-ear":{"source":"iana"},"application/vnd.3gpp.mcdata-affiliation-command+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcdata-info+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcdata-payload":{"source":"iana"},"application/vnd.3gpp.mcdata-service-config+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcdata-signalling":{"source":"iana"},"application/vnd.3gpp.mcdata-ue-config+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcdata-user-profile+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcptt-affiliation-command+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcptt-floor-request+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcptt-info+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcptt-location-info+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcptt-mbms-usage-info+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcptt-service-config+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcptt-signed+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcptt-ue-config+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcptt-ue-init-config+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcptt-user-profile+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcvideo-affiliation-command+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcvideo-affiliation-info+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcvideo-info+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcvideo-location-info+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcvideo-mbms-usage-info+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcvideo-service-config+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcvideo-transmission-request+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcvideo-ue-config+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mcvideo-user-profile+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.mid-call+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.ngap":{"source":"iana"},"application/vnd.3gpp.pfcp":{"source":"iana"},"application/vnd.3gpp.pic-bw-large":{"source":"iana","extensions":["plb"]},"application/vnd.3gpp.pic-bw-small":{"source":"iana","extensions":["psb"]},"application/vnd.3gpp.pic-bw-var":{"source":"iana","extensions":["pvb"]},"application/vnd.3gpp.s1ap":{"source":"iana"},"application/vnd.3gpp.sms":{"source":"iana"},"application/vnd.3gpp.sms+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.srvcc-ext+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.srvcc-info+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.state-and-event-info+xml":{"source":"iana","compressible":true},"application/vnd.3gpp.ussd+xml":{"source":"iana","compressible":true},"application/vnd.3gpp2.bcmcsinfo+xml":{"source":"iana","compressible":true},"application/vnd.3gpp2.sms":{"source":"iana"},"application/vnd.3gpp2.tcap":{"source":"iana","extensions":["tcap"]},"application/vnd.3lightssoftware.imagescal":{"source":"iana"},"application/vnd.3m.post-it-notes":{"source":"iana","extensions":["pwn"]},"application/vnd.accpac.simply.aso":{"source":"iana","extensions":["aso"]},"application/vnd.accpac.simply.imp":{"source":"iana","extensions":["imp"]},"application/vnd.acucobol":{"source":"iana","extensions":["acu"]},"application/vnd.acucorp":{"source":"iana","extensions":["atc","acutc"]},"application/vnd.adobe.air-application-installer-package+zip":{"source":"apache","compressible":false,"extensions":["air"]},"application/vnd.adobe.flash.movie":{"source":"iana"},"application/vnd.adobe.formscentral.fcdt":{"source":"iana","extensions":["fcdt"]},"application/vnd.adobe.fxp":{"source":"iana","extensions":["fxp","fxpl"]},"application/vnd.adobe.partial-upload":{"source":"iana"},"application/vnd.adobe.xdp+xml":{"source":"iana","compressible":true,"extensions":["xdp"]},"application/vnd.adobe.xfdf":{"source":"iana","extensions":["xfdf"]},"application/vnd.aether.imp":{"source":"iana"},"application/vnd.afpc.afplinedata":{"source":"iana"},"application/vnd.afpc.afplinedata-pagedef":{"source":"iana"},"application/vnd.afpc.cmoca-cmresource":{"source":"iana"},"application/vnd.afpc.foca-charset":{"source":"iana"},"application/vnd.afpc.foca-codedfont":{"source":"iana"},"application/vnd.afpc.foca-codepage":{"source":"iana"},"application/vnd.afpc.modca":{"source":"iana"},"application/vnd.afpc.modca-cmtable":{"source":"iana"},"application/vnd.afpc.modca-formdef":{"source":"iana"},"application/vnd.afpc.modca-mediummap":{"source":"iana"},"application/vnd.afpc.modca-objectcontainer":{"source":"iana"},"application/vnd.afpc.modca-overlay":{"source":"iana"},"application/vnd.afpc.modca-pagesegment":{"source":"iana"},"application/vnd.age":{"source":"iana","extensions":["age"]},"application/vnd.ah-barcode":{"source":"iana"},"application/vnd.ahead.space":{"source":"iana","extensions":["ahead"]},"application/vnd.airzip.filesecure.azf":{"source":"iana","extensions":["azf"]},"application/vnd.airzip.filesecure.azs":{"source":"iana","extensions":["azs"]},"application/vnd.amadeus+json":{"source":"iana","compressible":true},"application/vnd.amazon.ebook":{"source":"apache","extensions":["azw"]},"application/vnd.amazon.mobi8-ebook":{"source":"iana"},"application/vnd.americandynamics.acc":{"source":"iana","extensions":["acc"]},"application/vnd.amiga.ami":{"source":"iana","extensions":["ami"]},"application/vnd.amundsen.maze+xml":{"source":"iana","compressible":true},"application/vnd.android.ota":{"source":"iana"},"application/vnd.android.package-archive":{"source":"apache","compressible":false,"extensions":["apk"]},"application/vnd.anki":{"source":"iana"},"application/vnd.anser-web-certificate-issue-initiation":{"source":"iana","extensions":["cii"]},"application/vnd.anser-web-funds-transfer-initiation":{"source":"apache","extensions":["fti"]},"application/vnd.antix.game-component":{"source":"iana","extensions":["atx"]},"application/vnd.apache.arrow.file":{"source":"iana"},"application/vnd.apache.arrow.stream":{"source":"iana"},"application/vnd.apache.thrift.binary":{"source":"iana"},"application/vnd.apache.thrift.compact":{"source":"iana"},"application/vnd.apache.thrift.json":{"source":"iana"},"application/vnd.api+json":{"source":"iana","compressible":true},"application/vnd.aplextor.warrp+json":{"source":"iana","compressible":true},"application/vnd.apothekende.reservation+json":{"source":"iana","compressible":true},"application/vnd.apple.installer+xml":{"source":"iana","compressible":true,"extensions":["mpkg"]},"application/vnd.apple.keynote":{"source":"iana","extensions":["key"]},"application/vnd.apple.mpegurl":{"source":"iana","extensions":["m3u8"]},"application/vnd.apple.numbers":{"source":"iana","extensions":["numbers"]},"application/vnd.apple.pages":{"source":"iana","extensions":["pages"]},"application/vnd.apple.pkpass":{"compressible":false,"extensions":["pkpass"]},"application/vnd.arastra.swi":{"source":"iana"},"application/vnd.aristanetworks.swi":{"source":"iana","extensions":["swi"]},"application/vnd.artisan+json":{"source":"iana","compressible":true},"application/vnd.artsquare":{"source":"iana"},"application/vnd.astraea-software.iota":{"source":"iana","extensions":["iota"]},"application/vnd.audiograph":{"source":"iana","extensions":["aep"]},"application/vnd.autopackage":{"source":"iana"},"application/vnd.avalon+json":{"source":"iana","compressible":true},"application/vnd.avistar+xml":{"source":"iana","compressible":true},"application/vnd.balsamiq.bmml+xml":{"source":"iana","compressible":true,"extensions":["bmml"]},"application/vnd.balsamiq.bmpr":{"source":"iana"},"application/vnd.banana-accounting":{"source":"iana"},"application/vnd.bbf.usp.error":{"source":"iana"},"application/vnd.bbf.usp.msg":{"source":"iana"},"application/vnd.bbf.usp.msg+json":{"source":"iana","compressible":true},"application/vnd.bekitzur-stech+json":{"source":"iana","compressible":true},"application/vnd.bint.med-content":{"source":"iana"},"application/vnd.biopax.rdf+xml":{"source":"iana","compressible":true},"application/vnd.blink-idb-value-wrapper":{"source":"iana"},"application/vnd.blueice.multipass":{"source":"iana","extensions":["mpm"]},"application/vnd.bluetooth.ep.oob":{"source":"iana"},"application/vnd.bluetooth.le.oob":{"source":"iana"},"application/vnd.bmi":{"source":"iana","extensions":["bmi"]},"application/vnd.bpf":{"source":"iana"},"application/vnd.bpf3":{"source":"iana"},"application/vnd.businessobjects":{"source":"iana","extensions":["rep"]},"application/vnd.byu.uapi+json":{"source":"iana","compressible":true},"application/vnd.cab-jscript":{"source":"iana"},"application/vnd.canon-cpdl":{"source":"iana"},"application/vnd.canon-lips":{"source":"iana"},"application/vnd.capasystems-pg+json":{"source":"iana","compressible":true},"application/vnd.cendio.thinlinc.clientconf":{"source":"iana"},"application/vnd.century-systems.tcp_stream":{"source":"iana"},"application/vnd.chemdraw+xml":{"source":"iana","compressible":true,"extensions":["cdxml"]},"application/vnd.chess-pgn":{"source":"iana"},"application/vnd.chipnuts.karaoke-mmd":{"source":"iana","extensions":["mmd"]},"application/vnd.ciedi":{"source":"iana"},"application/vnd.cinderella":{"source":"iana","extensions":["cdy"]},"application/vnd.cirpack.isdn-ext":{"source":"iana"},"application/vnd.citationstyles.style+xml":{"source":"iana","compressible":true,"extensions":["csl"]},"application/vnd.claymore":{"source":"iana","extensions":["cla"]},"application/vnd.cloanto.rp9":{"source":"iana","extensions":["rp9"]},"application/vnd.clonk.c4group":{"source":"iana","extensions":["c4g","c4d","c4f","c4p","c4u"]},"application/vnd.cluetrust.cartomobile-config":{"source":"iana","extensions":["c11amc"]},"application/vnd.cluetrust.cartomobile-config-pkg":{"source":"iana","extensions":["c11amz"]},"application/vnd.coffeescript":{"source":"iana"},"application/vnd.collabio.xodocuments.document":{"source":"iana"},"application/vnd.collabio.xodocuments.document-template":{"source":"iana"},"application/vnd.collabio.xodocuments.presentation":{"source":"iana"},"application/vnd.collabio.xodocuments.presentation-template":{"source":"iana"},"application/vnd.collabio.xodocuments.spreadsheet":{"source":"iana"},"application/vnd.collabio.xodocuments.spreadsheet-template":{"source":"iana"},"application/vnd.collection+json":{"source":"iana","compressible":true},"application/vnd.collection.doc+json":{"source":"iana","compressible":true},"application/vnd.collection.next+json":{"source":"iana","compressible":true},"application/vnd.comicbook+zip":{"source":"iana","compressible":false},"application/vnd.comicbook-rar":{"source":"iana"},"application/vnd.commerce-battelle":{"source":"iana"},"application/vnd.commonspace":{"source":"iana","extensions":["csp"]},"application/vnd.contact.cmsg":{"source":"iana","extensions":["cdbcmsg"]},"application/vnd.coreos.ignition+json":{"source":"iana","compressible":true},"application/vnd.cosmocaller":{"source":"iana","extensions":["cmc"]},"application/vnd.crick.clicker":{"source":"iana","extensions":["clkx"]},"application/vnd.crick.clicker.keyboard":{"source":"iana","extensions":["clkk"]},"application/vnd.crick.clicker.palette":{"source":"iana","extensions":["clkp"]},"application/vnd.crick.clicker.template":{"source":"iana","extensions":["clkt"]},"application/vnd.crick.clicker.wordbank":{"source":"iana","extensions":["clkw"]},"application/vnd.criticaltools.wbs+xml":{"source":"iana","compressible":true,"extensions":["wbs"]},"application/vnd.cryptii.pipe+json":{"source":"iana","compressible":true},"application/vnd.crypto-shade-file":{"source":"iana"},"application/vnd.cryptomator.encrypted":{"source":"iana"},"application/vnd.cryptomator.vault":{"source":"iana"},"application/vnd.ctc-posml":{"source":"iana","extensions":["pml"]},"application/vnd.ctct.ws+xml":{"source":"iana","compressible":true},"application/vnd.cups-pdf":{"source":"iana"},"application/vnd.cups-postscript":{"source":"iana"},"application/vnd.cups-ppd":{"source":"iana","extensions":["ppd"]},"application/vnd.cups-raster":{"source":"iana"},"application/vnd.cups-raw":{"source":"iana"},"application/vnd.curl":{"source":"iana"},"application/vnd.curl.car":{"source":"apache","extensions":["car"]},"application/vnd.curl.pcurl":{"source":"apache","extensions":["pcurl"]},"application/vnd.cyan.dean.root+xml":{"source":"iana","compressible":true},"application/vnd.cybank":{"source":"iana"},"application/vnd.cyclonedx+json":{"source":"iana","compressible":true},"application/vnd.cyclonedx+xml":{"source":"iana","compressible":true},"application/vnd.d2l.coursepackage1p0+zip":{"source":"iana","compressible":false},"application/vnd.d3m-dataset":{"source":"iana"},"application/vnd.d3m-problem":{"source":"iana"},"application/vnd.dart":{"source":"iana","compressible":true,"extensions":["dart"]},"application/vnd.data-vision.rdz":{"source":"iana","extensions":["rdz"]},"application/vnd.datapackage+json":{"source":"iana","compressible":true},"application/vnd.dataresource+json":{"source":"iana","compressible":true},"application/vnd.dbf":{"source":"iana","extensions":["dbf"]},"application/vnd.debian.binary-package":{"source":"iana"},"application/vnd.dece.data":{"source":"iana","extensions":["uvf","uvvf","uvd","uvvd"]},"application/vnd.dece.ttml+xml":{"source":"iana","compressible":true,"extensions":["uvt","uvvt"]},"application/vnd.dece.unspecified":{"source":"iana","extensions":["uvx","uvvx"]},"application/vnd.dece.zip":{"source":"iana","extensions":["uvz","uvvz"]},"application/vnd.denovo.fcselayout-link":{"source":"iana","extensions":["fe_launch"]},"application/vnd.desmume.movie":{"source":"iana"},"application/vnd.dir-bi.plate-dl-nosuffix":{"source":"iana"},"application/vnd.dm.delegation+xml":{"source":"iana","compressible":true},"application/vnd.dna":{"source":"iana","extensions":["dna"]},"application/vnd.document+json":{"source":"iana","compressible":true},"application/vnd.dolby.mlp":{"source":"apache","extensions":["mlp"]},"application/vnd.dolby.mobile.1":{"source":"iana"},"application/vnd.dolby.mobile.2":{"source":"iana"},"application/vnd.doremir.scorecloud-binary-document":{"source":"iana"},"application/vnd.dpgraph":{"source":"iana","extensions":["dpg"]},"application/vnd.dreamfactory":{"source":"iana","extensions":["dfac"]},"application/vnd.drive+json":{"source":"iana","compressible":true},"application/vnd.ds-keypoint":{"source":"apache","extensions":["kpxx"]},"application/vnd.dtg.local":{"source":"iana"},"application/vnd.dtg.local.flash":{"source":"iana"},"application/vnd.dtg.local.html":{"source":"iana"},"application/vnd.dvb.ait":{"source":"iana","extensions":["ait"]},"application/vnd.dvb.dvbisl+xml":{"source":"iana","compressible":true},"application/vnd.dvb.dvbj":{"source":"iana"},"application/vnd.dvb.esgcontainer":{"source":"iana"},"application/vnd.dvb.ipdcdftnotifaccess":{"source":"iana"},"application/vnd.dvb.ipdcesgaccess":{"source":"iana"},"application/vnd.dvb.ipdcesgaccess2":{"source":"iana"},"application/vnd.dvb.ipdcesgpdd":{"source":"iana"},"application/vnd.dvb.ipdcroaming":{"source":"iana"},"application/vnd.dvb.iptv.alfec-base":{"source":"iana"},"application/vnd.dvb.iptv.alfec-enhancement":{"source":"iana"},"application/vnd.dvb.notif-aggregate-root+xml":{"source":"iana","compressible":true},"application/vnd.dvb.notif-container+xml":{"source":"iana","compressible":true},"application/vnd.dvb.notif-generic+xml":{"source":"iana","compressible":true},"application/vnd.dvb.notif-ia-msglist+xml":{"source":"iana","compressible":true},"application/vnd.dvb.notif-ia-registration-request+xml":{"source":"iana","compressible":true},"application/vnd.dvb.notif-ia-registration-response+xml":{"source":"iana","compressible":true},"application/vnd.dvb.notif-init+xml":{"source":"iana","compressible":true},"application/vnd.dvb.pfr":{"source":"iana"},"application/vnd.dvb.service":{"source":"iana","extensions":["svc"]},"application/vnd.dxr":{"source":"iana"},"application/vnd.dynageo":{"source":"iana","extensions":["geo"]},"application/vnd.dzr":{"source":"iana"},"application/vnd.easykaraoke.cdgdownload":{"source":"iana"},"application/vnd.ecdis-update":{"source":"iana"},"application/vnd.ecip.rlp":{"source":"iana"},"application/vnd.eclipse.ditto+json":{"source":"iana","compressible":true},"application/vnd.ecowin.chart":{"source":"iana","extensions":["mag"]},"application/vnd.ecowin.filerequest":{"source":"iana"},"application/vnd.ecowin.fileupdate":{"source":"iana"},"application/vnd.ecowin.series":{"source":"iana"},"application/vnd.ecowin.seriesrequest":{"source":"iana"},"application/vnd.ecowin.seriesupdate":{"source":"iana"},"application/vnd.efi.img":{"source":"iana"},"application/vnd.efi.iso":{"source":"iana"},"application/vnd.emclient.accessrequest+xml":{"source":"iana","compressible":true},"application/vnd.enliven":{"source":"iana","extensions":["nml"]},"application/vnd.enphase.envoy":{"source":"iana"},"application/vnd.eprints.data+xml":{"source":"iana","compressible":true},"application/vnd.epson.esf":{"source":"iana","extensions":["esf"]},"application/vnd.epson.msf":{"source":"iana","extensions":["msf"]},"application/vnd.epson.quickanime":{"source":"iana","extensions":["qam"]},"application/vnd.epson.salt":{"source":"iana","extensions":["slt"]},"application/vnd.epson.ssf":{"source":"iana","extensions":["ssf"]},"application/vnd.ericsson.quickcall":{"source":"iana"},"application/vnd.espass-espass+zip":{"source":"iana","compressible":false},"application/vnd.eszigno3+xml":{"source":"iana","compressible":true,"extensions":["es3","et3"]},"application/vnd.etsi.aoc+xml":{"source":"iana","compressible":true},"application/vnd.etsi.asic-e+zip":{"source":"iana","compressible":false},"application/vnd.etsi.asic-s+zip":{"source":"iana","compressible":false},"application/vnd.etsi.cug+xml":{"source":"iana","compressible":true},"application/vnd.etsi.iptvcommand+xml":{"source":"iana","compressible":true},"application/vnd.etsi.iptvdiscovery+xml":{"source":"iana","compressible":true},"application/vnd.etsi.iptvprofile+xml":{"source":"iana","compressible":true},"application/vnd.etsi.iptvsad-bc+xml":{"source":"iana","compressible":true},"application/vnd.etsi.iptvsad-cod+xml":{"source":"iana","compressible":true},"application/vnd.etsi.iptvsad-npvr+xml":{"source":"iana","compressible":true},"application/vnd.etsi.iptvservice+xml":{"source":"iana","compressible":true},"application/vnd.etsi.iptvsync+xml":{"source":"iana","compressible":true},"application/vnd.etsi.iptvueprofile+xml":{"source":"iana","compressible":true},"application/vnd.etsi.mcid+xml":{"source":"iana","compressible":true},"application/vnd.etsi.mheg5":{"source":"iana"},"application/vnd.etsi.overload-control-policy-dataset+xml":{"source":"iana","compressible":true},"application/vnd.etsi.pstn+xml":{"source":"iana","compressible":true},"application/vnd.etsi.sci+xml":{"source":"iana","compressible":true},"application/vnd.etsi.simservs+xml":{"source":"iana","compressible":true},"application/vnd.etsi.timestamp-token":{"source":"iana"},"application/vnd.etsi.tsl+xml":{"source":"iana","compressible":true},"application/vnd.etsi.tsl.der":{"source":"iana"},"application/vnd.eu.kasparian.car+json":{"source":"iana","compressible":true},"application/vnd.eudora.data":{"source":"iana"},"application/vnd.evolv.ecig.profile":{"source":"iana"},"application/vnd.evolv.ecig.settings":{"source":"iana"},"application/vnd.evolv.ecig.theme":{"source":"iana"},"application/vnd.exstream-empower+zip":{"source":"iana","compressible":false},"application/vnd.exstream-package":{"source":"iana"},"application/vnd.ezpix-album":{"source":"iana","extensions":["ez2"]},"application/vnd.ezpix-package":{"source":"iana","extensions":["ez3"]},"application/vnd.f-secure.mobile":{"source":"iana"},"application/vnd.familysearch.gedcom+zip":{"source":"iana","compressible":false},"application/vnd.fastcopy-disk-image":{"source":"iana"},"application/vnd.fdf":{"source":"iana","extensions":["fdf"]},"application/vnd.fdsn.mseed":{"source":"iana","extensions":["mseed"]},"application/vnd.fdsn.seed":{"source":"iana","extensions":["seed","dataless"]},"application/vnd.ffsns":{"source":"iana"},"application/vnd.ficlab.flb+zip":{"source":"iana","compressible":false},"application/vnd.filmit.zfc":{"source":"iana"},"application/vnd.fints":{"source":"iana"},"application/vnd.firemonkeys.cloudcell":{"source":"iana"},"application/vnd.flographit":{"source":"iana","extensions":["gph"]},"application/vnd.fluxtime.clip":{"source":"iana","extensions":["ftc"]},"application/vnd.font-fontforge-sfd":{"source":"iana"},"application/vnd.framemaker":{"source":"iana","extensions":["fm","frame","maker","book"]},"application/vnd.frogans.fnc":{"source":"iana","extensions":["fnc"]},"application/vnd.frogans.ltf":{"source":"iana","extensions":["ltf"]},"application/vnd.fsc.weblaunch":{"source":"iana","extensions":["fsc"]},"application/vnd.fujifilm.fb.docuworks":{"source":"iana"},"application/vnd.fujifilm.fb.docuworks.binder":{"source":"iana"},"application/vnd.fujifilm.fb.docuworks.container":{"source":"iana"},"application/vnd.fujifilm.fb.jfi+xml":{"source":"iana","compressible":true},"application/vnd.fujitsu.oasys":{"source":"iana","extensions":["oas"]},"application/vnd.fujitsu.oasys2":{"source":"iana","extensions":["oa2"]},"application/vnd.fujitsu.oasys3":{"source":"iana","extensions":["oa3"]},"application/vnd.fujitsu.oasysgp":{"source":"iana","extensions":["fg5"]},"application/vnd.fujitsu.oasysprs":{"source":"iana","extensions":["bh2"]},"application/vnd.fujixerox.art-ex":{"source":"iana"},"application/vnd.fujixerox.art4":{"source":"iana"},"application/vnd.fujixerox.ddd":{"source":"iana","extensions":["ddd"]},"application/vnd.fujixerox.docuworks":{"source":"iana","extensions":["xdw"]},"application/vnd.fujixerox.docuworks.binder":{"source":"iana","extensions":["xbd"]},"application/vnd.fujixerox.docuworks.container":{"source":"iana"},"application/vnd.fujixerox.hbpl":{"source":"iana"},"application/vnd.fut-misnet":{"source":"iana"},"application/vnd.futoin+cbor":{"source":"iana"},"application/vnd.futoin+json":{"source":"iana","compressible":true},"application/vnd.fuzzysheet":{"source":"iana","extensions":["fzs"]},"application/vnd.genomatix.tuxedo":{"source":"iana","extensions":["txd"]},"application/vnd.gentics.grd+json":{"source":"iana","compressible":true},"application/vnd.geo+json":{"source":"iana","compressible":true},"application/vnd.geocube+xml":{"source":"iana","compressible":true},"application/vnd.geogebra.file":{"source":"iana","extensions":["ggb"]},"application/vnd.geogebra.slides":{"source":"iana"},"application/vnd.geogebra.tool":{"source":"iana","extensions":["ggt"]},"application/vnd.geometry-explorer":{"source":"iana","extensions":["gex","gre"]},"application/vnd.geonext":{"source":"iana","extensions":["gxt"]},"application/vnd.geoplan":{"source":"iana","extensions":["g2w"]},"application/vnd.geospace":{"source":"iana","extensions":["g3w"]},"application/vnd.gerber":{"source":"iana"},"application/vnd.globalplatform.card-content-mgt":{"source":"iana"},"application/vnd.globalplatform.card-content-mgt-response":{"source":"iana"},"application/vnd.gmx":{"source":"iana","extensions":["gmx"]},"application/vnd.google-apps.document":{"compressible":false,"extensions":["gdoc"]},"application/vnd.google-apps.presentation":{"compressible":false,"extensions":["gslides"]},"application/vnd.google-apps.spreadsheet":{"compressible":false,"extensions":["gsheet"]},"application/vnd.google-earth.kml+xml":{"source":"iana","compressible":true,"extensions":["kml"]},"application/vnd.google-earth.kmz":{"source":"iana","compressible":false,"extensions":["kmz"]},"application/vnd.gov.sk.e-form+xml":{"source":"iana","compressible":true},"application/vnd.gov.sk.e-form+zip":{"source":"iana","compressible":false},"application/vnd.gov.sk.xmldatacontainer+xml":{"source":"iana","compressible":true},"application/vnd.grafeq":{"source":"iana","extensions":["gqf","gqs"]},"application/vnd.gridmp":{"source":"iana"},"application/vnd.groove-account":{"source":"iana","extensions":["gac"]},"application/vnd.groove-help":{"source":"iana","extensions":["ghf"]},"application/vnd.groove-identity-message":{"source":"iana","extensions":["gim"]},"application/vnd.groove-injector":{"source":"iana","extensions":["grv"]},"application/vnd.groove-tool-message":{"source":"iana","extensions":["gtm"]},"application/vnd.groove-tool-template":{"source":"iana","extensions":["tpl"]},"application/vnd.groove-vcard":{"source":"iana","extensions":["vcg"]},"application/vnd.hal+json":{"source":"iana","compressible":true},"application/vnd.hal+xml":{"source":"iana","compressible":true,"extensions":["hal"]},"application/vnd.handheld-entertainment+xml":{"source":"iana","compressible":true,"extensions":["zmm"]},"application/vnd.hbci":{"source":"iana","extensions":["hbci"]},"application/vnd.hc+json":{"source":"iana","compressible":true},"application/vnd.hcl-bireports":{"source":"iana"},"application/vnd.hdt":{"source":"iana"},"application/vnd.heroku+json":{"source":"iana","compressible":true},"application/vnd.hhe.lesson-player":{"source":"iana","extensions":["les"]},"application/vnd.hl7cda+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/vnd.hl7v2+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/vnd.hp-hpgl":{"source":"iana","extensions":["hpgl"]},"application/vnd.hp-hpid":{"source":"iana","extensions":["hpid"]},"application/vnd.hp-hps":{"source":"iana","extensions":["hps"]},"application/vnd.hp-jlyt":{"source":"iana","extensions":["jlt"]},"application/vnd.hp-pcl":{"source":"iana","extensions":["pcl"]},"application/vnd.hp-pclxl":{"source":"iana","extensions":["pclxl"]},"application/vnd.httphone":{"source":"iana"},"application/vnd.hydrostatix.sof-data":{"source":"iana","extensions":["sfd-hdstx"]},"application/vnd.hyper+json":{"source":"iana","compressible":true},"application/vnd.hyper-item+json":{"source":"iana","compressible":true},"application/vnd.hyperdrive+json":{"source":"iana","compressible":true},"application/vnd.hzn-3d-crossword":{"source":"iana"},"application/vnd.ibm.afplinedata":{"source":"iana"},"application/vnd.ibm.electronic-media":{"source":"iana"},"application/vnd.ibm.minipay":{"source":"iana","extensions":["mpy"]},"application/vnd.ibm.modcap":{"source":"iana","extensions":["afp","listafp","list3820"]},"application/vnd.ibm.rights-management":{"source":"iana","extensions":["irm"]},"application/vnd.ibm.secure-container":{"source":"iana","extensions":["sc"]},"application/vnd.iccprofile":{"source":"iana","extensions":["icc","icm"]},"application/vnd.ieee.1905":{"source":"iana"},"application/vnd.igloader":{"source":"iana","extensions":["igl"]},"application/vnd.imagemeter.folder+zip":{"source":"iana","compressible":false},"application/vnd.imagemeter.image+zip":{"source":"iana","compressible":false},"application/vnd.immervision-ivp":{"source":"iana","extensions":["ivp"]},"application/vnd.immervision-ivu":{"source":"iana","extensions":["ivu"]},"application/vnd.ims.imsccv1p1":{"source":"iana"},"application/vnd.ims.imsccv1p2":{"source":"iana"},"application/vnd.ims.imsccv1p3":{"source":"iana"},"application/vnd.ims.lis.v2.result+json":{"source":"iana","compressible":true},"application/vnd.ims.lti.v2.toolconsumerprofile+json":{"source":"iana","compressible":true},"application/vnd.ims.lti.v2.toolproxy+json":{"source":"iana","compressible":true},"application/vnd.ims.lti.v2.toolproxy.id+json":{"source":"iana","compressible":true},"application/vnd.ims.lti.v2.toolsettings+json":{"source":"iana","compressible":true},"application/vnd.ims.lti.v2.toolsettings.simple+json":{"source":"iana","compressible":true},"application/vnd.informedcontrol.rms+xml":{"source":"iana","compressible":true},"application/vnd.informix-visionary":{"source":"iana"},"application/vnd.infotech.project":{"source":"iana"},"application/vnd.infotech.project+xml":{"source":"iana","compressible":true},"application/vnd.innopath.wamp.notification":{"source":"iana"},"application/vnd.insors.igm":{"source":"iana","extensions":["igm"]},"application/vnd.intercon.formnet":{"source":"iana","extensions":["xpw","xpx"]},"application/vnd.intergeo":{"source":"iana","extensions":["i2g"]},"application/vnd.intertrust.digibox":{"source":"iana"},"application/vnd.intertrust.nncp":{"source":"iana"},"application/vnd.intu.qbo":{"source":"iana","extensions":["qbo"]},"application/vnd.intu.qfx":{"source":"iana","extensions":["qfx"]},"application/vnd.iptc.g2.catalogitem+xml":{"source":"iana","compressible":true},"application/vnd.iptc.g2.conceptitem+xml":{"source":"iana","compressible":true},"application/vnd.iptc.g2.knowledgeitem+xml":{"source":"iana","compressible":true},"application/vnd.iptc.g2.newsitem+xml":{"source":"iana","compressible":true},"application/vnd.iptc.g2.newsmessage+xml":{"source":"iana","compressible":true},"application/vnd.iptc.g2.packageitem+xml":{"source":"iana","compressible":true},"application/vnd.iptc.g2.planningitem+xml":{"source":"iana","compressible":true},"application/vnd.ipunplugged.rcprofile":{"source":"iana","extensions":["rcprofile"]},"application/vnd.irepository.package+xml":{"source":"iana","compressible":true,"extensions":["irp"]},"application/vnd.is-xpr":{"source":"iana","extensions":["xpr"]},"application/vnd.isac.fcs":{"source":"iana","extensions":["fcs"]},"application/vnd.iso11783-10+zip":{"source":"iana","compressible":false},"application/vnd.jam":{"source":"iana","extensions":["jam"]},"application/vnd.japannet-directory-service":{"source":"iana"},"application/vnd.japannet-jpnstore-wakeup":{"source":"iana"},"application/vnd.japannet-payment-wakeup":{"source":"iana"},"application/vnd.japannet-registration":{"source":"iana"},"application/vnd.japannet-registration-wakeup":{"source":"iana"},"application/vnd.japannet-setstore-wakeup":{"source":"iana"},"application/vnd.japannet-verification":{"source":"iana"},"application/vnd.japannet-verification-wakeup":{"source":"iana"},"application/vnd.jcp.javame.midlet-rms":{"source":"iana","extensions":["rms"]},"application/vnd.jisp":{"source":"iana","extensions":["jisp"]},"application/vnd.joost.joda-archive":{"source":"iana","extensions":["joda"]},"application/vnd.jsk.isdn-ngn":{"source":"iana"},"application/vnd.kahootz":{"source":"iana","extensions":["ktz","ktr"]},"application/vnd.kde.karbon":{"source":"iana","extensions":["karbon"]},"application/vnd.kde.kchart":{"source":"iana","extensions":["chrt"]},"application/vnd.kde.kformula":{"source":"iana","extensions":["kfo"]},"application/vnd.kde.kivio":{"source":"iana","extensions":["flw"]},"application/vnd.kde.kontour":{"source":"iana","extensions":["kon"]},"application/vnd.kde.kpresenter":{"source":"iana","extensions":["kpr","kpt"]},"application/vnd.kde.kspread":{"source":"iana","extensions":["ksp"]},"application/vnd.kde.kword":{"source":"iana","extensions":["kwd","kwt"]},"application/vnd.kenameaapp":{"source":"iana","extensions":["htke"]},"application/vnd.kidspiration":{"source":"iana","extensions":["kia"]},"application/vnd.kinar":{"source":"iana","extensions":["kne","knp"]},"application/vnd.koan":{"source":"iana","extensions":["skp","skd","skt","skm"]},"application/vnd.kodak-descriptor":{"source":"iana","extensions":["sse"]},"application/vnd.las":{"source":"iana"},"application/vnd.las.las+json":{"source":"iana","compressible":true},"application/vnd.las.las+xml":{"source":"iana","compressible":true,"extensions":["lasxml"]},"application/vnd.laszip":{"source":"iana"},"application/vnd.leap+json":{"source":"iana","compressible":true},"application/vnd.liberty-request+xml":{"source":"iana","compressible":true},"application/vnd.llamagraphics.life-balance.desktop":{"source":"iana","extensions":["lbd"]},"application/vnd.llamagraphics.life-balance.exchange+xml":{"source":"iana","compressible":true,"extensions":["lbe"]},"application/vnd.logipipe.circuit+zip":{"source":"iana","compressible":false},"application/vnd.loom":{"source":"iana"},"application/vnd.lotus-1-2-3":{"source":"iana","extensions":["123"]},"application/vnd.lotus-approach":{"source":"iana","extensions":["apr"]},"application/vnd.lotus-freelance":{"source":"iana","extensions":["pre"]},"application/vnd.lotus-notes":{"source":"iana","extensions":["nsf"]},"application/vnd.lotus-organizer":{"source":"iana","extensions":["org"]},"application/vnd.lotus-screencam":{"source":"iana","extensions":["scm"]},"application/vnd.lotus-wordpro":{"source":"iana","extensions":["lwp"]},"application/vnd.macports.portpkg":{"source":"iana","extensions":["portpkg"]},"application/vnd.mapbox-vector-tile":{"source":"iana","extensions":["mvt"]},"application/vnd.marlin.drm.actiontoken+xml":{"source":"iana","compressible":true},"application/vnd.marlin.drm.conftoken+xml":{"source":"iana","compressible":true},"application/vnd.marlin.drm.license+xml":{"source":"iana","compressible":true},"application/vnd.marlin.drm.mdcf":{"source":"iana"},"application/vnd.mason+json":{"source":"iana","compressible":true},"application/vnd.maxar.archive.3tz+zip":{"source":"iana","compressible":false},"application/vnd.maxmind.maxmind-db":{"source":"iana"},"application/vnd.mcd":{"source":"iana","extensions":["mcd"]},"application/vnd.medcalcdata":{"source":"iana","extensions":["mc1"]},"application/vnd.mediastation.cdkey":{"source":"iana","extensions":["cdkey"]},"application/vnd.meridian-slingshot":{"source":"iana"},"application/vnd.mfer":{"source":"iana","extensions":["mwf"]},"application/vnd.mfmp":{"source":"iana","extensions":["mfm"]},"application/vnd.micro+json":{"source":"iana","compressible":true},"application/vnd.micrografx.flo":{"source":"iana","extensions":["flo"]},"application/vnd.micrografx.igx":{"source":"iana","extensions":["igx"]},"application/vnd.microsoft.portable-executable":{"source":"iana"},"application/vnd.microsoft.windows.thumbnail-cache":{"source":"iana"},"application/vnd.miele+json":{"source":"iana","compressible":true},"application/vnd.mif":{"source":"iana","extensions":["mif"]},"application/vnd.minisoft-hp3000-save":{"source":"iana"},"application/vnd.mitsubishi.misty-guard.trustweb":{"source":"iana"},"application/vnd.mobius.daf":{"source":"iana","extensions":["daf"]},"application/vnd.mobius.dis":{"source":"iana","extensions":["dis"]},"application/vnd.mobius.mbk":{"source":"iana","extensions":["mbk"]},"application/vnd.mobius.mqy":{"source":"iana","extensions":["mqy"]},"application/vnd.mobius.msl":{"source":"iana","extensions":["msl"]},"application/vnd.mobius.plc":{"source":"iana","extensions":["plc"]},"application/vnd.mobius.txf":{"source":"iana","extensions":["txf"]},"application/vnd.mophun.application":{"source":"iana","extensions":["mpn"]},"application/vnd.mophun.certificate":{"source":"iana","extensions":["mpc"]},"application/vnd.motorola.flexsuite":{"source":"iana"},"application/vnd.motorola.flexsuite.adsi":{"source":"iana"},"application/vnd.motorola.flexsuite.fis":{"source":"iana"},"application/vnd.motorola.flexsuite.gotap":{"source":"iana"},"application/vnd.motorola.flexsuite.kmr":{"source":"iana"},"application/vnd.motorola.flexsuite.ttc":{"source":"iana"},"application/vnd.motorola.flexsuite.wem":{"source":"iana"},"application/vnd.motorola.iprm":{"source":"iana"},"application/vnd.mozilla.xul+xml":{"source":"iana","compressible":true,"extensions":["xul"]},"application/vnd.ms-3mfdocument":{"source":"iana"},"application/vnd.ms-artgalry":{"source":"iana","extensions":["cil"]},"application/vnd.ms-asf":{"source":"iana"},"application/vnd.ms-cab-compressed":{"source":"iana","extensions":["cab"]},"application/vnd.ms-color.iccprofile":{"source":"apache"},"application/vnd.ms-excel":{"source":"iana","compressible":false,"extensions":["xls","xlm","xla","xlc","xlt","xlw"]},"application/vnd.ms-excel.addin.macroenabled.12":{"source":"iana","extensions":["xlam"]},"application/vnd.ms-excel.sheet.binary.macroenabled.12":{"source":"iana","extensions":["xlsb"]},"application/vnd.ms-excel.sheet.macroenabled.12":{"source":"iana","extensions":["xlsm"]},"application/vnd.ms-excel.template.macroenabled.12":{"source":"iana","extensions":["xltm"]},"application/vnd.ms-fontobject":{"source":"iana","compressible":true,"extensions":["eot"]},"application/vnd.ms-htmlhelp":{"source":"iana","extensions":["chm"]},"application/vnd.ms-ims":{"source":"iana","extensions":["ims"]},"application/vnd.ms-lrm":{"source":"iana","extensions":["lrm"]},"application/vnd.ms-office.activex+xml":{"source":"iana","compressible":true},"application/vnd.ms-officetheme":{"source":"iana","extensions":["thmx"]},"application/vnd.ms-opentype":{"source":"apache","compressible":true},"application/vnd.ms-outlook":{"compressible":false,"extensions":["msg"]},"application/vnd.ms-package.obfuscated-opentype":{"source":"apache"},"application/vnd.ms-pki.seccat":{"source":"apache","extensions":["cat"]},"application/vnd.ms-pki.stl":{"source":"apache","extensions":["stl"]},"application/vnd.ms-playready.initiator+xml":{"source":"iana","compressible":true},"application/vnd.ms-powerpoint":{"source":"iana","compressible":false,"extensions":["ppt","pps","pot"]},"application/vnd.ms-powerpoint.addin.macroenabled.12":{"source":"iana","extensions":["ppam"]},"application/vnd.ms-powerpoint.presentation.macroenabled.12":{"source":"iana","extensions":["pptm"]},"application/vnd.ms-powerpoint.slide.macroenabled.12":{"source":"iana","extensions":["sldm"]},"application/vnd.ms-powerpoint.slideshow.macroenabled.12":{"source":"iana","extensions":["ppsm"]},"application/vnd.ms-powerpoint.template.macroenabled.12":{"source":"iana","extensions":["potm"]},"application/vnd.ms-printdevicecapabilities+xml":{"source":"iana","compressible":true},"application/vnd.ms-printing.printticket+xml":{"source":"apache","compressible":true},"application/vnd.ms-printschematicket+xml":{"source":"iana","compressible":true},"application/vnd.ms-project":{"source":"iana","extensions":["mpp","mpt"]},"application/vnd.ms-tnef":{"source":"iana"},"application/vnd.ms-windows.devicepairing":{"source":"iana"},"application/vnd.ms-windows.nwprinting.oob":{"source":"iana"},"application/vnd.ms-windows.printerpairing":{"source":"iana"},"application/vnd.ms-windows.wsd.oob":{"source":"iana"},"application/vnd.ms-wmdrm.lic-chlg-req":{"source":"iana"},"application/vnd.ms-wmdrm.lic-resp":{"source":"iana"},"application/vnd.ms-wmdrm.meter-chlg-req":{"source":"iana"},"application/vnd.ms-wmdrm.meter-resp":{"source":"iana"},"application/vnd.ms-word.document.macroenabled.12":{"source":"iana","extensions":["docm"]},"application/vnd.ms-word.template.macroenabled.12":{"source":"iana","extensions":["dotm"]},"application/vnd.ms-works":{"source":"iana","extensions":["wps","wks","wcm","wdb"]},"application/vnd.ms-wpl":{"source":"iana","extensions":["wpl"]},"application/vnd.ms-xpsdocument":{"source":"iana","compressible":false,"extensions":["xps"]},"application/vnd.msa-disk-image":{"source":"iana"},"application/vnd.mseq":{"source":"iana","extensions":["mseq"]},"application/vnd.msign":{"source":"iana"},"application/vnd.multiad.creator":{"source":"iana"},"application/vnd.multiad.creator.cif":{"source":"iana"},"application/vnd.music-niff":{"source":"iana"},"application/vnd.musician":{"source":"iana","extensions":["mus"]},"application/vnd.muvee.style":{"source":"iana","extensions":["msty"]},"application/vnd.mynfc":{"source":"iana","extensions":["taglet"]},"application/vnd.nacamar.ybrid+json":{"source":"iana","compressible":true},"application/vnd.ncd.control":{"source":"iana"},"application/vnd.ncd.reference":{"source":"iana"},"application/vnd.nearst.inv+json":{"source":"iana","compressible":true},"application/vnd.nebumind.line":{"source":"iana"},"application/vnd.nervana":{"source":"iana"},"application/vnd.netfpx":{"source":"iana"},"application/vnd.neurolanguage.nlu":{"source":"iana","extensions":["nlu"]},"application/vnd.nimn":{"source":"iana"},"application/vnd.nintendo.nitro.rom":{"source":"iana"},"application/vnd.nintendo.snes.rom":{"source":"iana"},"application/vnd.nitf":{"source":"iana","extensions":["ntf","nitf"]},"application/vnd.noblenet-directory":{"source":"iana","extensions":["nnd"]},"application/vnd.noblenet-sealer":{"source":"iana","extensions":["nns"]},"application/vnd.noblenet-web":{"source":"iana","extensions":["nnw"]},"application/vnd.nokia.catalogs":{"source":"iana"},"application/vnd.nokia.conml+wbxml":{"source":"iana"},"application/vnd.nokia.conml+xml":{"source":"iana","compressible":true},"application/vnd.nokia.iptv.config+xml":{"source":"iana","compressible":true},"application/vnd.nokia.isds-radio-presets":{"source":"iana"},"application/vnd.nokia.landmark+wbxml":{"source":"iana"},"application/vnd.nokia.landmark+xml":{"source":"iana","compressible":true},"application/vnd.nokia.landmarkcollection+xml":{"source":"iana","compressible":true},"application/vnd.nokia.n-gage.ac+xml":{"source":"iana","compressible":true,"extensions":["ac"]},"application/vnd.nokia.n-gage.data":{"source":"iana","extensions":["ngdat"]},"application/vnd.nokia.n-gage.symbian.install":{"source":"iana","extensions":["n-gage"]},"application/vnd.nokia.ncd":{"source":"iana"},"application/vnd.nokia.pcd+wbxml":{"source":"iana"},"application/vnd.nokia.pcd+xml":{"source":"iana","compressible":true},"application/vnd.nokia.radio-preset":{"source":"iana","extensions":["rpst"]},"application/vnd.nokia.radio-presets":{"source":"iana","extensions":["rpss"]},"application/vnd.novadigm.edm":{"source":"iana","extensions":["edm"]},"application/vnd.novadigm.edx":{"source":"iana","extensions":["edx"]},"application/vnd.novadigm.ext":{"source":"iana","extensions":["ext"]},"application/vnd.ntt-local.content-share":{"source":"iana"},"application/vnd.ntt-local.file-transfer":{"source":"iana"},"application/vnd.ntt-local.ogw_remote-access":{"source":"iana"},"application/vnd.ntt-local.sip-ta_remote":{"source":"iana"},"application/vnd.ntt-local.sip-ta_tcp_stream":{"source":"iana"},"application/vnd.oasis.opendocument.chart":{"source":"iana","extensions":["odc"]},"application/vnd.oasis.opendocument.chart-template":{"source":"iana","extensions":["otc"]},"application/vnd.oasis.opendocument.database":{"source":"iana","extensions":["odb"]},"application/vnd.oasis.opendocument.formula":{"source":"iana","extensions":["odf"]},"application/vnd.oasis.opendocument.formula-template":{"source":"iana","extensions":["odft"]},"application/vnd.oasis.opendocument.graphics":{"source":"iana","compressible":false,"extensions":["odg"]},"application/vnd.oasis.opendocument.graphics-template":{"source":"iana","extensions":["otg"]},"application/vnd.oasis.opendocument.image":{"source":"iana","extensions":["odi"]},"application/vnd.oasis.opendocument.image-template":{"source":"iana","extensions":["oti"]},"application/vnd.oasis.opendocument.presentation":{"source":"iana","compressible":false,"extensions":["odp"]},"application/vnd.oasis.opendocument.presentation-template":{"source":"iana","extensions":["otp"]},"application/vnd.oasis.opendocument.spreadsheet":{"source":"iana","compressible":false,"extensions":["ods"]},"application/vnd.oasis.opendocument.spreadsheet-template":{"source":"iana","extensions":["ots"]},"application/vnd.oasis.opendocument.text":{"source":"iana","compressible":false,"extensions":["odt"]},"application/vnd.oasis.opendocument.text-master":{"source":"iana","extensions":["odm"]},"application/vnd.oasis.opendocument.text-template":{"source":"iana","extensions":["ott"]},"application/vnd.oasis.opendocument.text-web":{"source":"iana","extensions":["oth"]},"application/vnd.obn":{"source":"iana"},"application/vnd.ocf+cbor":{"source":"iana"},"application/vnd.oci.image.manifest.v1+json":{"source":"iana","compressible":true},"application/vnd.oftn.l10n+json":{"source":"iana","compressible":true},"application/vnd.oipf.contentaccessdownload+xml":{"source":"iana","compressible":true},"application/vnd.oipf.contentaccessstreaming+xml":{"source":"iana","compressible":true},"application/vnd.oipf.cspg-hexbinary":{"source":"iana"},"application/vnd.oipf.dae.svg+xml":{"source":"iana","compressible":true},"application/vnd.oipf.dae.xhtml+xml":{"source":"iana","compressible":true},"application/vnd.oipf.mippvcontrolmessage+xml":{"source":"iana","compressible":true},"application/vnd.oipf.pae.gem":{"source":"iana"},"application/vnd.oipf.spdiscovery+xml":{"source":"iana","compressible":true},"application/vnd.oipf.spdlist+xml":{"source":"iana","compressible":true},"application/vnd.oipf.ueprofile+xml":{"source":"iana","compressible":true},"application/vnd.oipf.userprofile+xml":{"source":"iana","compressible":true},"application/vnd.olpc-sugar":{"source":"iana","extensions":["xo"]},"application/vnd.oma-scws-config":{"source":"iana"},"application/vnd.oma-scws-http-request":{"source":"iana"},"application/vnd.oma-scws-http-response":{"source":"iana"},"application/vnd.oma.bcast.associated-procedure-parameter+xml":{"source":"iana","compressible":true},"application/vnd.oma.bcast.drm-trigger+xml":{"source":"iana","compressible":true},"application/vnd.oma.bcast.imd+xml":{"source":"iana","compressible":true},"application/vnd.oma.bcast.ltkm":{"source":"iana"},"application/vnd.oma.bcast.notification+xml":{"source":"iana","compressible":true},"application/vnd.oma.bcast.provisioningtrigger":{"source":"iana"},"application/vnd.oma.bcast.sgboot":{"source":"iana"},"application/vnd.oma.bcast.sgdd+xml":{"source":"iana","compressible":true},"application/vnd.oma.bcast.sgdu":{"source":"iana"},"application/vnd.oma.bcast.simple-symbol-container":{"source":"iana"},"application/vnd.oma.bcast.smartcard-trigger+xml":{"source":"iana","compressible":true},"application/vnd.oma.bcast.sprov+xml":{"source":"iana","compressible":true},"application/vnd.oma.bcast.stkm":{"source":"iana"},"application/vnd.oma.cab-address-book+xml":{"source":"iana","compressible":true},"application/vnd.oma.cab-feature-handler+xml":{"source":"iana","compressible":true},"application/vnd.oma.cab-pcc+xml":{"source":"iana","compressible":true},"application/vnd.oma.cab-subs-invite+xml":{"source":"iana","compressible":true},"application/vnd.oma.cab-user-prefs+xml":{"source":"iana","compressible":true},"application/vnd.oma.dcd":{"source":"iana"},"application/vnd.oma.dcdc":{"source":"iana"},"application/vnd.oma.dd2+xml":{"source":"iana","compressible":true,"extensions":["dd2"]},"application/vnd.oma.drm.risd+xml":{"source":"iana","compressible":true},"application/vnd.oma.group-usage-list+xml":{"source":"iana","compressible":true},"application/vnd.oma.lwm2m+cbor":{"source":"iana"},"application/vnd.oma.lwm2m+json":{"source":"iana","compressible":true},"application/vnd.oma.lwm2m+tlv":{"source":"iana"},"application/vnd.oma.pal+xml":{"source":"iana","compressible":true},"application/vnd.oma.poc.detailed-progress-report+xml":{"source":"iana","compressible":true},"application/vnd.oma.poc.final-report+xml":{"source":"iana","compressible":true},"application/vnd.oma.poc.groups+xml":{"source":"iana","compressible":true},"application/vnd.oma.poc.invocation-descriptor+xml":{"source":"iana","compressible":true},"application/vnd.oma.poc.optimized-progress-report+xml":{"source":"iana","compressible":true},"application/vnd.oma.push":{"source":"iana"},"application/vnd.oma.scidm.messages+xml":{"source":"iana","compressible":true},"application/vnd.oma.xcap-directory+xml":{"source":"iana","compressible":true},"application/vnd.omads-email+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/vnd.omads-file+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/vnd.omads-folder+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/vnd.omaloc-supl-init":{"source":"iana"},"application/vnd.onepager":{"source":"iana"},"application/vnd.onepagertamp":{"source":"iana"},"application/vnd.onepagertamx":{"source":"iana"},"application/vnd.onepagertat":{"source":"iana"},"application/vnd.onepagertatp":{"source":"iana"},"application/vnd.onepagertatx":{"source":"iana"},"application/vnd.openblox.game+xml":{"source":"iana","compressible":true,"extensions":["obgx"]},"application/vnd.openblox.game-binary":{"source":"iana"},"application/vnd.openeye.oeb":{"source":"iana"},"application/vnd.openofficeorg.extension":{"source":"apache","extensions":["oxt"]},"application/vnd.openstreetmap.data+xml":{"source":"iana","compressible":true,"extensions":["osm"]},"application/vnd.opentimestamps.ots":{"source":"iana"},"application/vnd.openxmlformats-officedocument.custom-properties+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.customxmlproperties+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.drawing+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.drawingml.chart+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.drawingml.chartshapes+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.drawingml.diagramcolors+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.drawingml.diagramdata+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.drawingml.diagramlayout+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.drawingml.diagramstyle+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.extended-properties+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.commentauthors+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.comments+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.handoutmaster+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.notesmaster+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.notesslide+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.presentation":{"source":"iana","compressible":false,"extensions":["pptx"]},"application/vnd.openxmlformats-officedocument.presentationml.presentation.main+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.presprops+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.slide":{"source":"iana","extensions":["sldx"]},"application/vnd.openxmlformats-officedocument.presentationml.slide+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.slidelayout+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.slidemaster+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.slideshow":{"source":"iana","extensions":["ppsx"]},"application/vnd.openxmlformats-officedocument.presentationml.slideshow.main+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.slideupdateinfo+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.tablestyles+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.tags+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.template":{"source":"iana","extensions":["potx"]},"application/vnd.openxmlformats-officedocument.presentationml.template.main+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.presentationml.viewprops+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.calcchain+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.chartsheet+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.comments+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.connections+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.dialogsheet+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.externallink+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.pivotcachedefinition+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.pivotcacherecords+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.pivottable+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.querytable+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.revisionheaders+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.revisionlog+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.sharedstrings+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet":{"source":"iana","compressible":false,"extensions":["xlsx"]},"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.sheetmetadata+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.table+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.tablesinglecells+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.template":{"source":"iana","extensions":["xltx"]},"application/vnd.openxmlformats-officedocument.spreadsheetml.template.main+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.usernames+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.volatiledependencies+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.theme+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.themeoverride+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.vmldrawing":{"source":"iana"},"application/vnd.openxmlformats-officedocument.wordprocessingml.comments+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.wordprocessingml.document":{"source":"iana","compressible":false,"extensions":["docx"]},"application/vnd.openxmlformats-officedocument.wordprocessingml.document.glossary+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.wordprocessingml.document.main+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.wordprocessingml.endnotes+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.wordprocessingml.fonttable+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.wordprocessingml.footer+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.wordprocessingml.footnotes+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.wordprocessingml.numbering+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.wordprocessingml.settings+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.wordprocessingml.styles+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.wordprocessingml.template":{"source":"iana","extensions":["dotx"]},"application/vnd.openxmlformats-officedocument.wordprocessingml.template.main+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-officedocument.wordprocessingml.websettings+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-package.core-properties+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-package.digital-signature-xmlsignature+xml":{"source":"iana","compressible":true},"application/vnd.openxmlformats-package.relationships+xml":{"source":"iana","compressible":true},"application/vnd.oracle.resource+json":{"source":"iana","compressible":true},"application/vnd.orange.indata":{"source":"iana"},"application/vnd.osa.netdeploy":{"source":"iana"},"application/vnd.osgeo.mapguide.package":{"source":"iana","extensions":["mgp"]},"application/vnd.osgi.bundle":{"source":"iana"},"application/vnd.osgi.dp":{"source":"iana","extensions":["dp"]},"application/vnd.osgi.subsystem":{"source":"iana","extensions":["esa"]},"application/vnd.otps.ct-kip+xml":{"source":"iana","compressible":true},"application/vnd.oxli.countgraph":{"source":"iana"},"application/vnd.pagerduty+json":{"source":"iana","compressible":true},"application/vnd.palm":{"source":"iana","extensions":["pdb","pqa","oprc"]},"application/vnd.panoply":{"source":"iana"},"application/vnd.paos.xml":{"source":"iana"},"application/vnd.patentdive":{"source":"iana"},"application/vnd.patientecommsdoc":{"source":"iana"},"application/vnd.pawaafile":{"source":"iana","extensions":["paw"]},"application/vnd.pcos":{"source":"iana"},"application/vnd.pg.format":{"source":"iana","extensions":["str"]},"application/vnd.pg.osasli":{"source":"iana","extensions":["ei6"]},"application/vnd.piaccess.application-licence":{"source":"iana"},"application/vnd.picsel":{"source":"iana","extensions":["efif"]},"application/vnd.pmi.widget":{"source":"iana","extensions":["wg"]},"application/vnd.poc.group-advertisement+xml":{"source":"iana","compressible":true},"application/vnd.pocketlearn":{"source":"iana","extensions":["plf"]},"application/vnd.powerbuilder6":{"source":"iana","extensions":["pbd"]},"application/vnd.powerbuilder6-s":{"source":"iana"},"application/vnd.powerbuilder7":{"source":"iana"},"application/vnd.powerbuilder7-s":{"source":"iana"},"application/vnd.powerbuilder75":{"source":"iana"},"application/vnd.powerbuilder75-s":{"source":"iana"},"application/vnd.preminet":{"source":"iana"},"application/vnd.previewsystems.box":{"source":"iana","extensions":["box"]},"application/vnd.proteus.magazine":{"source":"iana","extensions":["mgz"]},"application/vnd.psfs":{"source":"iana"},"application/vnd.publishare-delta-tree":{"source":"iana","extensions":["qps"]},"application/vnd.pvi.ptid1":{"source":"iana","extensions":["ptid"]},"application/vnd.pwg-multiplexed":{"source":"iana"},"application/vnd.pwg-xhtml-print+xml":{"source":"iana","compressible":true},"application/vnd.qualcomm.brew-app-res":{"source":"iana"},"application/vnd.quarantainenet":{"source":"iana"},"application/vnd.quark.quarkxpress":{"source":"iana","extensions":["qxd","qxt","qwd","qwt","qxl","qxb"]},"application/vnd.quobject-quoxdocument":{"source":"iana"},"application/vnd.radisys.moml+xml":{"source":"iana","compressible":true},"application/vnd.radisys.msml+xml":{"source":"iana","compressible":true},"application/vnd.radisys.msml-audit+xml":{"source":"iana","compressible":true},"application/vnd.radisys.msml-audit-conf+xml":{"source":"iana","compressible":true},"application/vnd.radisys.msml-audit-conn+xml":{"source":"iana","compressible":true},"application/vnd.radisys.msml-audit-dialog+xml":{"source":"iana","compressible":true},"application/vnd.radisys.msml-audit-stream+xml":{"source":"iana","compressible":true},"application/vnd.radisys.msml-conf+xml":{"source":"iana","compressible":true},"application/vnd.radisys.msml-dialog+xml":{"source":"iana","compressible":true},"application/vnd.radisys.msml-dialog-base+xml":{"source":"iana","compressible":true},"application/vnd.radisys.msml-dialog-fax-detect+xml":{"source":"iana","compressible":true},"application/vnd.radisys.msml-dialog-fax-sendrecv+xml":{"source":"iana","compressible":true},"application/vnd.radisys.msml-dialog-group+xml":{"source":"iana","compressible":true},"application/vnd.radisys.msml-dialog-speech+xml":{"source":"iana","compressible":true},"application/vnd.radisys.msml-dialog-transform+xml":{"source":"iana","compressible":true},"application/vnd.rainstor.data":{"source":"iana"},"application/vnd.rapid":{"source":"iana"},"application/vnd.rar":{"source":"iana","extensions":["rar"]},"application/vnd.realvnc.bed":{"source":"iana","extensions":["bed"]},"application/vnd.recordare.musicxml":{"source":"iana","extensions":["mxl"]},"application/vnd.recordare.musicxml+xml":{"source":"iana","compressible":true,"extensions":["musicxml"]},"application/vnd.renlearn.rlprint":{"source":"iana"},"application/vnd.resilient.logic":{"source":"iana"},"application/vnd.restful+json":{"source":"iana","compressible":true},"application/vnd.rig.cryptonote":{"source":"iana","extensions":["cryptonote"]},"application/vnd.rim.cod":{"source":"apache","extensions":["cod"]},"application/vnd.rn-realmedia":{"source":"apache","extensions":["rm"]},"application/vnd.rn-realmedia-vbr":{"source":"apache","extensions":["rmvb"]},"application/vnd.route66.link66+xml":{"source":"iana","compressible":true,"extensions":["link66"]},"application/vnd.rs-274x":{"source":"iana"},"application/vnd.ruckus.download":{"source":"iana"},"application/vnd.s3sms":{"source":"iana"},"application/vnd.sailingtracker.track":{"source":"iana","extensions":["st"]},"application/vnd.sar":{"source":"iana"},"application/vnd.sbm.cid":{"source":"iana"},"application/vnd.sbm.mid2":{"source":"iana"},"application/vnd.scribus":{"source":"iana"},"application/vnd.sealed.3df":{"source":"iana"},"application/vnd.sealed.csf":{"source":"iana"},"application/vnd.sealed.doc":{"source":"iana"},"application/vnd.sealed.eml":{"source":"iana"},"application/vnd.sealed.mht":{"source":"iana"},"application/vnd.sealed.net":{"source":"iana"},"application/vnd.sealed.ppt":{"source":"iana"},"application/vnd.sealed.tiff":{"source":"iana"},"application/vnd.sealed.xls":{"source":"iana"},"application/vnd.sealedmedia.softseal.html":{"source":"iana"},"application/vnd.sealedmedia.softseal.pdf":{"source":"iana"},"application/vnd.seemail":{"source":"iana","extensions":["see"]},"application/vnd.seis+json":{"source":"iana","compressible":true},"application/vnd.sema":{"source":"iana","extensions":["sema"]},"application/vnd.semd":{"source":"iana","extensions":["semd"]},"application/vnd.semf":{"source":"iana","extensions":["semf"]},"application/vnd.shade-save-file":{"source":"iana"},"application/vnd.shana.informed.formdata":{"source":"iana","extensions":["ifm"]},"application/vnd.shana.informed.formtemplate":{"source":"iana","extensions":["itp"]},"application/vnd.shana.informed.interchange":{"source":"iana","extensions":["iif"]},"application/vnd.shana.informed.package":{"source":"iana","extensions":["ipk"]},"application/vnd.shootproof+json":{"source":"iana","compressible":true},"application/vnd.shopkick+json":{"source":"iana","compressible":true},"application/vnd.shp":{"source":"iana"},"application/vnd.shx":{"source":"iana"},"application/vnd.sigrok.session":{"source":"iana"},"application/vnd.simtech-mindmapper":{"source":"iana","extensions":["twd","twds"]},"application/vnd.siren+json":{"source":"iana","compressible":true},"application/vnd.smaf":{"source":"iana","extensions":["mmf"]},"application/vnd.smart.notebook":{"source":"iana"},"application/vnd.smart.teacher":{"source":"iana","extensions":["teacher"]},"application/vnd.snesdev-page-table":{"source":"iana"},"application/vnd.software602.filler.form+xml":{"source":"iana","compressible":true,"extensions":["fo"]},"application/vnd.software602.filler.form-xml-zip":{"source":"iana"},"application/vnd.solent.sdkm+xml":{"source":"iana","compressible":true,"extensions":["sdkm","sdkd"]},"application/vnd.spotfire.dxp":{"source":"iana","extensions":["dxp"]},"application/vnd.spotfire.sfs":{"source":"iana","extensions":["sfs"]},"application/vnd.sqlite3":{"source":"iana"},"application/vnd.sss-cod":{"source":"iana"},"application/vnd.sss-dtf":{"source":"iana"},"application/vnd.sss-ntf":{"source":"iana"},"application/vnd.stardivision.calc":{"source":"apache","extensions":["sdc"]},"application/vnd.stardivision.draw":{"source":"apache","extensions":["sda"]},"application/vnd.stardivision.impress":{"source":"apache","extensions":["sdd"]},"application/vnd.stardivision.math":{"source":"apache","extensions":["smf"]},"application/vnd.stardivision.writer":{"source":"apache","extensions":["sdw","vor"]},"application/vnd.stardivision.writer-global":{"source":"apache","extensions":["sgl"]},"application/vnd.stepmania.package":{"source":"iana","extensions":["smzip"]},"application/vnd.stepmania.stepchart":{"source":"iana","extensions":["sm"]},"application/vnd.street-stream":{"source":"iana"},"application/vnd.sun.wadl+xml":{"source":"iana","compressible":true,"extensions":["wadl"]},"application/vnd.sun.xml.calc":{"source":"apache","extensions":["sxc"]},"application/vnd.sun.xml.calc.template":{"source":"apache","extensions":["stc"]},"application/vnd.sun.xml.draw":{"source":"apache","extensions":["sxd"]},"application/vnd.sun.xml.draw.template":{"source":"apache","extensions":["std"]},"application/vnd.sun.xml.impress":{"source":"apache","extensions":["sxi"]},"application/vnd.sun.xml.impress.template":{"source":"apache","extensions":["sti"]},"application/vnd.sun.xml.math":{"source":"apache","extensions":["sxm"]},"application/vnd.sun.xml.writer":{"source":"apache","extensions":["sxw"]},"application/vnd.sun.xml.writer.global":{"source":"apache","extensions":["sxg"]},"application/vnd.sun.xml.writer.template":{"source":"apache","extensions":["stw"]},"application/vnd.sus-calendar":{"source":"iana","extensions":["sus","susp"]},"application/vnd.svd":{"source":"iana","extensions":["svd"]},"application/vnd.swiftview-ics":{"source":"iana"},"application/vnd.sycle+xml":{"source":"iana","compressible":true},"application/vnd.syft+json":{"source":"iana","compressible":true},"application/vnd.symbian.install":{"source":"apache","extensions":["sis","sisx"]},"application/vnd.syncml+xml":{"source":"iana","charset":"UTF-8","compressible":true,"extensions":["xsm"]},"application/vnd.syncml.dm+wbxml":{"source":"iana","charset":"UTF-8","extensions":["bdm"]},"application/vnd.syncml.dm+xml":{"source":"iana","charset":"UTF-8","compressible":true,"extensions":["xdm"]},"application/vnd.syncml.dm.notification":{"source":"iana"},"application/vnd.syncml.dmddf+wbxml":{"source":"iana"},"application/vnd.syncml.dmddf+xml":{"source":"iana","charset":"UTF-8","compressible":true,"extensions":["ddf"]},"application/vnd.syncml.dmtnds+wbxml":{"source":"iana"},"application/vnd.syncml.dmtnds+xml":{"source":"iana","charset":"UTF-8","compressible":true},"application/vnd.syncml.ds.notification":{"source":"iana"},"application/vnd.tableschema+json":{"source":"iana","compressible":true},"application/vnd.tao.intent-module-archive":{"source":"iana","extensions":["tao"]},"application/vnd.tcpdump.pcap":{"source":"iana","extensions":["pcap","cap","dmp"]},"application/vnd.think-cell.ppttc+json":{"source":"iana","compressible":true},"application/vnd.tmd.mediaflex.api+xml":{"source":"iana","compressible":true},"application/vnd.tml":{"source":"iana"},"application/vnd.tmobile-livetv":{"source":"iana","extensions":["tmo"]},"application/vnd.tri.onesource":{"source":"iana"},"application/vnd.trid.tpt":{"source":"iana","extensions":["tpt"]},"application/vnd.triscape.mxs":{"source":"iana","extensions":["mxs"]},"application/vnd.trueapp":{"source":"iana","extensions":["tra"]},"application/vnd.truedoc":{"source":"iana"},"application/vnd.ubisoft.webplayer":{"source":"iana"},"application/vnd.ufdl":{"source":"iana","extensions":["ufd","ufdl"]},"application/vnd.uiq.theme":{"source":"iana","extensions":["utz"]},"application/vnd.umajin":{"source":"iana","extensions":["umj"]},"application/vnd.unity":{"source":"iana","extensions":["unityweb"]},"application/vnd.uoml+xml":{"source":"iana","compressible":true,"extensions":["uoml"]},"application/vnd.uplanet.alert":{"source":"iana"},"application/vnd.uplanet.alert-wbxml":{"source":"iana"},"application/vnd.uplanet.bearer-choice":{"source":"iana"},"application/vnd.uplanet.bearer-choice-wbxml":{"source":"iana"},"application/vnd.uplanet.cacheop":{"source":"iana"},"application/vnd.uplanet.cacheop-wbxml":{"source":"iana"},"application/vnd.uplanet.channel":{"source":"iana"},"application/vnd.uplanet.channel-wbxml":{"source":"iana"},"application/vnd.uplanet.list":{"source":"iana"},"application/vnd.uplanet.list-wbxml":{"source":"iana"},"application/vnd.uplanet.listcmd":{"source":"iana"},"application/vnd.uplanet.listcmd-wbxml":{"source":"iana"},"application/vnd.uplanet.signal":{"source":"iana"},"application/vnd.uri-map":{"source":"iana"},"application/vnd.valve.source.material":{"source":"iana"},"application/vnd.vcx":{"source":"iana","extensions":["vcx"]},"application/vnd.vd-study":{"source":"iana"},"application/vnd.vectorworks":{"source":"iana"},"application/vnd.vel+json":{"source":"iana","compressible":true},"application/vnd.verimatrix.vcas":{"source":"iana"},"application/vnd.veritone.aion+json":{"source":"iana","compressible":true},"application/vnd.veryant.thin":{"source":"iana"},"application/vnd.ves.encrypted":{"source":"iana"},"application/vnd.vidsoft.vidconference":{"source":"iana"},"application/vnd.visio":{"source":"iana","extensions":["vsd","vst","vss","vsw"]},"application/vnd.visionary":{"source":"iana","extensions":["vis"]},"application/vnd.vividence.scriptfile":{"source":"iana"},"application/vnd.vsf":{"source":"iana","extensions":["vsf"]},"application/vnd.wap.sic":{"source":"iana"},"application/vnd.wap.slc":{"source":"iana"},"application/vnd.wap.wbxml":{"source":"iana","charset":"UTF-8","extensions":["wbxml"]},"application/vnd.wap.wmlc":{"source":"iana","extensions":["wmlc"]},"application/vnd.wap.wmlscriptc":{"source":"iana","extensions":["wmlsc"]},"application/vnd.webturbo":{"source":"iana","extensions":["wtb"]},"application/vnd.wfa.dpp":{"source":"iana"},"application/vnd.wfa.p2p":{"source":"iana"},"application/vnd.wfa.wsc":{"source":"iana"},"application/vnd.windows.devicepairing":{"source":"iana"},"application/vnd.wmc":{"source":"iana"},"application/vnd.wmf.bootstrap":{"source":"iana"},"application/vnd.wolfram.mathematica":{"source":"iana"},"application/vnd.wolfram.mathematica.package":{"source":"iana"},"application/vnd.wolfram.player":{"source":"iana","extensions":["nbp"]},"application/vnd.wordperfect":{"source":"iana","extensions":["wpd"]},"application/vnd.wqd":{"source":"iana","extensions":["wqd"]},"application/vnd.wrq-hp3000-labelled":{"source":"iana"},"application/vnd.wt.stf":{"source":"iana","extensions":["stf"]},"application/vnd.wv.csp+wbxml":{"source":"iana"},"application/vnd.wv.csp+xml":{"source":"iana","compressible":true},"application/vnd.wv.ssp+xml":{"source":"iana","compressible":true},"application/vnd.xacml+json":{"source":"iana","compressible":true},"application/vnd.xara":{"source":"iana","extensions":["xar"]},"application/vnd.xfdl":{"source":"iana","extensions":["xfdl"]},"application/vnd.xfdl.webform":{"source":"iana"},"application/vnd.xmi+xml":{"source":"iana","compressible":true},"application/vnd.xmpie.cpkg":{"source":"iana"},"application/vnd.xmpie.dpkg":{"source":"iana"},"application/vnd.xmpie.plan":{"source":"iana"},"application/vnd.xmpie.ppkg":{"source":"iana"},"application/vnd.xmpie.xlim":{"source":"iana"},"application/vnd.yamaha.hv-dic":{"source":"iana","extensions":["hvd"]},"application/vnd.yamaha.hv-script":{"source":"iana","extensions":["hvs"]},"application/vnd.yamaha.hv-voice":{"source":"iana","extensions":["hvp"]},"application/vnd.yamaha.openscoreformat":{"source":"iana","extensions":["osf"]},"application/vnd.yamaha.openscoreformat.osfpvg+xml":{"source":"iana","compressible":true,"extensions":["osfpvg"]},"application/vnd.yamaha.remote-setup":{"source":"iana"},"application/vnd.yamaha.smaf-audio":{"source":"iana","extensions":["saf"]},"application/vnd.yamaha.smaf-phrase":{"source":"iana","extensions":["spf"]},"application/vnd.yamaha.through-ngn":{"source":"iana"},"application/vnd.yamaha.tunnel-udpencap":{"source":"iana"},"application/vnd.yaoweme":{"source":"iana"},"application/vnd.yellowriver-custom-menu":{"source":"iana","extensions":["cmp"]},"application/vnd.youtube.yt":{"source":"iana"},"application/vnd.zul":{"source":"iana","extensions":["zir","zirz"]},"application/vnd.zzazz.deck+xml":{"source":"iana","compressible":true,"extensions":["zaz"]},"application/voicexml+xml":{"source":"iana","compressible":true,"extensions":["vxml"]},"application/voucher-cms+json":{"source":"iana","compressible":true},"application/vq-rtcpxr":{"source":"iana"},"application/wasm":{"source":"iana","compressible":true,"extensions":["wasm"]},"application/watcherinfo+xml":{"source":"iana","compressible":true,"extensions":["wif"]},"application/webpush-options+json":{"source":"iana","compressible":true},"application/whoispp-query":{"source":"iana"},"application/whoispp-response":{"source":"iana"},"application/widget":{"source":"iana","extensions":["wgt"]},"application/winhlp":{"source":"apache","extensions":["hlp"]},"application/wita":{"source":"iana"},"application/wordperfect5.1":{"source":"iana"},"application/wsdl+xml":{"source":"iana","compressible":true,"extensions":["wsdl"]},"application/wspolicy+xml":{"source":"iana","compressible":true,"extensions":["wspolicy"]},"application/x-7z-compressed":{"source":"apache","compressible":false,"extensions":["7z"]},"application/x-abiword":{"source":"apache","extensions":["abw"]},"application/x-ace-compressed":{"source":"apache","extensions":["ace"]},"application/x-amf":{"source":"apache"},"application/x-apple-diskimage":{"source":"apache","extensions":["dmg"]},"application/x-arj":{"compressible":false,"extensions":["arj"]},"application/x-authorware-bin":{"source":"apache","extensions":["aab","x32","u32","vox"]},"application/x-authorware-map":{"source":"apache","extensions":["aam"]},"application/x-authorware-seg":{"source":"apache","extensions":["aas"]},"application/x-bcpio":{"source":"apache","extensions":["bcpio"]},"application/x-bdoc":{"compressible":false,"extensions":["bdoc"]},"application/x-bittorrent":{"source":"apache","extensions":["torrent"]},"application/x-blorb":{"source":"apache","extensions":["blb","blorb"]},"application/x-bzip":{"source":"apache","compressible":false,"extensions":["bz"]},"application/x-bzip2":{"source":"apache","compressible":false,"extensions":["bz2","boz"]},"application/x-cbr":{"source":"apache","extensions":["cbr","cba","cbt","cbz","cb7"]},"application/x-cdlink":{"source":"apache","extensions":["vcd"]},"application/x-cfs-compressed":{"source":"apache","extensions":["cfs"]},"application/x-chat":{"source":"apache","extensions":["chat"]},"application/x-chess-pgn":{"source":"apache","extensions":["pgn"]},"application/x-chrome-extension":{"extensions":["crx"]},"application/x-cocoa":{"source":"nginx","extensions":["cco"]},"application/x-compress":{"source":"apache"},"application/x-conference":{"source":"apache","extensions":["nsc"]},"application/x-cpio":{"source":"apache","extensions":["cpio"]},"application/x-csh":{"source":"apache","extensions":["csh"]},"application/x-deb":{"compressible":false},"application/x-debian-package":{"source":"apache","extensions":["deb","udeb"]},"application/x-dgc-compressed":{"source":"apache","extensions":["dgc"]},"application/x-director":{"source":"apache","extensions":["dir","dcr","dxr","cst","cct","cxt","w3d","fgd","swa"]},"application/x-doom":{"source":"apache","extensions":["wad"]},"application/x-dtbncx+xml":{"source":"apache","compressible":true,"extensions":["ncx"]},"application/x-dtbook+xml":{"source":"apache","compressible":true,"extensions":["dtb"]},"application/x-dtbresource+xml":{"source":"apache","compressible":true,"extensions":["res"]},"application/x-dvi":{"source":"apache","compressible":false,"extensions":["dvi"]},"application/x-envoy":{"source":"apache","extensions":["evy"]},"application/x-eva":{"source":"apache","extensions":["eva"]},"application/x-font-bdf":{"source":"apache","extensions":["bdf"]},"application/x-font-dos":{"source":"apache"},"application/x-font-framemaker":{"source":"apache"},"application/x-font-ghostscript":{"source":"apache","extensions":["gsf"]},"application/x-font-libgrx":{"source":"apache"},"application/x-font-linux-psf":{"source":"apache","extensions":["psf"]},"application/x-font-pcf":{"source":"apache","extensions":["pcf"]},"application/x-font-snf":{"source":"apache","extensions":["snf"]},"application/x-font-speedo":{"source":"apache"},"application/x-font-sunos-news":{"source":"apache"},"application/x-font-type1":{"source":"apache","extensions":["pfa","pfb","pfm","afm"]},"application/x-font-vfont":{"source":"apache"},"application/x-freearc":{"source":"apache","extensions":["arc"]},"application/x-futuresplash":{"source":"apache","extensions":["spl"]},"application/x-gca-compressed":{"source":"apache","extensions":["gca"]},"application/x-glulx":{"source":"apache","extensions":["ulx"]},"application/x-gnumeric":{"source":"apache","extensions":["gnumeric"]},"application/x-gramps-xml":{"source":"apache","extensions":["gramps"]},"application/x-gtar":{"source":"apache","extensions":["gtar"]},"application/x-gzip":{"source":"apache"},"application/x-hdf":{"source":"apache","extensions":["hdf"]},"application/x-httpd-php":{"compressible":true,"extensions":["php"]},"application/x-install-instructions":{"source":"apache","extensions":["install"]},"application/x-iso9660-image":{"source":"apache","extensions":["iso"]},"application/x-iwork-keynote-sffkey":{"extensions":["key"]},"application/x-iwork-numbers-sffnumbers":{"extensions":["numbers"]},"application/x-iwork-pages-sffpages":{"extensions":["pages"]},"application/x-java-archive-diff":{"source":"nginx","extensions":["jardiff"]},"application/x-java-jnlp-file":{"source":"apache","compressible":false,"extensions":["jnlp"]},"application/x-javascript":{"compressible":true},"application/x-keepass2":{"extensions":["kdbx"]},"application/x-latex":{"source":"apache","compressible":false,"extensions":["latex"]},"application/x-lua-bytecode":{"extensions":["luac"]},"application/x-lzh-compressed":{"source":"apache","extensions":["lzh","lha"]},"application/x-makeself":{"source":"nginx","extensions":["run"]},"application/x-mie":{"source":"apache","extensions":["mie"]},"application/x-mobipocket-ebook":{"source":"apache","extensions":["prc","mobi"]},"application/x-mpegurl":{"compressible":false},"application/x-ms-application":{"source":"apache","extensions":["application"]},"application/x-ms-shortcut":{"source":"apache","extensions":["lnk"]},"application/x-ms-wmd":{"source":"apache","extensions":["wmd"]},"application/x-ms-wmz":{"source":"apache","extensions":["wmz"]},"application/x-ms-xbap":{"source":"apache","extensions":["xbap"]},"application/x-msaccess":{"source":"apache","extensions":["mdb"]},"application/x-msbinder":{"source":"apache","extensions":["obd"]},"application/x-mscardfile":{"source":"apache","extensions":["crd"]},"application/x-msclip":{"source":"apache","extensions":["clp"]},"application/x-msdos-program":{"extensions":["exe"]},"application/x-msdownload":{"source":"apache","extensions":["exe","dll","com","bat","msi"]},"application/x-msmediaview":{"source":"apache","extensions":["mvb","m13","m14"]},"application/x-msmetafile":{"source":"apache","extensions":["wmf","wmz","emf","emz"]},"application/x-msmoney":{"source":"apache","extensions":["mny"]},"application/x-mspublisher":{"source":"apache","extensions":["pub"]},"application/x-msschedule":{"source":"apache","extensions":["scd"]},"application/x-msterminal":{"source":"apache","extensions":["trm"]},"application/x-mswrite":{"source":"apache","extensions":["wri"]},"application/x-netcdf":{"source":"apache","extensions":["nc","cdf"]},"application/x-ns-proxy-autoconfig":{"compressible":true,"extensions":["pac"]},"application/x-nzb":{"source":"apache","extensions":["nzb"]},"application/x-perl":{"source":"nginx","extensions":["pl","pm"]},"application/x-pilot":{"source":"nginx","extensions":["prc","pdb"]},"application/x-pkcs12":{"source":"apache","compressible":false,"extensions":["p12","pfx"]},"application/x-pkcs7-certificates":{"source":"apache","extensions":["p7b","spc"]},"application/x-pkcs7-certreqresp":{"source":"apache","extensions":["p7r"]},"application/x-pki-message":{"source":"iana"},"application/x-rar-compressed":{"source":"apache","compressible":false,"extensions":["rar"]},"application/x-redhat-package-manager":{"source":"nginx","extensions":["rpm"]},"application/x-research-info-systems":{"source":"apache","extensions":["ris"]},"application/x-sea":{"source":"nginx","extensions":["sea"]},"application/x-sh":{"source":"apache","compressible":true,"extensions":["sh"]},"application/x-shar":{"source":"apache","extensions":["shar"]},"application/x-shockwave-flash":{"source":"apache","compressible":false,"extensions":["swf"]},"application/x-silverlight-app":{"source":"apache","extensions":["xap"]},"application/x-sql":{"source":"apache","extensions":["sql"]},"application/x-stuffit":{"source":"apache","compressible":false,"extensions":["sit"]},"application/x-stuffitx":{"source":"apache","extensions":["sitx"]},"application/x-subrip":{"source":"apache","extensions":["srt"]},"application/x-sv4cpio":{"source":"apache","extensions":["sv4cpio"]},"application/x-sv4crc":{"source":"apache","extensions":["sv4crc"]},"application/x-t3vm-image":{"source":"apache","extensions":["t3"]},"application/x-tads":{"source":"apache","extensions":["gam"]},"application/x-tar":{"source":"apache","compressible":true,"extensions":["tar"]},"application/x-tcl":{"source":"apache","extensions":["tcl","tk"]},"application/x-tex":{"source":"apache","extensions":["tex"]},"application/x-tex-tfm":{"source":"apache","extensions":["tfm"]},"application/x-texinfo":{"source":"apache","extensions":["texinfo","texi"]},"application/x-tgif":{"source":"apache","extensions":["obj"]},"application/x-ustar":{"source":"apache","extensions":["ustar"]},"application/x-virtualbox-hdd":{"compressible":true,"extensions":["hdd"]},"application/x-virtualbox-ova":{"compressible":true,"extensions":["ova"]},"application/x-virtualbox-ovf":{"compressible":true,"extensions":["ovf"]},"application/x-virtualbox-vbox":{"compressible":true,"extensions":["vbox"]},"application/x-virtualbox-vbox-extpack":{"compressible":false,"extensions":["vbox-extpack"]},"application/x-virtualbox-vdi":{"compressible":true,"extensions":["vdi"]},"application/x-virtualbox-vhd":{"compressible":true,"extensions":["vhd"]},"application/x-virtualbox-vmdk":{"compressible":true,"extensions":["vmdk"]},"application/x-wais-source":{"source":"apache","extensions":["src"]},"application/x-web-app-manifest+json":{"compressible":true,"extensions":["webapp"]},"application/x-www-form-urlencoded":{"source":"iana","compressible":true},"application/x-x509-ca-cert":{"source":"iana","extensions":["der","crt","pem"]},"application/x-x509-ca-ra-cert":{"source":"iana"},"application/x-x509-next-ca-cert":{"source":"iana"},"application/x-xfig":{"source":"apache","extensions":["fig"]},"application/x-xliff+xml":{"source":"apache","compressible":true,"extensions":["xlf"]},"application/x-xpinstall":{"source":"apache","compressible":false,"extensions":["xpi"]},"application/x-xz":{"source":"apache","extensions":["xz"]},"application/x-zmachine":{"source":"apache","extensions":["z1","z2","z3","z4","z5","z6","z7","z8"]},"application/x400-bp":{"source":"iana"},"application/xacml+xml":{"source":"iana","compressible":true},"application/xaml+xml":{"source":"apache","compressible":true,"extensions":["xaml"]},"application/xcap-att+xml":{"source":"iana","compressible":true,"extensions":["xav"]},"application/xcap-caps+xml":{"source":"iana","compressible":true,"extensions":["xca"]},"application/xcap-diff+xml":{"source":"iana","compressible":true,"extensions":["xdf"]},"application/xcap-el+xml":{"source":"iana","compressible":true,"extensions":["xel"]},"application/xcap-error+xml":{"source":"iana","compressible":true},"application/xcap-ns+xml":{"source":"iana","compressible":true,"extensions":["xns"]},"application/xcon-conference-info+xml":{"source":"iana","compressible":true},"application/xcon-conference-info-diff+xml":{"source":"iana","compressible":true},"application/xenc+xml":{"source":"iana","compressible":true,"extensions":["xenc"]},"application/xhtml+xml":{"source":"iana","compressible":true,"extensions":["xhtml","xht"]},"application/xhtml-voice+xml":{"source":"apache","compressible":true},"application/xliff+xml":{"source":"iana","compressible":true,"extensions":["xlf"]},"application/xml":{"source":"iana","compressible":true,"extensions":["xml","xsl","xsd","rng"]},"application/xml-dtd":{"source":"iana","compressible":true,"extensions":["dtd"]},"application/xml-external-parsed-entity":{"source":"iana"},"application/xml-patch+xml":{"source":"iana","compressible":true},"application/xmpp+xml":{"source":"iana","compressible":true},"application/xop+xml":{"source":"iana","compressible":true,"extensions":["xop"]},"application/xproc+xml":{"source":"apache","compressible":true,"extensions":["xpl"]},"application/xslt+xml":{"source":"iana","compressible":true,"extensions":["xsl","xslt"]},"application/xspf+xml":{"source":"apache","compressible":true,"extensions":["xspf"]},"application/xv+xml":{"source":"iana","compressible":true,"extensions":["mxml","xhvml","xvml","xvm"]},"application/yang":{"source":"iana","extensions":["yang"]},"application/yang-data+json":{"source":"iana","compressible":true},"application/yang-data+xml":{"source":"iana","compressible":true},"application/yang-patch+json":{"source":"iana","compressible":true},"application/yang-patch+xml":{"source":"iana","compressible":true},"application/yin+xml":{"source":"iana","compressible":true,"extensions":["yin"]},"application/zip":{"source":"iana","compressible":false,"extensions":["zip"]},"application/zlib":{"source":"iana"},"application/zstd":{"source":"iana"},"audio/1d-interleaved-parityfec":{"source":"iana"},"audio/32kadpcm":{"source":"iana"},"audio/3gpp":{"source":"iana","compressible":false,"extensions":["3gpp"]},"audio/3gpp2":{"source":"iana"},"audio/aac":{"source":"iana"},"audio/ac3":{"source":"iana"},"audio/adpcm":{"source":"apache","extensions":["adp"]},"audio/amr":{"source":"iana","extensions":["amr"]},"audio/amr-wb":{"source":"iana"},"audio/amr-wb+":{"source":"iana"},"audio/aptx":{"source":"iana"},"audio/asc":{"source":"iana"},"audio/atrac-advanced-lossless":{"source":"iana"},"audio/atrac-x":{"source":"iana"},"audio/atrac3":{"source":"iana"},"audio/basic":{"source":"iana","compressible":false,"extensions":["au","snd"]},"audio/bv16":{"source":"iana"},"audio/bv32":{"source":"iana"},"audio/clearmode":{"source":"iana"},"audio/cn":{"source":"iana"},"audio/dat12":{"source":"iana"},"audio/dls":{"source":"iana"},"audio/dsr-es201108":{"source":"iana"},"audio/dsr-es202050":{"source":"iana"},"audio/dsr-es202211":{"source":"iana"},"audio/dsr-es202212":{"source":"iana"},"audio/dv":{"source":"iana"},"audio/dvi4":{"source":"iana"},"audio/eac3":{"source":"iana"},"audio/encaprtp":{"source":"iana"},"audio/evrc":{"source":"iana"},"audio/evrc-qcp":{"source":"iana"},"audio/evrc0":{"source":"iana"},"audio/evrc1":{"source":"iana"},"audio/evrcb":{"source":"iana"},"audio/evrcb0":{"source":"iana"},"audio/evrcb1":{"source":"iana"},"audio/evrcnw":{"source":"iana"},"audio/evrcnw0":{"source":"iana"},"audio/evrcnw1":{"source":"iana"},"audio/evrcwb":{"source":"iana"},"audio/evrcwb0":{"source":"iana"},"audio/evrcwb1":{"source":"iana"},"audio/evs":{"source":"iana"},"audio/flexfec":{"source":"iana"},"audio/fwdred":{"source":"iana"},"audio/g711-0":{"source":"iana"},"audio/g719":{"source":"iana"},"audio/g722":{"source":"iana"},"audio/g7221":{"source":"iana"},"audio/g723":{"source":"iana"},"audio/g726-16":{"source":"iana"},"audio/g726-24":{"source":"iana"},"audio/g726-32":{"source":"iana"},"audio/g726-40":{"source":"iana"},"audio/g728":{"source":"iana"},"audio/g729":{"source":"iana"},"audio/g7291":{"source":"iana"},"audio/g729d":{"source":"iana"},"audio/g729e":{"source":"iana"},"audio/gsm":{"source":"iana"},"audio/gsm-efr":{"source":"iana"},"audio/gsm-hr-08":{"source":"iana"},"audio/ilbc":{"source":"iana"},"audio/ip-mr_v2.5":{"source":"iana"},"audio/isac":{"source":"apache"},"audio/l16":{"source":"iana"},"audio/l20":{"source":"iana"},"audio/l24":{"source":"iana","compressible":false},"audio/l8":{"source":"iana"},"audio/lpc":{"source":"iana"},"audio/melp":{"source":"iana"},"audio/melp1200":{"source":"iana"},"audio/melp2400":{"source":"iana"},"audio/melp600":{"source":"iana"},"audio/mhas":{"source":"iana"},"audio/midi":{"source":"apache","extensions":["mid","midi","kar","rmi"]},"audio/mobile-xmf":{"source":"iana","extensions":["mxmf"]},"audio/mp3":{"compressible":false,"extensions":["mp3"]},"audio/mp4":{"source":"iana","compressible":false,"extensions":["m4a","mp4a"]},"audio/mp4a-latm":{"source":"iana"},"audio/mpa":{"source":"iana"},"audio/mpa-robust":{"source":"iana"},"audio/mpeg":{"source":"iana","compressible":false,"extensions":["mpga","mp2","mp2a","mp3","m2a","m3a"]},"audio/mpeg4-generic":{"source":"iana"},"audio/musepack":{"source":"apache"},"audio/ogg":{"source":"iana","compressible":false,"extensions":["oga","ogg","spx","opus"]},"audio/opus":{"source":"iana"},"audio/parityfec":{"source":"iana"},"audio/pcma":{"source":"iana"},"audio/pcma-wb":{"source":"iana"},"audio/pcmu":{"source":"iana"},"audio/pcmu-wb":{"source":"iana"},"audio/prs.sid":{"source":"iana"},"audio/qcelp":{"source":"iana"},"audio/raptorfec":{"source":"iana"},"audio/red":{"source":"iana"},"audio/rtp-enc-aescm128":{"source":"iana"},"audio/rtp-midi":{"source":"iana"},"audio/rtploopback":{"source":"iana"},"audio/rtx":{"source":"iana"},"audio/s3m":{"source":"apache","extensions":["s3m"]},"audio/scip":{"source":"iana"},"audio/silk":{"source":"apache","extensions":["sil"]},"audio/smv":{"source":"iana"},"audio/smv-qcp":{"source":"iana"},"audio/smv0":{"source":"iana"},"audio/sofa":{"source":"iana"},"audio/sp-midi":{"source":"iana"},"audio/speex":{"source":"iana"},"audio/t140c":{"source":"iana"},"audio/t38":{"source":"iana"},"audio/telephone-event":{"source":"iana"},"audio/tetra_acelp":{"source":"iana"},"audio/tetra_acelp_bb":{"source":"iana"},"audio/tone":{"source":"iana"},"audio/tsvcis":{"source":"iana"},"audio/uemclip":{"source":"iana"},"audio/ulpfec":{"source":"iana"},"audio/usac":{"source":"iana"},"audio/vdvi":{"source":"iana"},"audio/vmr-wb":{"source":"iana"},"audio/vnd.3gpp.iufp":{"source":"iana"},"audio/vnd.4sb":{"source":"iana"},"audio/vnd.audiokoz":{"source":"iana"},"audio/vnd.celp":{"source":"iana"},"audio/vnd.cisco.nse":{"source":"iana"},"audio/vnd.cmles.radio-events":{"source":"iana"},"audio/vnd.cns.anp1":{"source":"iana"},"audio/vnd.cns.inf1":{"source":"iana"},"audio/vnd.dece.audio":{"source":"iana","extensions":["uva","uvva"]},"audio/vnd.digital-winds":{"source":"iana","extensions":["eol"]},"audio/vnd.dlna.adts":{"source":"iana"},"audio/vnd.dolby.heaac.1":{"source":"iana"},"audio/vnd.dolby.heaac.2":{"source":"iana"},"audio/vnd.dolby.mlp":{"source":"iana"},"audio/vnd.dolby.mps":{"source":"iana"},"audio/vnd.dolby.pl2":{"source":"iana"},"audio/vnd.dolby.pl2x":{"source":"iana"},"audio/vnd.dolby.pl2z":{"source":"iana"},"audio/vnd.dolby.pulse.1":{"source":"iana"},"audio/vnd.dra":{"source":"iana","extensions":["dra"]},"audio/vnd.dts":{"source":"iana","extensions":["dts"]},"audio/vnd.dts.hd":{"source":"iana","extensions":["dtshd"]},"audio/vnd.dts.uhd":{"source":"iana"},"audio/vnd.dvb.file":{"source":"iana"},"audio/vnd.everad.plj":{"source":"iana"},"audio/vnd.hns.audio":{"source":"iana"},"audio/vnd.lucent.voice":{"source":"iana","extensions":["lvp"]},"audio/vnd.ms-playready.media.pya":{"source":"iana","extensions":["pya"]},"audio/vnd.nokia.mobile-xmf":{"source":"iana"},"audio/vnd.nortel.vbk":{"source":"iana"},"audio/vnd.nuera.ecelp4800":{"source":"iana","extensions":["ecelp4800"]},"audio/vnd.nuera.ecelp7470":{"source":"iana","extensions":["ecelp7470"]},"audio/vnd.nuera.ecelp9600":{"source":"iana","extensions":["ecelp9600"]},"audio/vnd.octel.sbc":{"source":"iana"},"audio/vnd.presonus.multitrack":{"source":"iana"},"audio/vnd.qcelp":{"source":"iana"},"audio/vnd.rhetorex.32kadpcm":{"source":"iana"},"audio/vnd.rip":{"source":"iana","extensions":["rip"]},"audio/vnd.rn-realaudio":{"compressible":false},"audio/vnd.sealedmedia.softseal.mpeg":{"source":"iana"},"audio/vnd.vmx.cvsd":{"source":"iana"},"audio/vnd.wave":{"compressible":false},"audio/vorbis":{"source":"iana","compressible":false},"audio/vorbis-config":{"source":"iana"},"audio/wav":{"compressible":false,"extensions":["wav"]},"audio/wave":{"compressible":false,"extensions":["wav"]},"audio/webm":{"source":"apache","compressible":false,"extensions":["weba"]},"audio/x-aac":{"source":"apache","compressible":false,"extensions":["aac"]},"audio/x-aiff":{"source":"apache","extensions":["aif","aiff","aifc"]},"audio/x-caf":{"source":"apache","compressible":false,"extensions":["caf"]},"audio/x-flac":{"source":"apache","extensions":["flac"]},"audio/x-m4a":{"source":"nginx","extensions":["m4a"]},"audio/x-matroska":{"source":"apache","extensions":["mka"]},"audio/x-mpegurl":{"source":"apache","extensions":["m3u"]},"audio/x-ms-wax":{"source":"apache","extensions":["wax"]},"audio/x-ms-wma":{"source":"apache","extensions":["wma"]},"audio/x-pn-realaudio":{"source":"apache","extensions":["ram","ra"]},"audio/x-pn-realaudio-plugin":{"source":"apache","extensions":["rmp"]},"audio/x-realaudio":{"source":"nginx","extensions":["ra"]},"audio/x-tta":{"source":"apache"},"audio/x-wav":{"source":"apache","extensions":["wav"]},"audio/xm":{"source":"apache","extensions":["xm"]},"chemical/x-cdx":{"source":"apache","extensions":["cdx"]},"chemical/x-cif":{"source":"apache","extensions":["cif"]},"chemical/x-cmdf":{"source":"apache","extensions":["cmdf"]},"chemical/x-cml":{"source":"apache","extensions":["cml"]},"chemical/x-csml":{"source":"apache","extensions":["csml"]},"chemical/x-pdb":{"source":"apache"},"chemical/x-xyz":{"source":"apache","extensions":["xyz"]},"font/collection":{"source":"iana","extensions":["ttc"]},"font/otf":{"source":"iana","compressible":true,"extensions":["otf"]},"font/sfnt":{"source":"iana"},"font/ttf":{"source":"iana","compressible":true,"extensions":["ttf"]},"font/woff":{"source":"iana","extensions":["woff"]},"font/woff2":{"source":"iana","extensions":["woff2"]},"image/aces":{"source":"iana","extensions":["exr"]},"image/apng":{"compressible":false,"extensions":["apng"]},"image/avci":{"source":"iana","extensions":["avci"]},"image/avcs":{"source":"iana","extensions":["avcs"]},"image/avif":{"source":"iana","compressible":false,"extensions":["avif"]},"image/bmp":{"source":"iana","compressible":true,"extensions":["bmp"]},"image/cgm":{"source":"iana","extensions":["cgm"]},"image/dicom-rle":{"source":"iana","extensions":["drle"]},"image/emf":{"source":"iana","extensions":["emf"]},"image/fits":{"source":"iana","extensions":["fits"]},"image/g3fax":{"source":"iana","extensions":["g3"]},"image/gif":{"source":"iana","compressible":false,"extensions":["gif"]},"image/heic":{"source":"iana","extensions":["heic"]},"image/heic-sequence":{"source":"iana","extensions":["heics"]},"image/heif":{"source":"iana","extensions":["heif"]},"image/heif-sequence":{"source":"iana","extensions":["heifs"]},"image/hej2k":{"source":"iana","extensions":["hej2"]},"image/hsj2":{"source":"iana","extensions":["hsj2"]},"image/ief":{"source":"iana","extensions":["ief"]},"image/jls":{"source":"iana","extensions":["jls"]},"image/jp2":{"source":"iana","compressible":false,"extensions":["jp2","jpg2"]},"image/jpeg":{"source":"iana","compressible":false,"extensions":["jpeg","jpg","jpe"]},"image/jph":{"source":"iana","extensions":["jph"]},"image/jphc":{"source":"iana","extensions":["jhc"]},"image/jpm":{"source":"iana","compressible":false,"extensions":["jpm"]},"image/jpx":{"source":"iana","compressible":false,"extensions":["jpx","jpf"]},"image/jxr":{"source":"iana","extensions":["jxr"]},"image/jxra":{"source":"iana","extensions":["jxra"]},"image/jxrs":{"source":"iana","extensions":["jxrs"]},"image/jxs":{"source":"iana","extensions":["jxs"]},"image/jxsc":{"source":"iana","extensions":["jxsc"]},"image/jxsi":{"source":"iana","extensions":["jxsi"]},"image/jxss":{"source":"iana","extensions":["jxss"]},"image/ktx":{"source":"iana","extensions":["ktx"]},"image/ktx2":{"source":"iana","extensions":["ktx2"]},"image/naplps":{"source":"iana"},"image/pjpeg":{"compressible":false},"image/png":{"source":"iana","compressible":false,"extensions":["png"]},"image/prs.btif":{"source":"iana","extensions":["btif"]},"image/prs.pti":{"source":"iana","extensions":["pti"]},"image/pwg-raster":{"source":"iana"},"image/sgi":{"source":"apache","extensions":["sgi"]},"image/svg+xml":{"source":"iana","compressible":true,"extensions":["svg","svgz"]},"image/t38":{"source":"iana","extensions":["t38"]},"image/tiff":{"source":"iana","compressible":false,"extensions":["tif","tiff"]},"image/tiff-fx":{"source":"iana","extensions":["tfx"]},"image/vnd.adobe.photoshop":{"source":"iana","compressible":true,"extensions":["psd"]},"image/vnd.airzip.accelerator.azv":{"source":"iana","extensions":["azv"]},"image/vnd.cns.inf2":{"source":"iana"},"image/vnd.dece.graphic":{"source":"iana","extensions":["uvi","uvvi","uvg","uvvg"]},"image/vnd.djvu":{"source":"iana","extensions":["djvu","djv"]},"image/vnd.dvb.subtitle":{"source":"iana","extensions":["sub"]},"image/vnd.dwg":{"source":"iana","extensions":["dwg"]},"image/vnd.dxf":{"source":"iana","extensions":["dxf"]},"image/vnd.fastbidsheet":{"source":"iana","extensions":["fbs"]},"image/vnd.fpx":{"source":"iana","extensions":["fpx"]},"image/vnd.fst":{"source":"iana","extensions":["fst"]},"image/vnd.fujixerox.edmics-mmr":{"source":"iana","extensions":["mmr"]},"image/vnd.fujixerox.edmics-rlc":{"source":"iana","extensions":["rlc"]},"image/vnd.globalgraphics.pgb":{"source":"iana"},"image/vnd.microsoft.icon":{"source":"iana","compressible":true,"extensions":["ico"]},"image/vnd.mix":{"source":"iana"},"image/vnd.mozilla.apng":{"source":"iana"},"image/vnd.ms-dds":{"compressible":true,"extensions":["dds"]},"image/vnd.ms-modi":{"source":"iana","extensions":["mdi"]},"image/vnd.ms-photo":{"source":"apache","extensions":["wdp"]},"image/vnd.net-fpx":{"source":"iana","extensions":["npx"]},"image/vnd.pco.b16":{"source":"iana","extensions":["b16"]},"image/vnd.radiance":{"source":"iana"},"image/vnd.sealed.png":{"source":"iana"},"image/vnd.sealedmedia.softseal.gif":{"source":"iana"},"image/vnd.sealedmedia.softseal.jpg":{"source":"iana"},"image/vnd.svf":{"source":"iana"},"image/vnd.tencent.tap":{"source":"iana","extensions":["tap"]},"image/vnd.valve.source.texture":{"source":"iana","extensions":["vtf"]},"image/vnd.wap.wbmp":{"source":"iana","extensions":["wbmp"]},"image/vnd.xiff":{"source":"iana","extensions":["xif"]},"image/vnd.zbrush.pcx":{"source":"iana","extensions":["pcx"]},"image/webp":{"source":"apache","extensions":["webp"]},"image/wmf":{"source":"iana","extensions":["wmf"]},"image/x-3ds":{"source":"apache","extensions":["3ds"]},"image/x-cmu-raster":{"source":"apache","extensions":["ras"]},"image/x-cmx":{"source":"apache","extensions":["cmx"]},"image/x-freehand":{"source":"apache","extensions":["fh","fhc","fh4","fh5","fh7"]},"image/x-icon":{"source":"apache","compressible":true,"extensions":["ico"]},"image/x-jng":{"source":"nginx","extensions":["jng"]},"image/x-mrsid-image":{"source":"apache","extensions":["sid"]},"image/x-ms-bmp":{"source":"nginx","compressible":true,"extensions":["bmp"]},"image/x-pcx":{"source":"apache","extensions":["pcx"]},"image/x-pict":{"source":"apache","extensions":["pic","pct"]},"image/x-portable-anymap":{"source":"apache","extensions":["pnm"]},"image/x-portable-bitmap":{"source":"apache","extensions":["pbm"]},"image/x-portable-graymap":{"source":"apache","extensions":["pgm"]},"image/x-portable-pixmap":{"source":"apache","extensions":["ppm"]},"image/x-rgb":{"source":"apache","extensions":["rgb"]},"image/x-tga":{"source":"apache","extensions":["tga"]},"image/x-xbitmap":{"source":"apache","extensions":["xbm"]},"image/x-xcf":{"compressible":false},"image/x-xpixmap":{"source":"apache","extensions":["xpm"]},"image/x-xwindowdump":{"source":"apache","extensions":["xwd"]},"message/cpim":{"source":"iana"},"message/delivery-status":{"source":"iana"},"message/disposition-notification":{"source":"iana","extensions":["disposition-notification"]},"message/external-body":{"source":"iana"},"message/feedback-report":{"source":"iana"},"message/global":{"source":"iana","extensions":["u8msg"]},"message/global-delivery-status":{"source":"iana","extensions":["u8dsn"]},"message/global-disposition-notification":{"source":"iana","extensions":["u8mdn"]},"message/global-headers":{"source":"iana","extensions":["u8hdr"]},"message/http":{"source":"iana","compressible":false},"message/imdn+xml":{"source":"iana","compressible":true},"message/news":{"source":"iana"},"message/partial":{"source":"iana","compressible":false},"message/rfc822":{"source":"iana","compressible":true,"extensions":["eml","mime"]},"message/s-http":{"source":"iana"},"message/sip":{"source":"iana"},"message/sipfrag":{"source":"iana"},"message/tracking-status":{"source":"iana"},"message/vnd.si.simp":{"source":"iana"},"message/vnd.wfa.wsc":{"source":"iana","extensions":["wsc"]},"model/3mf":{"source":"iana","extensions":["3mf"]},"model/e57":{"source":"iana"},"model/gltf+json":{"source":"iana","compressible":true,"extensions":["gltf"]},"model/gltf-binary":{"source":"iana","compressible":true,"extensions":["glb"]},"model/iges":{"source":"iana","compressible":false,"extensions":["igs","iges"]},"model/mesh":{"source":"iana","compressible":false,"extensions":["msh","mesh","silo"]},"model/mtl":{"source":"iana","extensions":["mtl"]},"model/obj":{"source":"iana","extensions":["obj"]},"model/step":{"source":"iana"},"model/step+xml":{"source":"iana","compressible":true,"extensions":["stpx"]},"model/step+zip":{"source":"iana","compressible":false,"extensions":["stpz"]},"model/step-xml+zip":{"source":"iana","compressible":false,"extensions":["stpxz"]},"model/stl":{"source":"iana","extensions":["stl"]},"model/vnd.collada+xml":{"source":"iana","compressible":true,"extensions":["dae"]},"model/vnd.dwf":{"source":"iana","extensions":["dwf"]},"model/vnd.flatland.3dml":{"source":"iana"},"model/vnd.gdl":{"source":"iana","extensions":["gdl"]},"model/vnd.gs-gdl":{"source":"apache"},"model/vnd.gs.gdl":{"source":"iana"},"model/vnd.gtw":{"source":"iana","extensions":["gtw"]},"model/vnd.moml+xml":{"source":"iana","compressible":true},"model/vnd.mts":{"source":"iana","extensions":["mts"]},"model/vnd.opengex":{"source":"iana","extensions":["ogex"]},"model/vnd.parasolid.transmit.binary":{"source":"iana","extensions":["x_b"]},"model/vnd.parasolid.transmit.text":{"source":"iana","extensions":["x_t"]},"model/vnd.pytha.pyox":{"source":"iana"},"model/vnd.rosette.annotated-data-model":{"source":"iana"},"model/vnd.sap.vds":{"source":"iana","extensions":["vds"]},"model/vnd.usdz+zip":{"source":"iana","compressible":false,"extensions":["usdz"]},"model/vnd.valve.source.compiled-map":{"source":"iana","extensions":["bsp"]},"model/vnd.vtu":{"source":"iana","extensions":["vtu"]},"model/vrml":{"source":"iana","compressible":false,"extensions":["wrl","vrml"]},"model/x3d+binary":{"source":"apache","compressible":false,"extensions":["x3db","x3dbz"]},"model/x3d+fastinfoset":{"source":"iana","extensions":["x3db"]},"model/x3d+vrml":{"source":"apache","compressible":false,"extensions":["x3dv","x3dvz"]},"model/x3d+xml":{"source":"iana","compressible":true,"extensions":["x3d","x3dz"]},"model/x3d-vrml":{"source":"iana","extensions":["x3dv"]},"multipart/alternative":{"source":"iana","compressible":false},"multipart/appledouble":{"source":"iana"},"multipart/byteranges":{"source":"iana"},"multipart/digest":{"source":"iana"},"multipart/encrypted":{"source":"iana","compressible":false},"multipart/form-data":{"source":"iana","compressible":false},"multipart/header-set":{"source":"iana"},"multipart/mixed":{"source":"iana"},"multipart/multilingual":{"source":"iana"},"multipart/parallel":{"source":"iana"},"multipart/related":{"source":"iana","compressible":false},"multipart/report":{"source":"iana"},"multipart/signed":{"source":"iana","compressible":false},"multipart/vnd.bint.med-plus":{"source":"iana"},"multipart/voice-message":{"source":"iana"},"multipart/x-mixed-replace":{"source":"iana"},"text/1d-interleaved-parityfec":{"source":"iana"},"text/cache-manifest":{"source":"iana","compressible":true,"extensions":["appcache","manifest"]},"text/calendar":{"source":"iana","extensions":["ics","ifb"]},"text/calender":{"compressible":true},"text/cmd":{"compressible":true},"text/coffeescript":{"extensions":["coffee","litcoffee"]},"text/cql":{"source":"iana"},"text/cql-expression":{"source":"iana"},"text/cql-identifier":{"source":"iana"},"text/css":{"source":"iana","charset":"UTF-8","compressible":true,"extensions":["css"]},"text/csv":{"source":"iana","compressible":true,"extensions":["csv"]},"text/csv-schema":{"source":"iana"},"text/directory":{"source":"iana"},"text/dns":{"source":"iana"},"text/ecmascript":{"source":"iana"},"text/encaprtp":{"source":"iana"},"text/enriched":{"source":"iana"},"text/fhirpath":{"source":"iana"},"text/flexfec":{"source":"iana"},"text/fwdred":{"source":"iana"},"text/gff3":{"source":"iana"},"text/grammar-ref-list":{"source":"iana"},"text/html":{"source":"iana","compressible":true,"extensions":["html","htm","shtml"]},"text/jade":{"extensions":["jade"]},"text/javascript":{"source":"iana","compressible":true},"text/jcr-cnd":{"source":"iana"},"text/jsx":{"compressible":true,"extensions":["jsx"]},"text/less":{"compressible":true,"extensions":["less"]},"text/markdown":{"source":"iana","compressible":true,"extensions":["markdown","md"]},"text/mathml":{"source":"nginx","extensions":["mml"]},"text/mdx":{"compressible":true,"extensions":["mdx"]},"text/mizar":{"source":"iana"},"text/n3":{"source":"iana","charset":"UTF-8","compressible":true,"extensions":["n3"]},"text/parameters":{"source":"iana","charset":"UTF-8"},"text/parityfec":{"source":"iana"},"text/plain":{"source":"iana","compressible":true,"extensions":["txt","text","conf","def","list","log","in","ini"]},"text/provenance-notation":{"source":"iana","charset":"UTF-8"},"text/prs.fallenstein.rst":{"source":"iana"},"text/prs.lines.tag":{"source":"iana","extensions":["dsc"]},"text/prs.prop.logic":{"source":"iana"},"text/raptorfec":{"source":"iana"},"text/red":{"source":"iana"},"text/rfc822-headers":{"source":"iana"},"text/richtext":{"source":"iana","compressible":true,"extensions":["rtx"]},"text/rtf":{"source":"iana","compressible":true,"extensions":["rtf"]},"text/rtp-enc-aescm128":{"source":"iana"},"text/rtploopback":{"source":"iana"},"text/rtx":{"source":"iana"},"text/sgml":{"source":"iana","extensions":["sgml","sgm"]},"text/shaclc":{"source":"iana"},"text/shex":{"source":"iana","extensions":["shex"]},"text/slim":{"extensions":["slim","slm"]},"text/spdx":{"source":"iana","extensions":["spdx"]},"text/strings":{"source":"iana"},"text/stylus":{"extensions":["stylus","styl"]},"text/t140":{"source":"iana"},"text/tab-separated-values":{"source":"iana","compressible":true,"extensions":["tsv"]},"text/troff":{"source":"iana","extensions":["t","tr","roff","man","me","ms"]},"text/turtle":{"source":"iana","charset":"UTF-8","extensions":["ttl"]},"text/ulpfec":{"source":"iana"},"text/uri-list":{"source":"iana","compressible":true,"extensions":["uri","uris","urls"]},"text/vcard":{"source":"iana","compressible":true,"extensions":["vcard"]},"text/vnd.a":{"source":"iana"},"text/vnd.abc":{"source":"iana"},"text/vnd.ascii-art":{"source":"iana"},"text/vnd.curl":{"source":"iana","extensions":["curl"]},"text/vnd.curl.dcurl":{"source":"apache","extensions":["dcurl"]},"text/vnd.curl.mcurl":{"source":"apache","extensions":["mcurl"]},"text/vnd.curl.scurl":{"source":"apache","extensions":["scurl"]},"text/vnd.debian.copyright":{"source":"iana","charset":"UTF-8"},"text/vnd.dmclientscript":{"source":"iana"},"text/vnd.dvb.subtitle":{"source":"iana","extensions":["sub"]},"text/vnd.esmertec.theme-descriptor":{"source":"iana","charset":"UTF-8"},"text/vnd.familysearch.gedcom":{"source":"iana","extensions":["ged"]},"text/vnd.ficlab.flt":{"source":"iana"},"text/vnd.fly":{"source":"iana","extensions":["fly"]},"text/vnd.fmi.flexstor":{"source":"iana","extensions":["flx"]},"text/vnd.gml":{"source":"iana"},"text/vnd.graphviz":{"source":"iana","extensions":["gv"]},"text/vnd.hans":{"source":"iana"},"text/vnd.hgl":{"source":"iana"},"text/vnd.in3d.3dml":{"source":"iana","extensions":["3dml"]},"text/vnd.in3d.spot":{"source":"iana","extensions":["spot"]},"text/vnd.iptc.newsml":{"source":"iana"},"text/vnd.iptc.nitf":{"source":"iana"},"text/vnd.latex-z":{"source":"iana"},"text/vnd.motorola.reflex":{"source":"iana"},"text/vnd.ms-mediapackage":{"source":"iana"},"text/vnd.net2phone.commcenter.command":{"source":"iana"},"text/vnd.radisys.msml-basic-layout":{"source":"iana"},"text/vnd.senx.warpscript":{"source":"iana"},"text/vnd.si.uricatalogue":{"source":"iana"},"text/vnd.sosi":{"source":"iana"},"text/vnd.sun.j2me.app-descriptor":{"source":"iana","charset":"UTF-8","extensions":["jad"]},"text/vnd.trolltech.linguist":{"source":"iana","charset":"UTF-8"},"text/vnd.wap.si":{"source":"iana"},"text/vnd.wap.sl":{"source":"iana"},"text/vnd.wap.wml":{"source":"iana","extensions":["wml"]},"text/vnd.wap.wmlscript":{"source":"iana","extensions":["wmls"]},"text/vtt":{"source":"iana","charset":"UTF-8","compressible":true,"extensions":["vtt"]},"text/x-asm":{"source":"apache","extensions":["s","asm"]},"text/x-c":{"source":"apache","extensions":["c","cc","cxx","cpp","h","hh","dic"]},"text/x-component":{"source":"nginx","extensions":["htc"]},"text/x-fortran":{"source":"apache","extensions":["f","for","f77","f90"]},"text/x-gwt-rpc":{"compressible":true},"text/x-handlebars-template":{"extensions":["hbs"]},"text/x-java-source":{"source":"apache","extensions":["java"]},"text/x-jquery-tmpl":{"compressible":true},"text/x-lua":{"extensions":["lua"]},"text/x-markdown":{"compressible":true,"extensions":["mkd"]},"text/x-nfo":{"source":"apache","extensions":["nfo"]},"text/x-opml":{"source":"apache","extensions":["opml"]},"text/x-org":{"compressible":true,"extensions":["org"]},"text/x-pascal":{"source":"apache","extensions":["p","pas"]},"text/x-processing":{"compressible":true,"extensions":["pde"]},"text/x-sass":{"extensions":["sass"]},"text/x-scss":{"extensions":["scss"]},"text/x-setext":{"source":"apache","extensions":["etx"]},"text/x-sfv":{"source":"apache","extensions":["sfv"]},"text/x-suse-ymp":{"compressible":true,"extensions":["ymp"]},"text/x-uuencode":{"source":"apache","extensions":["uu"]},"text/x-vcalendar":{"source":"apache","extensions":["vcs"]},"text/x-vcard":{"source":"apache","extensions":["vcf"]},"text/xml":{"source":"iana","compressible":true,"extensions":["xml"]},"text/xml-external-parsed-entity":{"source":"iana"},"text/yaml":{"compressible":true,"extensions":["yaml","yml"]},"video/1d-interleaved-parityfec":{"source":"iana"},"video/3gpp":{"source":"iana","extensions":["3gp","3gpp"]},"video/3gpp-tt":{"source":"iana"},"video/3gpp2":{"source":"iana","extensions":["3g2"]},"video/av1":{"source":"iana"},"video/bmpeg":{"source":"iana"},"video/bt656":{"source":"iana"},"video/celb":{"source":"iana"},"video/dv":{"source":"iana"},"video/encaprtp":{"source":"iana"},"video/ffv1":{"source":"iana"},"video/flexfec":{"source":"iana"},"video/h261":{"source":"iana","extensions":["h261"]},"video/h263":{"source":"iana","extensions":["h263"]},"video/h263-1998":{"source":"iana"},"video/h263-2000":{"source":"iana"},"video/h264":{"source":"iana","extensions":["h264"]},"video/h264-rcdo":{"source":"iana"},"video/h264-svc":{"source":"iana"},"video/h265":{"source":"iana"},"video/iso.segment":{"source":"iana","extensions":["m4s"]},"video/jpeg":{"source":"iana","extensions":["jpgv"]},"video/jpeg2000":{"source":"iana"},"video/jpm":{"source":"apache","extensions":["jpm","jpgm"]},"video/jxsv":{"source":"iana"},"video/mj2":{"source":"iana","extensions":["mj2","mjp2"]},"video/mp1s":{"source":"iana"},"video/mp2p":{"source":"iana"},"video/mp2t":{"source":"iana","extensions":["ts"]},"video/mp4":{"source":"iana","compressible":false,"extensions":["mp4","mp4v","mpg4"]},"video/mp4v-es":{"source":"iana"},"video/mpeg":{"source":"iana","compressible":false,"extensions":["mpeg","mpg","mpe","m1v","m2v"]},"video/mpeg4-generic":{"source":"iana"},"video/mpv":{"source":"iana"},"video/nv":{"source":"iana"},"video/ogg":{"source":"iana","compressible":false,"extensions":["ogv"]},"video/parityfec":{"source":"iana"},"video/pointer":{"source":"iana"},"video/quicktime":{"source":"iana","compressible":false,"extensions":["qt","mov"]},"video/raptorfec":{"source":"iana"},"video/raw":{"source":"iana"},"video/rtp-enc-aescm128":{"source":"iana"},"video/rtploopback":{"source":"iana"},"video/rtx":{"source":"iana"},"video/scip":{"source":"iana"},"video/smpte291":{"source":"iana"},"video/smpte292m":{"source":"iana"},"video/ulpfec":{"source":"iana"},"video/vc1":{"source":"iana"},"video/vc2":{"source":"iana"},"video/vnd.cctv":{"source":"iana"},"video/vnd.dece.hd":{"source":"iana","extensions":["uvh","uvvh"]},"video/vnd.dece.mobile":{"source":"iana","extensions":["uvm","uvvm"]},"video/vnd.dece.mp4":{"source":"iana"},"video/vnd.dece.pd":{"source":"iana","extensions":["uvp","uvvp"]},"video/vnd.dece.sd":{"source":"iana","extensions":["uvs","uvvs"]},"video/vnd.dece.video":{"source":"iana","extensions":["uvv","uvvv"]},"video/vnd.directv.mpeg":{"source":"iana"},"video/vnd.directv.mpeg-tts":{"source":"iana"},"video/vnd.dlna.mpeg-tts":{"source":"iana"},"video/vnd.dvb.file":{"source":"iana","extensions":["dvb"]},"video/vnd.fvt":{"source":"iana","extensions":["fvt"]},"video/vnd.hns.video":{"source":"iana"},"video/vnd.iptvforum.1dparityfec-1010":{"source":"iana"},"video/vnd.iptvforum.1dparityfec-2005":{"source":"iana"},"video/vnd.iptvforum.2dparityfec-1010":{"source":"iana"},"video/vnd.iptvforum.2dparityfec-2005":{"source":"iana"},"video/vnd.iptvforum.ttsavc":{"source":"iana"},"video/vnd.iptvforum.ttsmpeg2":{"source":"iana"},"video/vnd.motorola.video":{"source":"iana"},"video/vnd.motorola.videop":{"source":"iana"},"video/vnd.mpegurl":{"source":"iana","extensions":["mxu","m4u"]},"video/vnd.ms-playready.media.pyv":{"source":"iana","extensions":["pyv"]},"video/vnd.nokia.interleaved-multimedia":{"source":"iana"},"video/vnd.nokia.mp4vr":{"source":"iana"},"video/vnd.nokia.videovoip":{"source":"iana"},"video/vnd.objectvideo":{"source":"iana"},"video/vnd.radgamettools.bink":{"source":"iana"},"video/vnd.radgamettools.smacker":{"source":"iana"},"video/vnd.sealed.mpeg1":{"source":"iana"},"video/vnd.sealed.mpeg4":{"source":"iana"},"video/vnd.sealed.swf":{"source":"iana"},"video/vnd.sealedmedia.softseal.mov":{"source":"iana"},"video/vnd.uvvu.mp4":{"source":"iana","extensions":["uvu","uvvu"]},"video/vnd.vivo":{"source":"iana","extensions":["viv"]},"video/vnd.youtube.yt":{"source":"iana"},"video/vp8":{"source":"iana"},"video/vp9":{"source":"iana"},"video/webm":{"source":"apache","compressible":false,"extensions":["webm"]},"video/x-f4v":{"source":"apache","extensions":["f4v"]},"video/x-fli":{"source":"apache","extensions":["fli"]},"video/x-flv":{"source":"apache","compressible":false,"extensions":["flv"]},"video/x-m4v":{"source":"apache","extensions":["m4v"]},"video/x-matroska":{"source":"apache","compressible":false,"extensions":["mkv","mk3d","mks"]},"video/x-mng":{"source":"apache","extensions":["mng"]},"video/x-ms-asf":{"source":"apache","extensions":["asf","asx"]},"video/x-ms-vob":{"source":"apache","extensions":["vob"]},"video/x-ms-wm":{"source":"apache","extensions":["wm"]},"video/x-ms-wmv":{"source":"apache","compressible":false,"extensions":["wmv"]},"video/x-ms-wmx":{"source":"apache","extensions":["wmx"]},"video/x-ms-wvx":{"source":"apache","extensions":["wvx"]},"video/x-msvideo":{"source":"apache","extensions":["avi"]},"video/x-sgi-movie":{"source":"apache","extensions":["movie"]},"video/x-smv":{"source":"apache","extensions":["smv"]},"x-conference/x-cooltalk":{"source":"apache","extensions":["ice"]},"x-shader/x-fragment":{"compressible":true},"x-shader/x-vertex":{"compressible":true}}')}},a={};function i(n){var s=a[n];if(void 0!==s)return s.exports;var o=a[n]={id:n,loaded:!1,exports:{}};return e[n](o,o.exports,i),o.loaded=!0,o.exports}i.n=e=>{var a=e&&e.__esModule?()=>e.default:()=>e;return i.d(a,{a}),a},i.d=(e,a)=>{for(var n in a)i.o(a,n)&&!i.o(e,n)&&Object.defineProperty(e,n,{enumerable:!0,get:a[n]})},i.o=(e,a)=>Object.prototype.hasOwnProperty.call(e,a),i.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},i.nmd=e=>(e.paths=[],e.children||(e.children=[]),e);var n={};(()=>{"use strict";i.r(n);var e=i(2298);i(1017);const a=require("child_process");var s=i.n(a);const o="sync-history",t="sync-profiles",r="sync-playlists",c="db-action-create",p="db-action-find",l="db-action-upsert",u="db-action-delete",d="db-action-delete-multiple",m="db-action-delete-all",x="db-action-persist",h="db-action-history-update-watch-progress",f="db-action-playlists-upsert-video-by-playlist-name",v="db-action-playlists-upsert-video-ids-by-playlist-id",D="db-action-playlists-delete-video-by-playlist-name",b="db-action-playlists-delete-video-ids",g="db-action-playlists-delete-all-videos",y="sync-create",w="sync-upsert",k="sync-delete",F="sync-delete-all",C="sync-history-update-watch-progress",E="sync-playlists-upsert-video",A="sync-playlists-delete-video";var j=i(3938),B=i.n(j);let _=null;if(process?.versions?.electron){const{app:e}=i(2298),{join:a}=i(1017),n=e.getPath("userData");_=e=>a(n,`${e}.db`)}else _=e=>`${e}.db`;const $={};$.settings=B().create({filename:_("settings"),autoload:!0}),$.profiles=B().create({filename:_("profiles"),autoload:!0}),$.playlists=B().create({filename:_("playlists"),autoload:!0}),$.history=B().create({filename:_("history"),autoload:!0});const O=$,z={settings:class{static find(){return O.settings.find({_id:{$ne:"bounds"}})}static upsert(e,a){return O.settings.update({_id:e},{_id:e,value:a},{upsert:!0})}static _findAppReadyRelatedSettings(){return O.settings.find({$or:[{_id:"disableSmoothScrolling"},{_id:"useProxy"},{_id:"proxyProtocol"},{_id:"proxyHostname"},{_id:"proxyPort"}]})}static _findBounds(){return O.settings.findOne({_id:"bounds"})}static _findTheme(){return O.settings.findOne({_id:"baseTheme"})}static _updateBounds(e){return O.settings.update({_id:"bounds"},{_id:"bounds",value:e},{upsert:!0})}},history:class{static find(){return O.history.find({}).sort({timeWatched:-1})}static upsert(e){return O.history.update({videoId:e.videoId},e,{upsert:!0})}static updateWatchProgress(e,a){return O.history.update({videoId:e},{$set:{watchProgress:a}},{upsert:!0})}static delete(e){return O.history.remove({videoId:e})}static deleteAll(){return O.history.remove({},{multi:!0})}static persist(){O.history.persistence.compactDatafile()}},profiles:class{static create(e){return O.profiles.insert(e)}static find(){return O.profiles.find({})}static upsert(e){return O.profiles.update({_id:e._id},e,{upsert:!0})}static delete(e){return O.profiles.remove({_id:e})}static persist(){O.profiles.persistence.compactDatafile()}},playlists:class{static create(e){return O.playlists.insert(e)}static find(){return O.playlists.find({})}static upsertVideoByPlaylistName(e,a){return O.playlists.update({playlistName:e},{$push:{videos:a}},{upsert:!0})}static upsertVideoIdsByPlaylistId(e,a){return O.playlists.update({_id:e},{$push:{videos:{$each:a}}},{upsert:!0})}static delete(e){return O.playlists.remove({_id:e,protected:{$ne:!0}})}static deleteVideoIdByPlaylistName(e,a){return O.playlists.update({playlistName:e},{$pull:{videos:{videoId:a}}},{upsert:!0})}static deleteVideoIdsByPlaylistName(e,a){return O.playlists.update({playlistName:e},{$pull:{videos:{$in:a}}},{upsert:!0})}static deleteAllVideosByPlaylistName(e){return O.playlists.update({playlistName:e},{$set:{videos:[]}},{upsert:!0})}static deleteMultiple(e){return O.playlists.remove({_id:{$in:e},protected:{$ne:!0}})}static deleteAll(){return O.playlists.remove({protected:{$ne:!0}})}}};class S{constructor(){this._cache=new Map,setInterval(this._cleanup.bind(this),3e5)}add(e,a,i,n){this._cache.set(e,{mimeType:a,data:i,expiry:n})}has(e){return this._cache.has(e)}get(e){const a=this._cache.get(e);if(!a)throw new Error(`No image cache entry for ${e}`);return{data:a.data,mimeType:a.mimeType}}_cleanup(){const e=Math.trunc(Date.now()/1e3);for(const[a,i]of this._cache.entries())i.expiry<=e&&this._cache.delete(a)}}var M=i(7147);process.argv.includes("--version")?e.app.exit():function(){i(5710)({showSearchWithGoogle:!1,showSaveImageAs:!0,showCopyImageAddress:!0,prepend:(e,a,i)=>[{label:"Show / Hide Video Statistics",visible:"video"===a.mediaType,click:()=>{i.webContents.send("showVideoStatistics")}},{label:"Open in a New Window",visible:a.linkURL.includes(new URL(i.webContents.getURL()).origin),click:()=>{_({replaceMainWindow:!1,windowStartupUrl:a.linkURL,showWindowNow:!0})}}]}),process.env.ELECTRON_DISABLE_SECURITY_WARNINGS="true";const a=process.argv.includes("--debug");let n,j;e.app.commandLine.appendSwitch("enable-accelerated-video-decode"),e.app.commandLine.appendSwitch("enable-file-cookies"),e.app.commandLine.appendSwitch("ignore-gpu-blacklist");const B=(0,M.existsSync)(`${e.app.getPath("userData")}/experiment-replace-http-cache`);async function _({replaceMainWindow:a=!0,windowStartupUrl:i=null,showWindowNow:s=!1,searchQueryText:o=null}={}){const t={backgroundColor:await z.settings._findTheme().then((({value:a})=>{switch(a){case"dark":return"#212121";case"light":return"#f1f1f1";case"black":return"#000000";case"dracula":return"#282a36";case"catppuccin-mocha":return"#1e1e2e";default:return e.nativeTheme.shouldUseDarkColors?"#212121":"#f1f1f1"}})).catch((a=>(console.error(a),e.nativeTheme.shouldUseDarkColors?"#212121":"#f1f1f1"))),darkTheme:e.nativeTheme.shouldUseDarkColors,icon:`${__dirname}/_icons/iconColor.png`,autoHideMenuBar:!0,webPreferences:{nodeIntegration:!0,nodeIntegrationInWorker:!1,webSecurity:!1,backgroundThrottling:!1,contextIsolation:!1}},r=new e.BrowserWindow(Object.assign({show:s},t));r.webContents.setWindowOpenHandler((e=>(_({replaceMainWindow:!1,showWindowNow:!0,windowStartupUrl:e.url}),{action:"deny"}))),a&&(n=r),r.setBounds({width:1200,height:800});const c=await z.settings._findBounds();if("object"==typeof c?.value){const{maximized:a,fullScreen:i,...n}=c.value;e.screen.getAllDisplays().reduce(((e,{size:{width:a}})=>e+a),0)>=n.x&&r.setBounds({x:n.x,y:n.y,width:n.width,height:n.height}),a&&r.maximize(),i&&r.setFullScreen(!0)}a&&function(){const a=[{label:"File",submenu:[{label:"New Window",accelerator:"CmdOrCtrl+N",click:(e,a,i)=>{_({replaceMainWindow:!1,showWindowNow:!0})},type:"normal"},{type:"separator"},{label:"Preferences",accelerator:"CmdOrCtrl+,",click:(e,a,i)=>{null!=a&&a.webContents.send("change-view",{route:"/settings"})},type:"normal"},{type:"separator"},{role:"quit"}]},{label:"Edit",submenu:[{role:"cut"},{role:"copy",accelerator:"CmdOrCtrl+C",selector:"copy:"},{role:"paste",accelerator:"CmdOrCtrl+V",selector:"paste:"},{role:"pasteandmatchstyle"},{role:"delete"},{role:"selectall"}]},{label:"View",submenu:[{role:"reload"},{role:"forcereload",accelerator:"CmdOrCtrl+Shift+R"},{role:"toggledevtools"},{role:"toggledevtools",accelerator:"f12",visible:!1},{label:"Enter Inspect Element Mode",accelerator:"CmdOrCtrl+Shift+C",click:(e,a)=>{a.webContents.isDevToolsOpened()?a.devToolsWebContents.executeJavaScript("DevToolsAPI.enterInspectElementMode()"):(a.webContents.once("devtools-opened",(()=>{a.devToolsWebContents.executeJavaScript("DevToolsAPI.enterInspectElementMode()")})),a.webContents.openDevTools())}},{type:"separator"},{role:"resetzoom"},{role:"resetzoom",accelerator:"CmdOrCtrl+num0",visible:!1},{role:"zoomin",accelerator:"CmdOrCtrl+Plus"},{role:"zoomin",accelerator:"CmdOrCtrl+=",visible:!1},{role:"zoomin",accelerator:"CmdOrCtrl+numadd",visible:!1},{role:"zoomout"},{role:"zoomout",accelerator:"CmdOrCtrl+numsub",visible:!1},{type:"separator"},{role:"togglefullscreen"}]},{role:"window",submenu:[{role:"minimize"},{role:"close"}]}];"darwin"===process.platform&&(a.unshift({label:e.app.getName(),submenu:[{role:"about"},{type:"separator"},{role:"services"},{type:"separator"},{role:"hide"},{role:"hideothers"},{role:"unhide"},{type:"separator"},{role:"quit"}]}),a.push({role:"window"},{role:"help"},{role:"services"}));const i=e.Menu.buildFromTemplate(a);e.Menu.setApplicationMenu(i)}(),null!=i?r.loadURL(i):r.loadFile(`${__dirname}/index.html`),"string"==typeof o&&o.length>0&&e.ipcMain.once("searchInputHandlingReady",(()=>{r.webContents.send("updateSearchInputText",o)})),r.once("ready-to-show",(()=>{r.isVisible()||(r.show(),r.focus())})),r.once("close",(async()=>{if(1!==e.BrowserWindow.getAllWindows().length)return;const a={...r.getNormalBounds(),maximized:r.isMaximized(),fullScreen:r.isFullScreen()};await z.settings._updateBounds(a)})),r.once("closed",(()=>{const a=e.BrowserWindow.getAllWindows();0!==a.length&&r===n&&(n=a[0])}))}function $(a){return e.BrowserWindow.getAllWindows().find((e=>e.webContents.id===a.id))}function O(a,i,n){const s=e.BrowserWindow.getAllWindows().filter((e=>e.webContents.id!==i.sender.id));for(const e of s)e.webContents.send(a,n)}B&&e.app.commandLine.appendSwitch("disable-http-cache"),e.app.removeAsDefaultProtocolClient("freetube"),e.app.setAsDefaultProtocolClient("freetube"),e.app.requestSingleInstanceLock()||e.app.quit(),e.app.on("second-instance",((e,a,i)=>{if(n&&void 0!==a){n.isMinimized()&&n.restore(),n.focus();const e=I(a);e&&n.webContents.send("openUrl",e)}})),e.app.on("ready",(async(i,s)=>{let o;try{o=await z.settings._findAppReadyRelatedSettings()}catch(a){return console.error(a),void e.app.exit()}let t=!1,r=!1,c="socks5",p="127.0.0.1",l="9050";if(o?.length>0&&o.forEach((e=>{switch(e._id){case"disableSmoothScrolling":t=e.value;break;case"useProxy":r=e.value;break;case"proxyProtocol":c=e.value;break;case"proxyHostname":p=e.value;break;case"proxyPort":l=e.value}})),t?e.app.commandLine.appendSwitch("disable-smooth-scrolling"):e.app.commandLine.appendSwitch("enable-smooth-scrolling"),r&&e.session.defaultSession.setProxy({proxyRules:`${c}://${p}:${l}`}),["http://www.youtube.com","https://www.youtube.com","http://youtube.com","https://youtube.com"].forEach((a=>{e.session.defaultSession.cookies.set({url:a,name:"CONSENT",value:"YES+",sameSite:"no_restriction"})})),B){const a=new S;e.protocol.registerBufferProtocol("imagecache",((i,n)=>{const s=decodeURIComponent(i.url.substring(13));if(a.has(s)){const e=a.get(s);return void n({mimeType:e.mimeType,data:e.data})}const o=e.net.request({method:i.method,url:s}),t=["content-length","host","trailer","te","upgrade","cookie2","keep-alive","transfer-encoding","origin","referrer"];for(const e of Object.keys(i.headers))t.includes(e.toLowerCase())||o.setHeader(e,i.headers[e]);o.on("response",(e=>{const i=[];e.on("data",(e=>{i.push(e)})),e.on("end",(()=>{const o=Buffer.concat(i),t=function(e){const a=/max-age=([0-9]+)/,i=e["cache-control"];if(i&&a.test(i)){let n=parseInt(i.match(a)[1]);return e.age&&(n-=parseInt(e.age)),Math.trunc(Date.now()/1e3)+n}return e.expires?Math.trunc(Date.parse(e.expires)/1e3):Math.trunc(Date.now()/1e3)+7200}(e.headers),r=e.headers["content-type"];a.add(s,r,o,t),n({mimeType:r,data:o})})),e.on("error",(a=>{console.error("image cache error",a);const i=JSON.stringify(a,((e,a)=>a instanceof Error?{...a,name:a.name,message:a.message,stack:a.stack}:a));n({statusCode:e.statusCode??400,mimeType:"application/json",data:Buffer.from(i)})}))})),o.end()}));const i={urls:["https://*/*","http://*/*"]};e.session.defaultSession.webRequest.onBeforeRequest(i,((e,a)=>{"image"===e.resourceType?a({redirectURL:`imagecache://${encodeURIComponent(e.url)}`}):a({})}))}await _(),a&&n.webContents.openDevTools()})),e.ipcMain.once("appReady",(()=>{j&&n.webContents.send("openUrl",j)})),e.ipcMain.once("relaunchRequest",(()=>{const{env:{APPIMAGE:a,PORTABLE_EXECUTABLE_FILE:i}}=process;a?s().spawn(a,{detached:!0,stdio:"ignore"}).unref():e.app.relaunch({args:process.argv.slice(1),execPath:i||process.execPath}),e.app.quit()})),e.nativeTheme.on("updated",(()=>{e.BrowserWindow.getAllWindows().forEach((a=>{a.webContents.send("native-theme-update",e.nativeTheme.shouldUseDarkColors)}))})),e.ipcMain.on("enable-proxy",((a,i)=>{e.session.defaultSession.setProxy({proxyRules:i})})),e.ipcMain.on("disable-proxy",(()=>{e.session.defaultSession.setProxy({})})),e.ipcMain.on("open-external-link",((a,i)=>{"string"==typeof i&&e.shell.openExternal(i)})),e.ipcMain.handle("get-system-locale",(()=>e.app.getLocale())),e.ipcMain.handle("get-user-data-path",(()=>e.app.getPath("userData"))),e.ipcMain.on("get-user-data-path-sync",(a=>{a.returnValue=e.app.getPath("userData")})),e.ipcMain.handle("get-pictures-path",(()=>e.app.getPath("pictures"))),e.ipcMain.handle("show-open-dialog",(async({sender:a},i)=>{const n=$(a);return n?await e.dialog.showOpenDialog(n,i):await e.dialog.showOpenDialog(i)})),e.ipcMain.handle("show-save-dialog",(async({sender:a},i)=>{const n=$(a);return n?await e.dialog.showSaveDialog(n,i):await e.dialog.showSaveDialog(i)})),e.ipcMain.on("stop-power-save-blocker",((a,i)=>{e.powerSaveBlocker.stop(i)})),e.ipcMain.handle("start-power-save-blocker",(a=>e.powerSaveBlocker.start("prevent-display-sleep"))),e.ipcMain.on("create-new-window",((e,{windowStartupUrl:a=null,searchQueryText:i=null}={})=>{_({replaceMainWindow:!1,showWindowNow:!0,windowStartupUrl:a,searchQueryText:i})})),e.ipcMain.on("open-in-external-player",((e,a)=>{s().spawn(a.executable,a.args,{detached:!0,stdio:"ignore"}).unref()})),e.ipcMain.handle("db-settings",(async(e,{action:a,data:i})=>{try{switch(a){case p:return await z.settings.find();case l:return await z.settings.upsert(i._id,i.value),O("sync-settings",e,{event:w,data:i}),null;default:throw"invalid settings db action"}}catch(e){throw"string"==typeof e?e:e.toString()}})),e.ipcMain.handle("db-history",(async(e,{action:a,data:i})=>{try{switch(a){case p:return await z.history.find();case l:return await z.history.upsert(i),O(o,e,{event:w,data:i}),null;case h:return await z.history.updateWatchProgress(i.videoId,i.watchProgress),O(o,e,{event:C,data:i}),null;case u:return await z.history.delete(i),O(o,e,{event:k,data:i}),null;case m:return await z.history.deleteAll(),O(o,e,{event:F}),null;case x:return z.history.persist(),null;default:throw"invalid history db action"}}catch(e){throw"string"==typeof e?e:e.toString()}})),e.ipcMain.handle("db-profiles",(async(e,{action:a,data:i})=>{try{switch(a){case c:{const a=await z.profiles.create(i);return O(t,e,{event:y,data:a}),a}case p:return await z.profiles.find();case l:return await z.profiles.upsert(i),O(t,e,{event:w,data:i}),null;case u:return await z.profiles.delete(i),O(t,e,{event:k,data:i}),null;case x:return z.profiles.persist(),null;default:throw"invalid profile db action"}}catch(e){throw"string"==typeof e?e:e.toString()}})),e.ipcMain.handle("db-playlists",(async(e,{action:a,data:i})=>{try{switch(a){case c:return await z.playlists.create(i),null;case p:return await z.playlists.find();case f:return await z.playlists.upsertVideoByPlaylistName(i.playlistName,i.videoData),O(r,e,{event:E,data:i}),null;case v:return await z.playlists.upsertVideoIdsByPlaylistId(i._id,i.videoIds),null;case u:return await z.playlists.delete(i),null;case D:return await z.playlists.deleteVideoIdByPlaylistName(i.playlistName,i.videoId),O(r,e,{event:A,data:i}),null;case b:return await z.playlists.deleteVideoIdsByPlaylistName(i.playlistName,i.videoIds),null;case g:return await z.playlists.deleteAllVideosByPlaylistName(i),null;case d:return await z.playlists.deleteMultiple(i),null;case m:return await z.playlists.deleteAll(),null;default:throw"invalid playlist db action"}}catch(e){throw"string"==typeof e?e:e.toString()}})),e.app.once("window-all-closed",(()=>{e.session.defaultSession.clearCache(),e.session.defaultSession.clearStorageData({storages:["appcache","cookies","filesystem","indexdb","shadercache","websql","serviceworkers","cachestorage"]}),"darwin"!==process.platform&&e.app.quit()})),e.app.on("activate",(()=>{0===e.BrowserWindow.getAllWindows().length&&_()})),e.app.on("open-url",((e,a)=>{e.preventDefault(),n&&n.webContents?n.webContents.send("openUrl",q(a)):j=q(a)}));const T=I(process.argv);function q(e){return e.replace("freetube://","")}function I(e){return e.length>1?q(e[e.length-1]):null}T&&(j=T)}()})(),module.exports=n})();